Weboob 2.0 (2020-02-13)

	Applications: boobank
	* keep Value for TransferStep and AddRecipientStep
	* declare utf-8 in OFX formatter
	* give account object to iter_transfer_recipient

	Applications: boobill
	* using a persistent storage for browser state

	Applications: boobsize
	* fix name

	Applications: translaboob
	* use babel to detect language names and pass ISO-639 codes

	Applications: weboobdebug
	* weboob-debug: fix name

	Applications: weboobmain
	* move scripts/weboob to a dedicated dir in weboob/applications

	Applications: weboobrepos
	* weboob-repos: port to python3

	Browser
	* set a parent logger to AbstractElement
	* Allows SeleniumBrowser to use MANUAL proxies
	* AUTHENTICATION_METHODS set in init
	* delete prefix 'handle_' on authentication methods
	* clean authentication config keys after login
	* make variable name more understandable
	* make get_expire stronger
	* TWOFA_DURATION for the state expire date
	* better names
	* set expire from logged_date
	* make authentication methods more flexible
	* handle both 2FA and regular login methods
	* add possibility to clear specific cookies
	* handle NeedInteractiveFor2FA
	* add documentation about otp, sms and resume
	* add TwoFactorBrowser to handle multiple 2FA
	* Set default logging level to ERROR for selenium
	* Added the ability to overrride *Elements' env copy
	* Allow passing custom headers in Form.submit()
	* set attribute 'weboob' on browser
	* Normalize encodings
	* BrowserTooManyRequests: Remove class attributes for date helpers
	* BrowserTooManyRequests: Raise a TypeError if the next_try is not a datetime
	* BrowserTooManyRequests: Check whether the next_try is None after the date check
	* BrowserTooManyRequests: Add message parameter
	* [weboob/browser/browser+pages] Fixed doctest BASEURL
	* add some helpers to TooManyRequests
	* add rate limiting exception
	* add build_refresh_token_parameters method
	* python3 compatibility
	* send redirect_uri when using the refresh_token
	* allow multiple inheritance with AbstractBrowser
	* Implemented wait_xpath_invisible
	* Avoid crash when no BASEURL is set
	* add klass attribute to decorated @method
	* give state to the module at initialization
	* introduce BrowserParamURL for passing params implictly
	* Implement the empty_xpath attribute
	* accept new parameter proxy_headers (but don't use it)
	* Browser takes a new parameter 'proxy_headers'
	* if use of refresh_token fails, forget it
	* support when token_type key is missing
	* if access_token_expire is None, the access_token has no expiration
	* in case we got a 401 response, forget the access_token
	* fix compatibility with python3
	* Handle generic error for bad url callback
	* Repair refresh token
	* StatesMixin cookies should be str
	* OAuth2PKCEMixin codes shouldn't be bytes
	* Rewrite/improve PagesBrowser example

	Browser: Filters
	* Add the format .Italian() to CleanDecimal
	* New keyword argument to remove accented characters on CleanText filter.
	* Changed Capitalize filter to Title
	* Updated & Reordered __all__
	* Add dates to FormValue
	* Add color to FormValue
	* Add number/range type to FormValue, and tests
	* MultiJoin accepts types other than str
	* Regexp can use regex library
	* Allow all dateutil.parser arguments in DateTime
	* Strict dates by default
	* Catch incomplete dates
	* Explicit error message
	* Add MultiJoin
	* Join can use default argument
	* Add doctests to Join
	* TableCell(colspan=True) is now the only behavior desired
	* add FromTimestamp to convert to datetime
	* Fix error message for FormValue
	* Add new types for FormValue
	* Add MapIn filter, that allow the pattern of a selected value to another value using a dict.
	* Reorganize imports / add missing to __all__
	* Add Coalesce

	Capabilities
	* rename accepted_doc_types attribute of CapDocument
	* Add KIID to DocumentTypes
	* Added new capability CapBands
	* Keep only PER
	* add PER account type
	* HousingPhoto inherits BaseImage
	* use PostalAddress and GeoCoords types where possible
	* introduce weboob.capabilities.address for a few object types
	* Add firstname and lastname field
	* add capability_to_string function to get capability name
	* Add new SAR currency
	* fix missing TransferInvalidOTP export
	* add TransferInvalidOTP exception
	* use StringField standard default value for transfer beneficiary label and number
	* Indentation cosmetic changes
	* Add new Investment attributes
	* Add new document type 'income_tax'
	* Add field 'original_gross_amount' to Transaction
	* Add field 'gross_amount' to Transaction
	* Remove performance_history default value
	* Added new attributes for employee savings accounts
	* Add RecaptchaV3Job to captcha capability
	* add support for commission in currency in bank/Transaction
	* add new add recipient exception for invalid otp
	* add has_file field to Document class
	* Add the relationship between the credentials owner (PSU) and the account
	* Add bdate. Represent the date that the transaction appear in the website.
	* prevent casting id from None to 'None' in constructor

	Documentation
	* add pip install
	* fix compatibility with sphinx 2.0
	* do not use deprecated defindex.html anymore
	* Use correct word

	General
	* New airparif module (CapGauge)
	* New aviva module (CapBank, CapBankWealth)
	* New cesu module (CapDocument)
	* New degiro module (CapBank, CapBankWealth)
	* New hsbchk module (CapBank)
	* New lendosphere module (CapBank, CapBankWealth)
	* New lucca module (CapCalendarEvent, CapDocument)
	* New lunchr module (CapBank)
	* New metalarchives module (CapBands)
	* New pajemploi module (CapDocument)
	* New ticketscesu module (CapBank)
	* New wiseed module (CapBank, CapBankWealth)
	* Deleted biplan module
	* Deleted figgo module
	* Deleted lolix module
	* Deleted wellsfargo module

	General: Core
	* send request_information to modules in all case, except if stdout is not a tty
	* handle error NeedInteractiveFor2FA
	* change way to bypass check, and set default value to None
	* set default value to '' to disable checks if it is missing
	* add ValueTransient for module parameters we don't want to keep in config
	* AppValidation "resume" config should be set as a Value
	* set request_information if app is interactive
	* use _do_and_retry only for iter_resources
	* handle interactive errors which allow to retry
	* Ignore geckodriver.log file (used for Selenium-Firefox)
	* Allow None as default value for ValueDate
	* Replace BrowserQuestion __str__ with __unicode__
	* add str method to BrowserQuestion exception
	* progress should go from 20% to 30%, not the reverse
	* tools.pdf Add blinkpdf function
	* add str method to BrowserQuestion
	* fix capabilities collision on AbstractModule class
	* fix import for boobill and boobcoming
	* rename Tenma
	* refer to pip
	* remove references to Qt as it's a separate repo
	* gitlab-ci: disable python2
	* move stuff from setup.py to setup.cfg
	* remove qt apps
	* remove qt5 stuff
	* remove "scripts", use "entry_points"
	* set default ADDITIONAL_CONFIG for AbstractModule
	* New AppValidation errors
	* Better logging
	* Use the same logger
	* Revert "gitlab-ci.yml: use python3 in before_script"
	* Update mailmap
	* Fixes #307: Remove remaining uses of is_command;
	* python3/2 compatibility
	* if 'repo_path' is None do not save it
	* allow multiple inheritances with AbstractModule
	* Add fullmatch compatibility
	* add NeedInteractive exceptions when about to require OTP
	* clarify missing number error
	* gitlab-ci.yml: use python3 in before_script
	* setup.py now requires python3.5 or higher
	* handle ADDITIONAL_CONFIG on config property
	* Modified valuation test for valuations = 0.00
	* add CONFIG inheritance to AbstractModule
	* fix iter_caps not returning only Capabilities
	* Add new filters IsinCode & IsinType
	* move external password fetch here
	* Add missing test
	* Avoid race conditions
	* fix when BaseObjects don't have the same class
	* introduce blinkpdf
	* fix invalid email for va
	* Add RecaptchaV3Question to weboob/exceptions
	* read _proxy_headers from config
	* add recipient sanity check
	* Make BrowserHTTPSDowngrade inherit from Exception
	* Raise exception instead of browser unavailable for 404 errors
	* Add vscode to the .gitignore
	* add Babel to dependencies
	* map florian to budget-insight
	* Add DecoupledValidation to handle decoupled DSP2 use case
	* Allow SplitKeyboard to convert individual images
	* Handle memoryview
	* Force everything to be an iterator
	* Better string formatting
	* Move time_buffer to util
	* Cross-platform file replace
	* Introduce a dumper without aliases
	* Allow setting Loader and Dumper at class level
	* SQLiteConfig Python 3 compatibility
	* Handle calls with only one level in SQLiteConfig
	* Add SQLiteConfig
	* The underlying storage class may have a sync method
	* Add license headers
	* Allow extra classes to be pickled properly
	* Reduce filesystem calls in AutoCleanConfig
	* Only create decorator as needed, more parameters
	* Move time buffer logic out of the class
	* Avoid altering the values dict by doing a get()
	* No need to check if file exists
	* Rename to DBMConfig
	* Python 3 compatibility
	* Avoid race conditions
	* Add extra classes
	* Allow usage as a context manager
	* Add AnyDBMConfig, an implementation of IConfig for anydbm
	* use more docstring instead of comments
	* add more developers
	* Add new WrongCaptchaResponse exception to weboob.exceptions.py
	* forward parse_qs/parse_qsl extra args
	* add `browser` parameter
	* factor pattern parsing code
	* fix import input for python3

	Modules: afer
	* Specified CapBankWealth legacy explicitly
	* Module: remove CONFIG (now inherits from the aviva module)
	* Made module an abstract of aviva
	* remove accountnotfound
	* Corrected wrongpass detection & handled ActionNeeded
	* update regex to allow users credentials  migration
	* Raise BrowserPasswordExpired
	* handle a new BrowserIncorrectPassword

	Modules: airparif
	* new CapGauge module for checking Paris pollution

	Modules: allocine
	* fix crap

	Modules: amazon
	* Add pagination and fix some values for documents
	* Fix the url of the page for the documents
	* change forgotten WRONGPASS_MESSAGES attribute
	* fix link to download document
	* handle more different messages for BrowserIncorrectPassword
	* Add html bill
	* fix login with better otp behavior

	Modules: amazonstorecard
	* ditch obsolete cmp function

	Modules: ameli
	* fix iter_documents which didn't accept str passed by boobill
	* Change iter_subscriptions
	* html document page has been put in a json
	* handle error page to raise BrowserUnavailable
	* new module
	* total delete

	Modules: amelipro
	* harsh python3 port + cosmetics

	Modules: americanexpress
	* Re-write do_login in Selenium
	* Modified login to avoid blocking accounts
	* Add ActionNeeded detection on login
	* Fixed login and better iter_accounts
	* remove get_account
	* Modified data index for iter_accounts
	* get correct accounts currency
	* A few code tweaks in browser.py and pages.py
	* Fixed transactions parsing when faulty json
	* Add bdate

	Modules: amundi
	* Fix 3 years performance
	* Fetch performance history on CprPerformancePage
	* Fix diff value
	* Fix asset_category and add portfolio share
	* Handle xpaths in English for CrpInvestmentPage
	* Get performance columns dynamically
	* Get investment details for Amundi Investments Page
	* PER Account typing
	* Implemented iter_pockets
	* Correct Investment.diff
	* Added Investment.diff
	* Get performance_history for SGGestionPage
	* Remove password regex
	* Fetch 3 years performance on EE Investment Detail
	* Added account type "Article 83"
	* Handled investment attributes for SG Gestion space
	* Handle specific characters when fetching account label
	* Missing account type
	* Implemented asset category & recommended period
	* Skip investments without valuation
	* remove get_account
	* Repair SRRI fetching and investment.code check
	* Implemented investment Level of Risk (SRRI)
	* Skip iter_investments for accounts with null balance
	* Implemented company_name and performance_history
	* Compute correctly the amount of reimboursements.

	Modules: anticaptcha
	* manage Recaptcha v3

	Modules: apivie
	* Raise ActionNeeded when user info is too old

	Modules: asana
	* flake8 code linting
	* correct some fields

	Modules: aviva
	* Modify browser's TIMEOUT to 120
	* Browser: adapted aviva website to handle Afer abstract module
	* Changed License to LGPL since module is now parent of an LGPL module
	* Changed license for pages.py files and adapted the code for afer
	* removed get_account and re-indented
	* Fixed investments navigation and parsing
	* Changed Capitalize to Title
	* replace diff_percent field usage with diff_ratio
	* Corrected condition to exclude 'Total'
	* Adapt investment table to all account types
	* Ignore insurances and accounts without balances
	* Repaired module for iter_accounts and investments
	* Correct iter_accounts xpath and account typing
	* Added obj_code_type to investments if isin valid
	* Add totomobile to list of ignore account types
	* py3 compat (already compatible)
	* added label for transactions
	* raises a new actionneeded when we get redirected after login
	* Add condition to filter investments
	* label is not available on HistoryPage
	* changes retirement's saving from type TYPE_MADELIN  to TYPE_PERP
	* patch after website design changes
	* Skip habitation contract because it's not an account
	* fetching currency
	* wrong regexp
	* fix for immediate 472462
	* update aviva login because virtual keyboard doesn't exist anymore and not only digit password is now allowed
	* add CapBankWealth and CapBankPockets in bank.py
	* Getting the correct value off diff_percent
	* adding some kinds to skip
	* set default=NotAvailable for invests
	* adapt module to new website
	* fix stuff [mangled commit]
	* integrate new login page
	* FIx label xpath and get details for investment
	* raise actionNeeded on cgu
	* fix invalid xpath
	* fix itering on <avances> transactions
	* handle balance on some accounts
	* raise wrongpass and force regexp on bad formatted password
	* detect a new BrowserUnavailable case
	* "arbitrage" are only one transaction
	* fix "arbitrage" parsing
	* some accounts have no history link
	* add a new ActionNeededPage
	* fix pyflakes
	* skip non-financial accounts, and fix parsing of euro funds
	* fix crash on iter_sub
	* fix history link
	* when user need to accept terms
	* adding aviva module

	Modules: axabanque
	* Handle SMS OTP with ActionNeeded
	* Add account type PER
	* Remove cache from AXAAssurance browser
	* New investment page
	* Add default value to get_pid Attr()
	* ordering transactions
	* fix missing param
	* Fixed documents retrieval and download
	* Syntax for pep8 + cosmetic changes
	* Use Floor division instead of Float division.
	* add account ownership
	* removed get_account
	* Repair browser AxaAssurance and implement iter_history from JSON
	* Formatted pages/bank.py for from future import unicode_litterals to work
	* Fixed a market account being typed as checking account
	* Fixed transactions parsing for lifeinsurances
	* Fixed date for def card comings
	* Revert "[axabanque] Repaired iter_history for AXAAssurance browser"
	* update add recipient form parameters
	* Set type to FrenchTransaction.TYPE_PAYBACK for Transactions which label starts with 'ANNUL' Those transactions were previously not typed. 12347@zendesk
	* Added type FrenchTransaction.TYPE_BANK to all transactions which label starts with 'F-' All transactions that start with prefixed with F- seem to be bank fees, they were previously not typed. 12347@zendesk
	* Changed regex to give a type to transactions which label starts with 'CB' Transactions starting in 'CB' weren't given a type so I added a case to the regex 12347@zendesk
	* Add account type
	* Add the bdate
	* Get the real card number
	* Change the way that we handle missing part for the account id
	* Handle only the exception needed for account id
	* Add profile name
	* Type CEL account
	* handle '/' in account id to avoid duplicates
	* Repaired iter_history for AXAAssurance browser
	* Return to the accounts page on the main website after iter_account
	* Fix wrong typing Added 'epargne retraite agipi pair' which is a TYPE_PERP Changed obj_type to make use of MapIn filter
	* handle new recipient error message
	* Correct scraping of loan balance/currency
	* dump transfer virtualkeyboard in session folder if needed

	Modules: banquepopulaire
	* Add one more location to find token
	* Typed several Life Insurances & repaired their investments
	* rename mis-backported iter_accounts method
	* Fix transaction sorting on website
	* Corrected some cosmetics in module.py
	* Changed account Types & corrected redirection for Linebourse
	* Rewrote iter_accounts and iter_investments
	* Fix transaction being wrongfully deleted
	* Syntax for pep8
	* Fixed regex on profile names/company names
	* Raise BrowserUnavailable when unable to access login page
	* Modified owner_name account search for companies
	* add ownership to account
	* Handle dematerialization status for subscriptions
	* Add CapDocument to get bank statements
	* import unicode_literals in module.py and fix spelling
	* typing transactions
	* Add parent to card accounts
	* Typed 'Parts sociales' as TYPE_MARKET
	* rework previous patch, raise BrowserIncorrectPassword only in a specific case
	* do not raise BrowserIncorrectPassword with legacy passwords
	* Revert "[banquepopulaire] raise incorrect password if password is not digits only"
	* factorize the back action
	* raise incorrect password if password is not digits only
	* fix BrowserUnavailable during iter_accounts
	* Added bdate to transactions
	* add condition to retrieve IBAN or not
	* fix virtual keyboard giving not deterministic results
	* add an additional hash to the virtual keyboard
	* fix duplicated coming transactions between card accounts
	* raise BrowserIncorrectPassword instead of BrowserPasswordExpired
	* fix login cookies in javascript with spaces
	* Fix error 400 during login
	* Add support for BrowserIncorrectPassword when there is a Virtual Keyboard
	* add support for virtual keyboard
	* Fix login for some connections
	* retrieve missing coming

	Modules: barclays
	* Added ActionNeeded exception
	* Handle website unavailable
	* add message to BrowserIncorrectPassword exception
	* avoid crash in go_to_account if _btn is None
	* fix login

	Modules: becm
	* remove useless file

	Modules: bforbank
	* Handle WrongPass and blocked account at login
	* Fixed leave_espace_bourse behavior
	* add account ownership
	* fix missing param
	* handle empty card page
	* Ignore cards that are ordered but not activated yet
	* Add capability CapProfile to the module
	* Add bdate
	* Repair cards URL

	Modules: bibliothequesparis
	* remove old stuff
	* support new error location
	* urls changed and json is not byte-equal strict

	Modules: billetreduc
	* sort events within a day
	* pagination changed

	Modules: binck
	* Removed bugging Investment vdate
	* Add new message that throws a BrowserIncorrectPassword
	* Various fixes on investments vdate
	* Fix investments vdate
	* Added an url and a form xpath to handle questionnaire to skip at login
	* fixed vdate for invests
	* Factorized get_token() method
	* Skip password change action needed
	* Corrected module to work for all users
	* Do not try to fetch investments if there is no money on the account

	Modules: biplan
	* Delete module concert hall is closing

	Modules: bnpcards
	* Handle 401 error on login (wrongpass)
	* Add missing transaction type
	* Added new site and siteswitch from old site to new site
	* Fixed account label to include space in between first and last name
	* Syntax for pep8 + cosmetic changes
	* Removed unused test file
	* Port to Python 3
	* Added connection type logging at login
	* Fix for iter_transactions non corporate
	* set default value to 1 instead of unknown 'ges'
	* Fixed transactions not scrapped for non corporate accounts.
	* Fix iter accounts for multiple accounts for non corporate connections

	Modules: bnporc
	* reformat with yapf
	* Handle new error code 1000
	* Change ActionNeeded to BrowserPasswordExpired when we reach 100th
	* [bnporc - pp] get documents also from first documents page
	* Get rid of rdates in the future for coming transactions
	* Get rid of useless parse_french_date import
	* Corrected rdate parsed from label
	* add account ownership
	* Added missing coming transactions types
	* make _transfer_id go through
	* Removed unused transaction property
	* Fix bug when loans data is empty
	* Type summary_card that weren't typed
	* Added missing TYPE_LIFE_INSURANCE account
	* fix missing attributes for revolving credit in iter_subscription
	* Fix for recipients with same iban
	* Type card PAYBACKs as DEFERRED_CARD
	* Update and clean document_pages.py
	* Fixed BrowserPasswordExpired at login
	* Fixed error for loans with empty balance
	* Fixed old url used for HistoryPage
	* Add documents to personnal pages
	* Changed the URL for HistoryPage
	* add 'Crédit Silo' as TYPE_REVOLVING_CREDIT
	* Add revolving credit details
	* Add detail for mortgage loan account
	* Implement iter_accounts in browser2
	* Corrected investments retrive on PEA 'Espèces'
	* Fix wrong typing Added 'BNP Paribas Multihorizons' and 'BNP Paribas Libertéa Privilège' which are TYPE_LIFE_INSURANCE
	* Fix broken history for entreprise website and avoid fetching 3 months if not needed
	* fix regression on enterprise/browser, duplicating transactions
	* Improve history navigation for bnp enterprise
	* retrieve recipient transfer id
	* ignore some non-transactions on life insurances
	* 'idBeneficiaire' is not stable, change recipient id
	* internal recipients don't have _web_state attribute
	* remove all TransferError
	* raise TransferInvalidRecipient when recipient is not active
	* add provisional config 'digital_key'
	* handle digital key to add new recipient
	* catch websiteunavailable

	Modules: bnppere
	* Reindent some lines in module.py
	* Implemented iter_investment & iter_history for multi-accounts
	* Change account type to PER
	* Visiogo: user last() column instead of [6] for amounts
	* Implemented iter_investments
	* Visiogo - implement Account.company_name
	* Remove transactions ID
	* raise get_profile NotImplementedError for classical bnppere

	Modules: bolden
	* retype lend documents and add fiscal docs
	* Repair login form and keys

	Modules: boursorama
	* cleanup useless things, and use ValueTransient
	* Fixed transactions xpaths
	* Add missing transactions types
	* add check_interactive before sms
	* handle PSD2 SMS 2FA
	* Fix card transactions
	* Fixed loan currency xpath
	* Fixed bug for loans that has no maturity date
	* Change loan parsing to handle CLIC
	* Fixed loans label xpath
	* Modified handling of virtual keyboard
	* repaired new recipient
	* xpath changed for transfer confirmation
	* update recipient label handling for transfers
	* fixes on transfer
	* Handle firstname and lastname
	* send message for TransferBankError
	* repaired iter_recipients
	* Changed transactions amount format from US to French
	* fix missing type for some withdrawal
	* Fix deferred card transactions date
	* Fix regex for Transaction.TYPE_CARD
	* Skip checking coming transactions because 'date' disappeared
	* Add Account type for "csl" accounts
	* Typing '/livret-a/' urls-based accounts
	* We don't get users custom transactions anymore
	* Avoid to get 3 years of history for nothing when we get coming transaction
	* update recipient category xpath
	* Fix a bug that make deferred transaction with date == today to not show up
	* Get investment liquidity when there are 0 on it.
	* retrieve iban with new xpath
	* Skip not deferred card
	* Correct the way that we get the card number.
	* Add pagination for Checking accounts
	* Added the accounts ownership
	* Add bdate to deferred card transaction
	* some recipient category title has changed
	* handle \ufffd character
	* Add some "LDD" in account_types matching dict
	* Reindent correctly the account type dict
	* Change the label path to avoid duplicate text
	* fix skipped accounts because DOM changed on account numbers
	* get confirm transfer error
	* Corrected transactions typing & card transaction filtering
	* update iter recipient xpath
	* Correct cards disappearance again

	Modules: bouygues
	* handle case where subscription detail are not available
	* create label from sub id and phone numbers
	* handle 401 error on login
	* handle now page for forgotten password
	* manage wrong password
	* Add Coalesce filter to handle facturePDF and facturePDFDF key in json
	* add lastname on login
	* new module
	* total delete
	* handle 404 on iter_documents when account doesn't own any bills
	* handle correctly document_file page
	* handle subscription labels with no telephone number

	Modules: bp
	* Handle no 2fa case
	* Adapt module for SCA
	* Add retry when failing to go to market page
	* Fix BrowserUnavailable being wrongfully raised
	* Changed ProAccountsList page is_here and handle new errors
	* transfer validation with sms is not handled yet
	* Handle new revolving loan attributes page
	* otp and decoupled transfer not implemented
	* Handle other BrowserUnavailable
	* Added Transaction typing
	* Use builtin helper to read data from pdf.
	* Add conditions to filter out loans without any datas
	* repaired transfer
	* Fixed bug when searching for internal recipients ID
	* Syntax for pep8 + cosmetic changes
	* fix deferred card lists and transactions
	* Fix currency parsing
	* repaired iter_recipients
	* add account ownership
	* typed PERP Solésio correctly
	* Fixed link to check for deferred cards
	* Removed unnecessary `u` before strings
	* Added url handle for account history
	* get_params search for sub id instead of label
	* Added Account.TYPE_SAVINGS for "Compte relais" accounts
	* Added Transaction.TYPE_DEPOSIT for "Versement DAB" transactions
	* Better typing for transactions
	* fetch iban only for checking and saving accounts
	* type "plan d'epargne populaire" accounts as savings
	* Fixed  cases of iter_documents crashing for PEAs by implementing the right type of statements
	* Fixed the issue of a page not being handled by adding the page
	* Fixed xpath to next page for pagination in transactions history on new pro website
	* Fixed item_xpath for iter_subscription on pro website
	* Parsing new pro website
	* Allow TYPE_LIFE_INSURANCE to call get_history() for retirement_hist.
	* Add bdate
	* Ignore invalid loans
	* Fix URL route for mandated PEA and loans
	* Change the open function instead of location as needed
	* Keep revolving credit account
	* avoid bug for empty market account
	* Exclude HTML comments in the account tmp_balance
	* (Pro) take in consideration the 'operationnel' in history URL
	* handle virtualkeyboard image with RawPage to avoid warnings
	* Fix url to check password. Fixes #176. Fixes #230
	* remove all TransferError
	* iban duplicate
	* Banque Postale - Handle alternative cards URL
	* remove triplicate transaction in bp pro
	* prevent the history from being reached for checking account with balance = 0
	* Handle "compte attente" coming url

	Modules: bred
	* Fix error when there is too many transactions in one account
	* Skip transaction duplicates
	* Cosmetic changes
	* Added missing account types
	* fetch checking account iban only from fillobj
	* Added company name / owner name to label of 'Portefeuille Titres' accounts
	* Fix accounts not scrapped
	* Typing 'CEL' and 'Moisson' accounts as TYPE_SAVINGS
	* Handle login errors correctly
	* catch error message
	* Get all life insurance account

	Modules: caels
	* Correct method name for iter_investment

	Modules: caissedepargne
	* Raise ActionNeeded for error 401 on loans page
	* Handle another login error with wrongpass
	* Factorize login and transfer authentication
	* fixed IndexError: list index out of range profile name
	* Handle another json key containing errors
	* set `is_here` in login pages to avoid transfer bug
	* Handle new virtual keyboard
	* Adding missing transactions type
	* add "Depot Esp" and retype "REMISE CHEQUES"
	* Fixed get_measure_accounts_list + add ownership for old website
	* Add missing account types
	* CloudCard not supported for transfer
	* Remove unnecessary '\' in regexp to allow python3 compatibility
	* Catch BrowserUnavailable when getting LI history
	* Fix crash when no history on life insurances
	* Fixed get_profile when session had multiple CTX cookies
	* New website - Add account ownership
	* Fixed go_back link xpath for GarbagePage
	* Fixed syntax for pep8 + cosmetic changes
	* Raise BrowserIncorrectPassword if no redirect on cenet
	* set DocumentTypes.STATEMENT for 'Relevé'
	* Fix iter_investments
	* use TransferInvalidOTP
	* Added document retrieval for connections without accounts
	* Fixed regex for card coming infos
	* raise bankerror for out of france recipients
	* python3 compatibility on transfers
	* Fix loan rate
	* Skip transactions without amount for Life Insurances
	* Add comings for checking accounts
	* Corrected investment.diff value
	* remove useless module config "pincode"
	* blank page after transfer otp
	* [caissedepargne - par] fix iter subscriptions and iter documents
	* Complete transactions raw labels
	* Type Parts sociales as MARKET
	* Handled new API space for Life Insurances (invests & history)
	* Re-indented transaction PATTERNS correctly
	* Add bdate
	* Retrieve card for old website
	* Corrected obj_id and number Regexp for cards
	* fix websiteUnavailable when fetching cards
	* fix WebsiteUnavailable when fetching history for MILLEVIE PREMIUM accounts
	* fix WebsiteUnavailable after linebourse calls
	* Improve the way that we get card's account.
	* Set the transaction coming sign to negative
	* return empty list if user is not allowed to have subscription
	* Skip card that have no history/coming information and no existing check account
	* Fix iter account/coming/history for card account when there is no coming
	* - Separate card deferred from check account
	* Corrected xpath to bypass QCF
	* Remove access_to_loans boolean
	* avoid reload state after transfer OTP error
	* Fix request when trying to go to Loans details
	* Revert "[caissedepargne] Add try/except on Loans request"
	* Add try/except on Loans request
	* use DST in URL for revolving loans
	* handle add recipient invalid otp
	* cenet, fix regression on deferred card history.
	* netpro, handle a different website behavior with more then 2 accounts
	* for netpro, fix duplicated transactions between pro accounts
	* fix transfer for pro space
	* make balance for loans negative
	* handle transfer otp sms
	* Delete space in loan id
	* remove all TransferError
	* Allows Loans Notavailable date
	* extend nuser regex
	* rectified transaction type
	* skip loan history
	* Cenet Loans
	* Replace all "return iter([])" with "return []"
	* Handle users who don't have access to Linebourse
	* Handle inactive accounts
	* Added balance xpath for specific Life Insurances
	* Repair connection to linebourse for creditcooperatif
	* Corrected xpaths for get_measure_balance()

	Modules: capeasi
	* Changed password field to 'Mot de passe'

	Modules: carrefourbanque
	* Add missing unicode_literals import
	* Handle error cases on login occuring randomly
	* remove cookie based on the begining of their name to fix login
	* remove two ugly cookies to avoid 400 response on login
	* make debittype column optionnal
	* handle error at login when login is an old format

	Modules: cesu
	* deleting 'Bulletins de salaire' label from Subscriptions
	* New module (CapDocument capability only)

	Modules: cic
	* Fixed 'Portefeuilles Titres' URL

	Modules: cmes
	* Get asset category from asset management page
	* Get performance_history from new page
	* Fetch investment.quantity on InvestmentDetailsPage
	* cosmetic changes
	* Implemented srri, asset_category & recommmended_period
	* Added obj_number = obj_id and reindented obj_id method
	* Added company_name and performances
	* Deleted porfolio_share calculation
	* Corrected pocket table for CCB accounts
	* Account typing (cmes)
	* Add default value to e-mail action needed
	* set account type PEE for 'plan d'épargne groupe'
	* remove deprecated browser and pages
	* use new browser and pages as website has changed for all children
	* make former browser & pages deprecated
	* backport ActionNeeded handling from the old browser to the new CMES browser
	* add a class attribute client_space to build urls
	* make invest & pockets more reliable
	* Remove ProxyBrowser and inheritance between CmesBrowser and CmesBrowserNew
	* Handle some ActionNeeded
	* remove default=
	* Handle lower case in transaction PATTERNS
	* Handle new website, currently only for cmes and cices
	* Modified Investment URL to work for Groupama ES too
	* Handle new URL for invests and pockets
	* Handle additional URL for CCB invests

	Modules: cmso
	* Fix url regex for insurances page
	* Merge InsurancesPage and LifeinsurancePage
	* New life insurances page
	* Various fixes
	* Raise BrowserUnavailable when HistoryPage contains an exception
	* Add comment to explain how transaction ids are working
	* Update the way we handle duplicates transactions
	* fix on missing transaction ids on comings
	* Fix transactions considered as duplicate
	* Fix python3 compatibility (missing parts)
	* Fix python3 compatibility (use response.text instead of response.content) (fix #318)
	* add account ownership
	* Added TYPE_PERP for "pep previ-retraite" accounts
	* Add bdate
	* Typing 'avantage capitalisation' account as TYPE_LIFE_INSURANCE
	* Modified regex to catch contract number
	* retrieve index for id recipient
	* Typing 'capital expansion' account as TYPE_DEPOSIT
	* Typing 'BEMIX RECHARGEABLE' account as TYPE_CARD
	* fixed PEA account number not returned
	* Adapted login and navigation for users without Token
	* Corrected iter_history behavior for PEE accounts
	* get tokens for navigation separately
	* accounts info page is not needed anymore
	* All card transaction was typed as deferred card. Fixed it to set the proper type for each transaction.
	* Add BrowserIncorrectPassword case
	* Check for external recipient
	* Add TYPE_CHECK regexp on Transaction PATTERNS

	Modules: cragr
	* reconnection process when locate to another space fail
	* Only keep date from card transactions to fix comparison with summaries
	* Set rdate from json if rdate value is not set from patterns and before date
	* Add missing transaction types
	* introduce yapf-compatible
	* Skip ESPE INTEG account because of liquidity duplication
	* Removed ESPE INTEG from ACCOUNT_TYPES
	* Typed PERASSUR accounts as PER
	* tweaks for better formatting
	* transfer labels support in ISO8859-15 charset on api site
	* moving up LoggedOutPage in page order
	* Type VENDOME accounts
	* Add BrowserUnavailable when accounts_url throws a 404
	* Add missing transaction type
	* Add missing account types
	* Add new account type GEST IMMO
	* Included PER to iter_investments
	* Typed PERASSUR accounts as PER
	* Typed some untyped accounts (VOE & PRET PEL)
	* fix pyflakes
	* handle new server error when SCA is required
	* Include company name in accounts name
	* Remove useless fill_env in ListElement
	* Use fill_env instead of overriding LinearDateGuesser
	* raise ActionNeeded when SCA is required
	* Stricter matching patterns for rdates
	* Modify retries on login to handle more BrowserUnavailable errors
	* Raise BrowserUnavailable when switching account space fails
	* Get rdate from label
	* Regions: only fetch regular account when refreshing forms
	* Typed ESPACELIB3 as Life Insurance
	* Remove warning in on_load of AccountsPage
	* Regions: added logger to verify that all AccountsPage have "Synthèse comptes"
	* handle an other savings history page
	* Transactions not fetched correction
	* Raw strings for regular expressions
	* Wrong amount for loans fixed
	* Refresh account form before trying to fetch the IBAN
	* Account.TYPE_ changed / adding 2 missing
	* Fix DateGuesser for some savings
	* Corrected bug on diff_ratio
	* Fix regex for card id
	* Complete checking accounts transaction labels
	* Fixed navigation for connections with Cards and Loans
	* raise ActionNeeded when facing a broken perimeter
	* use shiny new BrowserParamURL
	* Remove "stbpg=pagePU" from PerimeterDetailsPage & PerimeterPage
	* Update missing session_value after login
	* Return no transaction if we cannot find the ongoing_coming
	* Typed missing account as CHECKING
	* Add bdate
	* update key for transfer response
	* Do not fetch main_account iban if None
	* Raise wrongpass if username or password is empty
	* Handle 500 errors during space switch
	* Handle perimeters without a main account
	* Complete card labels
	* Handle third coming line configuration
	* Typed unknown accounts
	* retrive more clear recipient name
	* Handle two kinds of xpath for Loan balance
	* Handle history for cards that have only one coming line
	* Remove AGPL files
	* add transfer and new recipient
	* Ignore recipient/transfer methods for Region website
	* Handled Loan table with 5 or 6 columns
	* Get sessionSAG as soon as we get accounts url
	* Verify if we reach wealth and loans before assert
	* Set coming to 0 when card has not been used
	* remove on_load in Logout page
	* Handle transactions in foreign currencies
	* Get operational balance if value balance == 'Montant disponible'
	* Coming xpath can be "débitées" or "créditées"
	* Corrected indentation
	* Handle history tables with 4 columns
	* Check if perimeter label is empty before getting there
	* Typed COLL. PUB as Loan
	* Raise wrongpass if login or empty password
	* Retrieve 'Debit' transactions as negative
	* Handle history with 6 columns
	* Corrected condition for account balance xpath
	* Skip coming lines in the accounts table
	* Get back to Accounts page before submitting cards form
	* Typed SUPPLETIS as revolving credit
	* Corrected xpath for specific accounts and cards coming
	* Handle Checking history page without Vdate
	* Get last column value for card transaction amounts
	* Handle BrowserPasswordExpired()
	* do assert instead of BrowserUnavailable
	* add transfer and new recipient
	* Rewrote regional old website
	* Ignore recipient/transfer methods for Region website
	* Add netfinca_browser.py to import NetfincaBrowser
	* Make sure Login has exactly 11 digits
	* Switch from 'web' to 'region' browser
	* Switch from 'web' to 'region' browser
	* Skip cards absent on the website
	* Corrected URL resolvable for pro_profile_details
	* Skip loan without balance
	* Correct revolving handling
	* Typed "CAU. BANC." as Loan
	* Handle all perimeter types for profile and advisor
	* Handle HORS_MARCHE perimeter
	* Handle 'PROMOTEURS' space type
	* Typed FLORIANE 2 as Life Insurance
	* Verify if there are main cards before calling iter_main_cards()
	* Change consumer credit behavior
	* New site: fetch Cards with dynamic URL
	* add try/except to history request
	* Added 'agriculteur' to operations dictionary
	* add accounts type to mapping
	* Handle HTTPNotFound when fetching cards
	* Support another variant of BrowserPasswordExpired on cragr API
	* Do not list accounts tagged as 'Inactif' from the API
	* Add account types mapping
	* Handle BrowserPasswordExpired on API browser
	* Handle ServerError when fetching investment on banque-privee predica
	* Do not retrieve accounts not displayed on the website, as they have no history/iban/...
	* Add missing account types
	* Handle banque-privee space in the API browser (currently CA Paris)
	* Rewrote module.py and __init__.py with LGPLv3+ licenses
	* Renamed methods to fit new module.py and changed license to LGPL
	* Added OldWebsitePage
	* Proxy Browser: switch main browser and changed license
	* Changed License from Affero to Lesser
	* Removed NewWebsitePage since web broser is now secondary
	* Modified method names to fit new module.py
	* Deleted module.py and __init__.py
	* Fix duplicated accounts id when there are consumer credits
	* filter able to do transfer accounts
	* check on recipient id to avoid duplicate
	* handle internal transfer
	* Types prêts conventionnés
	* Do not break iter_accounts if IBAN can not be fetched
	* Handle ServerError when fetching cards
	* use account short label when long label is missing
	* handle transfer bank error
	* Repair login for Paris website
	* ignore '0' id accounts
	* Typed 'ESP LIB 2' as Life Insurance
	* return iterable advisors for api website
	* Corrected Account owner types with ASSO and AGRICULTEUR
	* Type various untyped accounts
	* Retry request when main account balance is unavailable
	* Add default='' to internal recipients

	Modules: creditdunord
	* Handle ActionNeeded after login
	* Handle IBAN link sometimes not available
	* Fix virtual keyboard for children module
	* add account ownership
	* Added missing url handle + fixed baseurl regex match
	* Add comment to explain the problem due to adding new accounts
	* Returned BrowserUnavailable for the case of a page that is temporarily unavailable.
	* Added bdate to transactions
	* Refactor wrong/expired password management
	* Handle a new BrowserPasswordExpired message
	* catch BrowserIncorrectPassword
	* Fix wrong password not detected
	* Remove dead code
	* fix missing property logged
	* Remove a redirection not needed anymore
	* Fix double login
	* change account_type_page url
	* Fix login when rgpd pops

	Modules: creditdunordpee
	* fix weboob version

	Modules: creditmutuel
	* Remove useless _charset_ at login
	* Catch additional wrongpass error
	* Catch additonal BrowserUnavailable error
	* Removed wrong logger
	* Fix is_here()
	* Handle new loans
	* Parse a BrowserUnavailable error at login
	* Handle ActionNeeded on the market page
	* Various fixes for 2FAs
	* Add loggers to detect if old website is still in use
	* Add OTP SMS two factor auth
	* Revert "creditmutuel: adjust the mobile message and compute it only when needed."
	* transfer form version has changed
	* Handle useless page after login
	* handle new transfer error message
	* Add 'cmmabn' as a new website
	* Remove unnecessary encode/decode of login and password
	* remove supplementary date in raw labels
	* factorizing transfer error messages
	* transaction typing
	* Fixed loans balance sign
	* Handle transactions with no label
	* Add deferred date xpath
	* handle transfer error message "Virement interdit sur compte inexistant"
	* no next button for new recipient
	* Fixed some deferred card history xpath
	* new error message for transfer
	* repaired new recipient
	* Fixed loan_condition if details_link is not a valid link
	* Adding missing account type
	* Add default value for loans rate
	* Adding missing parameter in the login form
	* reload state after failing adding a recipient
	* Add ActionNeeded when website is asking for user infos
	* adjust the mobile message and compute it only when needed.
	* up STATE_DURATION to 90 days
	* Implement OTP validation.
	* card for adding recipients must be activated
	* Adding account type
	* Check for loan details
	* Better account typing
	* Missing account type
	* Broader regex for device name
	* Revert "[creditmutuel/cic] Added ActionNeeded for CIC when it ask for infos"
	* Raise AppValidation when mobile confirmation needed
	* Added ActionNeeded for CIC when it ask for infos
	* Missing account types + filter specific account
	* Fixed checking accounts balance
	* Added missing account type for "compte duo"
	* Added Account.TYPE_SAVINGS for "Tonic Societaire" accounts
	* Added Account.TYPE_SAVINGS for "Pep" accounts
	* Manage mobile confirmation page at login
	* Manage fiscality confirmation page at login
	* Fixed accounts listing for revolving credits
	* Fixed card account listing
	* handle coming transfers
	* Added one transcation typing for Transaction.TYPE_CARD
	* multiple spaces in transfer label
	* Correctly type mortgage account
	* Add rate for revolving loan
	* Added parent information for loans
	* Optimization to avoid some loop when we process the account list
	* Skip market account without information on their balance or history ("NC" unstead of the account balance number)
	* 'Eurocompte serenite' account and transactions typing
	* Added SRD-type actions in invest
	* Typing 'Capital Plus' account as TYPE_SAVINGS
	* Allows " in subcription id
	* Add invest currency
	* skip dsp2 page
	* Type account
	* Fix accountownership for pro card account that have checking account
	* Added the PSU statut
	* Missed bdate for some card history
	* Handle new page to differenciate immediate and differate cards
	* update transfer form
	* Add bdate to deferred card transaction
	* Fix PEA account's type match
	* handle transfer wrong exec date error
	* Allows pro cards return when other is not available
	* Repair iter cards condition
	* keep some non active cards
	* Repair LI history and add pagination
	* Fix checking account pagination
	* remove all TransferError
	* skip withdraw in deferred card history
	* Change form id account
	* id form changes for cards
	* skip additional information page

	Modules: degiro
	* Fix for empty history (missing json keys)
	* Repaired iter_history and used float_to_decimal()
	* Fixed obj_code_type for investments
	* Fixed amount and currency handling for transactions
	* added vdate for investments
	* added unitprice for invests
	* Fix duplicated transaction id
	* Corrected investment valuations and account balance
	* Fix Wrong transactions dates (part2)
	* Inserted new key 'data' when getting information
	* Add id for transactions part 1
	* add new foreign languages
	* Fix: balance, original_val, liquidity
	* revert regression introduced for liquidities
	* Liquidities added
	* Prefix "CFD" investment ISIN codes with "XX-"
	* bump to 1.6
	* Handling new "intérêts" field to get action in history
	* Deleted invest condition to fit account balance
	* set original currency for investments
	* fetch the amount based on the label
	* skip filling investment field when it fails
	* add a missing key
	* changed account balance scrapping
	* json structure changed for balance
	* fix completely incorrect investment data
	* add CapBankWealth and CapBankPockets in bank.py
	* AuthMethodNotImplemented
	* handle totp error
	* bump version to 1.4
	* Change InvestmentPage URL
	* Better variables name.
	* fix: an isin code is always 12 char.
	* fix: access to investments only if number > 0
	* fix: get last element for isin in raw.
	* fix transactions investement with french lang + optimize
	* product ids are now ints
	* products url changed + fetch investment labels
	* misc fixes
	* fix json xpath
	* add type matching for transactions
	* Add module De Giro

	Modules: edf
	* [edf - pro] handle another pro website
	* fixing authentication with an extra header
	* [edf - pro] use EUR instead of € for currency
	* [edf -  pro] take subscription label in another place
	* [edf - par] fix login - add otp_data to __states__
	* [edf - par] fix login

	Modules: figgo
	* implement CapDocument for fetching payslips

	Modules: foncia
	* #285 fix module
	* fix #250 : website got updated

	Modules: fortuneo
	* Raise ActionNeeded for connection blocked
	* Fetch investment history of PEA accounts
	* fix CardHistory debit vs. credit
	* not using the account iban for transfers
	* Added ActionNeeded when site ask for user infos
	* LI balance and investments format change
	* add account ownership
	* add error message for transfer
	* Corrected Life Insurance balance & investment values
	* Add last name+title to CapProfile
	* new xpath for error on transfer
	* Add bdate
	* Corrected account id and numbers

	Modules: ganassurances
	* Made the module an abstract of ganpatrimoine
	* Made module Python3 compatible
	* Make this module standalone with former code from groupama
	* Set self.domain to repair login
	* Cosmetic changes
	* Regex in ValueBackendPassword and unicode_literals

	Modules: gmf
	* Repair Login by handling the Virtual Keyboard
	* Changed form value to access investments and history

	Modules: groupama
	* Make module an Abstract of ganpatrimoine
	* Updated login procedure to repair children ganassurances & ganpatrimoine
	* Typed transactions for newly added 'Certificats Mutualistes' account
	* Various code formatting
	* Added 'Certificats Mutualistes' as TYPE_SAVINGS accounts
	* Updated BrowserIncorrectPassword Got to raise it with a get_error in the login function, with checking of the error message
	* Corrected investment total valuation and codes

	Modules: groupamaes
	* Cosmetic changes in module.py
	* migrate to new cmes browser
	* Make module an AbstractBrowser of CMES
	* Repaired login URL

	Modules: hsbc
	* Filter out duplicate transactions & ensure the debit date is always after the rdate.
	* correcting diff ratio for investments
	* fixing Patrimoine link
	* adding diff ratio when available for hsbc/life_insurance module
	* fix history issue when multiple credit cards
	* fixing PERP AccountType
	* Added new URL handle for login
	* Syntax for pep8 + cosmetic changes
	* Add accountownership
	* Fetch all kinds of defered cards
	* add bdate
	* Catch an additional wrongpass message at LoginPage so it is rightfully returned as such by weboob
	* Added new transactions patterns
	* Take the negative of balance for credits accounts
	* Miscellanous fixes for new webspace
	* Build around the new webspace
	* Add parsing of new web space
	* handle PEA new urls
	* Use the default tls settings. Fixes #188

	Modules: hsbchk
	* make files not executable
	* Cleanup
	* create new HSBC boobank module dedicated to HK accounts

	Modules: humanis
	* Cosmetic & contributor changes in module.py
	* migrate to new cmes browser
	* Login URL changed to /epsens
	* joli logo

	Modules: hybride
	* bump to https

	Modules: ilmatieteenlaitos
	* Fix build with Python 3

	Modules: indeed
	* Fix xpath query to retrieve a job title
	* fix module website got updated

	Modules: infomaniak
	* fix iter_document after documents page has changed

	Modules: ing
	* Handle login OTP with ActionNeeded
	* OTP authentication for transfer is not handled yet
	* Handle new error codes on login
	* Handle virtual keyboard change on login
	* Fix investment label
	* adpat VK api for abstract
	* add account ownership
	* Modified get_isin following page update
	* Added page encoding
	* Syntax for pep8 + cosmetic changes
	* handle new recipient errors
	* incorrect password json code might have changed
	* corrected transfer suggested date scraping
	* catch recipient error
	* implement add recipient
	* Added coming to accounts
	* change date if unavailable agency on transfer
	* investment portfolio shares are not available anymore
	* Add bdate
	* add new virtualkeyboard hash for character '6'
	* handle transfer virtualkeyboard
	* handle new login virtualkeyboard
	* avoid page not found from life insurance space logout
	* update request to return from ing loan website
	* add feature: transfer
	* avoid market page redirection when there is null balance
	* handle invalid login/birthday combination
	* fix cap document
	* do not return accounts in application state from old browser
	* handle invalid login case
	* bank name is only "ING" now
	* raise ActionNeeded for locked account
	* add transaction type for checking account
	* return on old website if we are on bourse, life insurance, loans page
	* not retrieve transactions web id
	* log export session dumps to use it
	* set Transaction.raw and use patterns to get a simplified 'label'
	* multiple fix
	* dump virtualkeyboard files in session folder if needed
	* add virtual keybord hash
	* handle API website

	Modules: ipapi
	* Fix Python 3 compatibility

	Modules: larousse
	* site was updated

	Modules: lcl
	* Add parse_with_patterns if transaction has an unknown type
	* Add LinearDateGuesser for transaction rdates in the future
	* Fixed transaction details link for some transactions
	* Add missing transaction types
	* Handle load_details for deferred card summary
	* Changed transactions details link
	* Fixed transactions detail url method
	* handling euro symbol in transfer label
	* Modified account ownership regex to handle name without spaces
	* Changed profile name retrieval for account ownership
	* add account ownership
	* send message for TransferBankError
	* raise ActionNeeded when user account is blocked
	* Syntax for pep8 + cosmetic changes
	* Fixed contracts list gathering
	* Fixed/built Calie webspace parsing
	* Changed BoursePage `col_especes` detection
	* Corrected possible name for 'Espece' column
	* remove '&' from transfer label
	* Added dayfirst=True to all Date filters
	* Corrected condition for life insurances
	* Fix NotImplemented on coming for LCLEspacePro
	* transfer reference id is not available
	* Separate deferred card in specific account
	* '#' character is not valid for transfer label
	* cannot go on life insurance website from no_perm page
	* retrieve lcl external life insurance history
	* retrieve lcl external life insurance invest
	* retrieve all life insurance accounts on external website
	* update life insurance xpath
	* Fix new login url
	* update new recipient otp url

	Modules: ldlc
	* Fixed __init__ bug on LdlcParBrowser
	* Syntax for pep8 + cosmetic changes
	* [ldlc - pro] manage captcha and change login form field
	* remove unasked website params when login

	Modules: lendosphere
	* new CapBankWealth module for crowdlending site

	Modules: linebourse
	* Fix diff_percent on linebourse API
	* Do not try to parse investments with empty valuation
	* Handle NotAvailable for portfolio_share in invest when the data is not present in the json

	Modules: logicimmo
	* Do no fail on missing img source attribute
	* fix module : website got updated

	Modules: lolix
	* R.I.P.

	Modules: lucca
	* avoid date overlap when sliding date window
	* use v3 api + merge events if there's both AM and PM
	* login page changed
	* relicense to LGPL
	* rename module to "lucca" since it does figgo and pagga

	Modules: lunchr
	* Skip account without any card
	* type ORDER transactions on lunchr website
	* enforce per-page quantity
	* yield refund transactions
	* bump to 1.6
	* Handle wrongpass correctly
	* new CapBank module

	Modules: mareeinfo
	* Fix crash due to strict dates

	Modules: marmiton
	* get the right recipe json

	Modules: materielnet
	* fix login which compared a string and an int
	* Unused test file
	* fix syntax
	* small fix when load document details
	* handle captcha
	* Fix 'regexp' keyword and add r''

	Modules: metalarchives
	* New module Metal Archives (Boobands/CapBands)

	Modules: meteofrance
	* fix #323

	Modules: myedenred
	* Fix python 3 compatibility
	* Fix login to mirror website changes
	* Fix bug when outlet/name key is missing
	* Add missing transaction type
	* Fix transaction label
	* Changed JsUserPage regexp looking for JSON content
	* Whole module changed
	* Resolve bug due to DateGuesser
	* Add daily credit limit to account.
	* Update the module to support a new website behavior

	Modules: myfoncia
	* Fixed the login on the connector

	Modules: n26
	* Update n26 to match n26_fallback
	* Add more error cases on login
	* Handle more error cases
	* Rework login, Handle OTP and refresh_token

	Modules: nef
	* Typed Parts sociales as MARKET

	Modules: netfinca
	* Repair iter_investments
	* Set account obj_number
	* Typed 'Parts Sociales', 'Vendome', 'PEA' and 'D.A.T.'
	* Added default value (None) for accounts withtout liquidities
	* Corrected account typing, balance and currency
	* Fixing netfinca not released

	Modules: okc
	* fix authentication and website changes

	Modules: oney
	* Handle login with email
	* Fixed decimal problem on transaction amount
	* Syntax for pep8 + cosmetic changes
	* Fixed account ID parsing
	* Changed login and parsing of `other` accounts
	* Further transaction typing
	* Reworked iter_history of CreditHistory page
	* missing transactions

	Modules: onlinenet
	* flake8 code linting
	* mark onlinenet as python3 compatible
	* remove useless test

	Modules: orange
	* Don't raise 503 error if there are no bills
	* increase timeout to 1 minute
	* Retrieve subscriptions from api if no subscriptions found
	* Syntax for pep8 + cosmetic changes
	* Fix StringIO import to be compatible with python3
	* handle password page when password is too weak and user has to change it
	* handle wrongpass when get 403
	* update bill page for par website
	* Handle cgu page
	* handle crash when server doesn't respond

	Modules: ovh
	* fix the way we detect if we are logged
	* change the way to detect input login form
	* Add retry when failing to go to the login page
	* Syntax for pep8 + cosmetic changes
	* fix label message when raise BrowserQuestion
	* add error message when raise BrowserIncorrectPassword
	* python3

	Modules: pagesjaunes
	* take only phone number, ignore fax number

	Modules: pajemploi
	* add employee name in document label
	* New module (CapDocument capability only)

	Modules: pap
	* #286 fix viager test for module

	Modules: paypal
	* remove unused import
	* fix compatibility with python2
	* Fix get_accounts
	* Fix types during comparison
	* Fix paypal once & for all
	* Fix accounts list retrieval
	* Fix login
	* fix some py2-only behavior

	Modules: pradoepargne
	* cosmetic changes in module.py

	Modules: s2e
	* New VK hashes
	* Fix wrong variable name
	* Check if password is digital before instanciating VK
	* remove useless get_account method
	* Modified xpath for Lyxor Funds asset_category
	* Implemented additional attributes for Etoile Gestion
	* Removed CleanText to avoid crash when Dict is null
	* Implemented investment attributes for S2E
	* Implemented supplmentary attributes for BNPPERE connections
	* Removed u in front of strings
	* Fixed xpath to get url to investment page
	* add col_quantity regex
	* Fix nav between several investments accounts popups
	* Added missing account types
	* Fetch Investment.performance_history and ISIN codes
	* Implement Account.company_name for single and multi space
	* Skip unexisting URL for investment codes
	* Improve account typing
	* Account typing 'PAGA' as TYPE_PEE
	* Ignore the 'ETOILE' prefix for account typing
	* Handle unavailable value for Regexp on get_code
	* s2e/bnpes] Handle unavailable history form
	* Raise NoAccountException only if we found message & found no account
	* Typed "Compte courant bloqué" as type DEPOSIT

	Modules: seloger
	* fix seloger URLs

	Modules: societegenerale
	* loan monthly repayment cannot be February 30th
	* adapt to modifications made on TwoFactorBrowser
	* make it crash when auth method is unknown
	* handle logged out case by forcing re-login
	* handle 2FA methods on pro website
	* factorize / rename login methods
	* check if terminal name exists on polling
	* handle 2FA SMS on par website
	* handle both 2FA and regular login methods
	* handle 2FA polling on par website
	* factorize code to prepare coming 2FA
	* Fixed page typo
	* split methods to overwrite in stet module
	* split methods to overwrite in stet module
	* Add retry when err_tech error is received
	* Fixed balance for revolving credits
	* 'pass securite' needed for foreign recipients
	* skip recipients with empty label
	* Handle new error
	* users not allowed to add recipients
	* check recipient based on id
	* Handle new market pages for pro website
	* Added pagination for investments in MarketPage
	* Added commission for certain transactions
	* Add break in iter_documents for avoiding extra request
	* add comma after url
	* replace html entities
	* Handle the fact that some loans doesn't show their history yet
	* fix iter_documents_by_types function in module.py
	* update accounts json path to get subscription
	* use accounts syntheses page as accounts page
	* get Rib document for all subscription
	* Fix spelling
	* Add regex to match special format
	* Fixed connection in websiteUnavaible when the profile page was in Error
	* replace 'document' for document.type by STATEMENT
	* Fix WebsiteUnavailable
	* fix ValueError day out of range for month
	* Set _parent_id for revolving credits
	* Handle new rate path for loan
	* retrieve market accounts and invests
	* Revert "[societegenerale] Handle mortgage type"
	* Added the debit account as the loan's parent
	* Set the nex_payment_date for loans
	* Handle mortgage type
	* Handle a new page to get more details on the loan (the rate)
	* Remove duplicate code line
	* Add account usage
	* handle case of old history websiteunavailable page
	* handle case of old history websiteunavailable page
	* handle case of old history websiteunavailable page
	* Add the account ownership to the new soge website
	* handle website unavailable page url
	* retrieve credit revolving transaction on old website
	* Fix rdate and type for account card transaction
	* Add bdate to deferred card transaction
	* add PROJECTIS_PROFESS and VIE_LMP as life insurance accounts
	* handle PLAN_EPARGNE_POPULAIRE as saving account
	* avoid unavailable accounts
	* add SOGEMONDE as savings account
	* typed check transactions
	* typed deferred card transactions
	* fix coming
	* fix execute transfer

	Modules: sogecartenet
	* Change bdate to rdate for entreprises
	* Remove useless save_response
	* Modify time of login cookie
	* Fix wrongpass/actionneeded detection + message retrieval
	* Rewrote module to handle new website
	* Added transactions on multiple months
	* Fix swapped date and rdate

	Modules: spirica
	* Fix account bug when portfolio_share is null
	* Added the account typing as life insurance for handicap savings
	* Added code_type
	* Catch blocked accounts as Wrongpass
	* Catch wrongpass correctly
	* remove useless comment
	* Handle BrowserUnavailebl() at Login
	* Remove iter_transactions_investments
	* Handle ServerError (502 Bad Gateway)
	* Only retrieve invests for 20 first transactions & handle logouts
	* Raised timeout to 180 secondes because website is SLOW

	Modules: supertoinette
	* fix module website got updated

	Modules: tapatalk
	* python3 support
	* do not append mobiquo/mobiquo.php to the url

	Modules: themisbanque
	* Port to Python 3
	* Fix rdate for some account transaction
	* Changed BASEURL to new one and changed IBAN parsing
	* Fix duplicated transactions
	* Add default TIMEOUT for long request to History Page
	* handle account with no details

	Modules: ticketscesu
	* Fix typo in name of module
	* Add module ticketscesu

	Modules: trainline
	* rename bills "Trajet du" to "Achat du" to match website
	* handle carrier_invoice as a purchase
	* start listing documents by passing today's month
	* a bill can have a duplicate id when it has several refunds
	* fix iter_documents when bill is a refund
	* browser2 and python3

	Modules: vimeo
	* repair video search and use youtube-dl, drop CapCollection

	Modules: wellsfargo
	* obliterate obsolete module

	Modules: wiseed
	* support bonds and improve "funding" xpath
	* new CapBankWealth module for crowdlending site

	Modules: yomoni
	* Make values optional
	* Fix iter_history regex
	* Fix transaction fetching
	* Fixed FormatError for certain accounts
	* Corrected account.number
	* Allows Investments empty date and empty quantity

	Modules: zerobin
	* Fix imports to work with the mainstream Cryptodome library
	* pyflakes

	Tools
	* replace version in setup.cfg too
	* Qt applications are not in this repository anymore
	* fix compatibility with python3
	* as scripts/ doesn't exist anymore, fix loading applications
	* do not build Qt applications anymore
	* tools/setup-virtualenv.sh: run weboob-config last
	* scripts/weboob-config doesn't exist anymore
	* Fix exit codes
	* Avoid stale_pyc under Python 3
	* Clean up spaces after templates
	* run pyflakes3 on all modules, not just declared modules
	* support python 3.7 and 3.8, no more 3.4
	* update to use python3
	* Avoid race conditions
	* [replace-backends-pass] Fix script to follow new format
	* force creating compat/__init__.py
	* imm-o-matic: Fix parameter name
	* imm-o-matic: Fix for newer pyyaml versions
	* Fix for Python 3
	* reimport weboob.tools.captcha.virtkeyboard
	* force manual backports to be reimported
	* fix execution of pylint
	* [windows-install] updater scripts
	* [windows-install] update scripts
	* Added HEADLESS = False to pipeline

	Unknown
	* add manpage for boobands
	* weboob.applications: remove qt apps
	* ci/requirements_modules: add selenium (for hsbchk)
	* python3: replace iterator.next() with next(iterator)
	* newsfeed: Works with Python 3
	* [trainline] add module to python3 compat
	* [myedenred] Added to list of py3 compatible modules
	* [materielnet] Marking module as python3 compatible
	* lendosphere and wiseed are py3 compatible
	* python3: import compat unicode/basestring in modules
	* python3: replace py2 dict.iter* to py3 equivalent in modules
	* modules: replace diff_percent field usage with diff_ratio
	* filters: Add test for Link
	* Add themisbanque in the py3 compatible modules list
	* change license of modules to LGPL
	* bump to 1.6

	Applications
	General: Core
	* make some __init__.py namespaceable for qt for splitting repository

	Applications: boobands
	General: Core
	* Added Application Boobands

	Browser
	General: Core
	* Update Firefox profile to next ESR
	* fix Abstract objects __new__ override

	Capabilities
	General: Core
	* transfer to others beneficiaries than recipient

	Capabilities
	Modules: metalarchives
	* capbands + metalarchives: cosmetics and rename some classes and pyflakes

	Capabilities
	Modules: seloger
	* fix #315

	Documentation
	Tools
	* fix some more shebangs

	General: Core
	Tools
	* install weboob in virtualenv as "scripts" disappeared
	* Add --local-modules option to local_install
	* change default python interpreter to python3

	Modules: aum
	Modules: okc
	* html2text does not provide unescape() method anymore, use the one from htmlparser

	Modules: bforbank
	Modules: lcl
	* Fixed market history link
	* Fixed get_logout_link xpath

	Modules: boursorama
	Modules: bp
	* new favicons

	Modules: boursorama
	Modules: creditcooperatif
	* change license

	Modules: caissedepargne
	Modules: creditcooperatif
	* for transfers, avoid EMV auth if present, choose SMS

	Modules: cesu
	Modules: pajemploi
	* Fixing Python 2.x [SyntaxError] 'return' with argument inside generator

	Modules: cragr
	Modules: netfinca
	* Adding missing account types
	* Account typing

	Modules: creditdunordpee
	Modules: s2e
	* rewrite using s2e, make it work with OTP / device fingerprinting

	Modules: erehsbc
	Modules: s2e
	* Remove credential secret phrase

	Modules: happn
	Modules: tinder
	* fix happn and tinder

	Modules: ldlc
	Modules: materielnet
	* [ldlc + materielnet] ldlc is now an abstract module of materielnet

	Modules: paypal
	Modules: societegenerale
	* change modules to LGPL

	Applications: boobtracker
	Applications: boomoney
	Applications: monboob
	* use some python3 imports for email/io

	Browser
	General: Core
	Modules: youtube
	* update some references in docs and messages

	Modules: axabanque
	Modules: caissedepargne
	Modules: creditmutuel
	* replace fishy python2 code with iterators

	Modules: becm
	Modules: cic
	Modules: creditmutuel
	* Fix login upon 2FA deployment
	* Handle AppValidation

	Modules: cpasbien
	Modules: kickass
	Modules: t411
	* avoid urllib in modules

	Modules: googletranslate
	Modules: larousse
	Modules: wordreference
	* adapt to translaboob changes

	Modules: pagesjaunes
	Modules: peertube
	Modules: spirica
	* add favicons to spirca, pagesjaunes, peertube

	Modules: axabanque
	Modules: bp
	Modules: caissedepargne
	Modules: creditdunord
	* improve smelly code which triggers pylint py3 compat

	Modules: bp
	Modules: creditmutuel
	Modules: n26
	Modules: societegenerale
	* use ValueTransient in modules


Weboob 1.5 (2019-02-27)

	General
	* License change of the core from AGPLv3 to LGPLv3.
	* New humanis module (CapBank, CapBankPockets, CapBankWealth)
	* New nef module (CapBank, CapBankTransfer)
	* New netfinca module ()
	* New sogecartenet module (CapBank)
	* New themisbanque module (CapBank, CapProfile)

	General: Core
	* convert lists to displayable ones
	* rewrite to not require module_name useless parameter
	* use docstrings for fields
	* short explanatory paragraph on the class role
	* small fix
	* fail if "Account.number" is NotLoaded
	* add assertNotEmpty method
	* Fix condition for Python version and pyuic
	* BrowserRedirect's __str__ should display url
	* add parent logger param when instanciating a module
	* getLogger creates children for LoggerAdapter too
	* Include build.mk in distribution

	Applications: boobank
	* Typo.

	Applications: boomoney
	* MEMO now contains the raw information, for a better clarity
	* Made -A option to work and select the specified account only
	* Made slight changes so that debug in VSCode is possible
	* Setting Account type to CHECKING temporarily instead of permanently, to avoid side effect e.g. in societegenerale where history was listing the parent account
	* Handling unicode for python 3 compatibility

	Browser
	* More documentation on login management
	* Documentation for HTMLForm.submit parameters
	* follow RFC 7636 on code_challenge generation
	* pass code_challenge_method param
	* log current auth step

	Browser: Filters
	* add new filter ReplaceEntities

	Capabilities
	* Added Profile and Person attributes
	* Added account owner type 'ASSO' (association)
	* add Recipient.__repr__
	* rename diff_percent and keep a compat alias
	* Added field owner_type on Account

	Documentation
	* need_login calls do_login, not do_logout
	* Add imports in examples from module.rst
	* remove trailing parentheses in ItemElement example

	Modules: afer
	* handle new action needed message

	Modules: amazon
	* manage otp
	* fix locate_browser
	* fix download_document

	Modules: americanexpress
	* Add no account url
	* Fix missing transactions

	Modules: amundi
	* Rename iter_investments => iter_investment

	Modules: anticaptcha
	* handle funcaptcha

	Modules: barclays
	* Ignore history for twin accounts that are not in Euros
	* Corrected iter_accounts to fetch IBANs
	* Add loan and revolving credit
	* Use filter ReplaceEntities in common filter
	* Raise ActionNeeded for questionnaire on the website

	Modules: bibliothequesparis
	* items are present twice when late

	Modules: billetreduc
	* base url changed + support accented months

	Modules: binck
	* Skip new questions page
	* Handle ActionNeeded for password changing

	Modules: bnporc
	* id recipient can change, don't check the full recipient id
	* Retrieve also pending recipients
	* avoid recipient with same iban
	* Handle 'No porftolio to display' message

	Modules: bnppere
	* Handled french and american amounts
	* Added iter_pockets to avoid S2E crash when testing
	* Implemented code to avoid account ID duplicates

	Modules: bolden
	* Diff and Doc attributes may be NotAvailable for investments
	* fix liquidities as label changed
	* fix account valuation diff

	Modules: boursorama
	* handle transfer main page to iter recipient
	* Corrected coming summary filtering
	* Corrected liquidities and investments
	* Corrected issues with immediate card transactions
	* Do not scrape deferred card summaries when not fixed yet
	* Added "Retrait dab" as Transaction.TYPE_WITHDRAWAL

	Modules: bouygues
	* fix #203: sms url got updates

	Modules: bp
	* Handle new history url case
	* Get Savings IBAN
	* handle website unavailable message for pro accounts
	* Fix transfer without iban
	* Fix coming url for "Compte attente"
	* fix differed cards url
	* Fix revolving credit navigation
	* Fix url for iban and coming
	* Correct get RIB parameter

	Modules: caissedepargne
	* NotImplementedError for transfer with SMS
	* Check transfer functionality in pro space
	* Adde "is_error" to CreditCooperatifMarketPage
	* Included Capitalisation contracts in iter_investments
	* Corrected type and balance xpath for LI and Capitalisation
	* Fix regression
	* Fix datepourie
	* fix loans
	* Handle "Récapitulatif de frais bancaires" document
	* update main form
	* Some user have a market account but they have no access to linebourse
	* Fix cnet when card have not coming transaction
	* Handle error when error don't have any title
	* Added BrowserUnavailable when the redirection offrebourse is in error

	Modules: cmb
	* inherit CapBankTransfer like parent cmso

	Modules: cmes
	* Skip user form
	* handle new login url and custom page
	* handle new login url
	* Corrected investments and pockets for CCB supports

	Modules: cmmc
	* inherit CapBankTransfer like parent cmso

	Modules: cmso
	* Allows inexistant json transfer keys
	* check if account can do transfer or not
	* fix internal transfer
	* skip duplicate recipients
	* add new feature: transfer
	* add new feature iter recipient

	Modules: cragr
	* fix iter recipient
	* Avoid crash when redirection to Predica for old website
	* avoid duplicate iban
	* add iter recipient and transfer to api website
	* Set vdate to date for Savings accounts transactions
	* Typed "Escompte commercial" as Loan
	* Added missing balance for revolving credits
	* Typed PRET CEL as Loans
	* Remove assert on account balances
	* Use go_to_account_space() instead of self.contract_page.go()
	* Included "/agriculteur" in the list of URLs
	* Use go_to_account_space() for get_profile and advisor
	* Specified landing URL in the error message if login failed
	* Remove assert False since all error message are handled
	* Limit to 11 digits when posting username
	* Added other wrongpass message
	* Added "entreprise" to all concerned URL()
	* Corrected error message during security check
	* Add regexp to login to prevent server errors
	* Handle ActionNeeded when first online connection
	* Added information about account categories & skipped assurances
	* Skip account typing warning for "assurances"
	* Ignore "assurance" when getting account balances
	* Implemented get_profile and iter_advisor for new API website
	* Corrected login errors and factorized security check
	* Implement iter_investments() for new API website
	* Changed the behavior of logged-out page
	* Remove all_accounts from cache and corrected unique cards
	* Replaced OrderedDict with dict and typed transactions
	* Implemented history, coming and summaries for Cards
	* Replaced tabs with spaces in params dictionary
	* Implemented iter_history and coming for accounts
	* Corrected duplicate Loan IDs and iter_cards
	* Implemented navigation for new Cragr website
	* Fix crash due to missing balance
	* 'warn' exists for Logger, not LoggerAdapter
	* date_guesser modified

	Modules: creditdunord
	* Corrected bugs for account.balance and LI investments
	* Fix loan url
	* Fix iter account
	* Skip iban return for cards
	* Fix get_label
	* Fetch ISIN codes and portfolio shares for Life Insurance investments
	* fix iter_coming
	* Json key change
	* Fix missing space
	* Prevent transaction original_currency to be set if it's the same that the account

	Modules: creditmutuel
	* Handle terms and condtions page
	* Add banqueprive in new_website
	* Skip document without account identity
	* fix life insurance invest table
	* Fix original amount
	* Delete the warning logger in case of IndexError
	* Fix cards list
	* fix old history card navigation
	* fix several companies navigation for pro cards

	Modules: delubac
	* become abstract from themisbanque connector

	Modules: edf
	* fix iter_documents
	* - par - fix login by correctly handling captcha
	* fix download document

	Modules: entreparticuliers
	* add missing fill_housing method

	Modules: explorimmo
	* fix advert url

	Modules: fortuneo
	* Change transaction.label content
	* Avoid fake ActionNeeded

	Modules: hsbc
	* Skip card in opposition

	Modules: ing
	* ingdirect is now also ing on bourse website
	* fill_account is not mandatory, skip it if website bugs
	* this method also get balance of market accounts on bourse website
	* cosmetic change
	* optimize download_document
	* change bill type to statement
	* remove bad logging
	* Fix bourse url
	* ing domain changed from ingdirect.fr to ing.fr

	Modules: lcl
	* Corrected profile.email when email is absent
	* Account type for PEA
	* Added account_owner_type to account
	* Fix transfer error when no label given
	* CapDocument implementation in espace e.lcl and pro
	* Password truncated to 6 characters

	Modules: leboncoin
	* fix module: website got updated

	Modules: logicimmo
	* fix #211 retrieve the good url

	Modules: materielnet
	* fix wrongpass detection by changing xpath

	Modules: myedenred
	* Add raw label to transactions.

	Modules: n26
	* Add transaction type

	Modules: nalo
	* accounts list url changed

	Modules: nef
	* Add recipients
	* Add transactions
	* Initial version, supports listing accounts

	Modules: netfinca
	* fix version number to 1.5
	* Correct problems with liquidities and inv codes
	* fix iter_inv using col span
	* Module creation

	Modules: oney
	* Fix positive balance for credit card account.

	Modules: pap
	* fix modules: website got updated

	Modules: pradoepargne
	* Make module completely inherit from Humanis
	* fix login

	Modules: societegenerale
	* retrieve accounts from old website
	* get balance instead of incoming balance
	* avoid retrieve subscription without id
	* add life insurance account type
	* reorganize retrieve document code
	* get first available transfer date with day first
	* find recipient by id before iban to do transfer
	* handle website unavailable message
	* email is now on HTMLProfilePage
	* avoid not invest raw in invest table
	* raise NoAccountsException when there is no account message
	* add 'CREDIT_CONFIANCE' as TYPE_REVOLVING_CREDIT
	* update and reorganize new recipient code
	* raise ActionNeeded where access to website is suspended
	* add new account type
	* update item condition in iter transaction
	* add xpath error message in profile
	* update error message to retrieve documents
	* update service unavailable url page
	* raise browserunavailable for users who can't access SG website
	* do not stop iter account when transfer page is not available
	* handle revolving credit as loan object
	* add account type
	* fix transfer
	* add new TYPE_PERP account type
	* handle loan history error message
	* add TYPE_CONSUMER_CREDIT account type
	* avoid transaction with null id in card transaction
	* update all code and use Browser2
	* some user can't access transfer page to get ibans
	* fix iter_subscription
	* Skip recipient without IBAN
	* update login and iter account
	* change transfer exec_date for the first available transfer date
	* update the last visited url in add recipient
	* handle website unavailable on transfer page
	* handle website unavailable on invest page
	* update is_here condition for AddRecipientPage

	Modules: vlille
	* url changed transpole is now known as ilevia

	Tools
	* Use __all__ if possible
	* Fix crash when template contains unicode characters
	* Boilerplate refactoring for extended usage
	* reset manual ports

	Applications: weboobdebug
	Browser
	* Add a helper method to generate TableElement code

	Browser
	Documentation
	* attempt to avoid misusing LoggedPage

	Browser
	General: Core
	* Update Firefox ESR, fix headers to be exactly the same

	Capabilities
	General: Core
	* Manage funcaptcha

	Modules: cices
	Modules: cmes
	* Re-order arguments in the browser instanciation


Weboob 1.4 (2019-01-06)

	General
	* Previously deprecated browser, named ”browser1”, is now removed.
	* New anticaptcha module (CapCaptchaSolver)
	* New asana module (CapBugTracker)
	* New avendrealouer module (CapHousing)
	* New bandcamp module (CapAudio, CapFile)
	* New becm module (CapBank, CapBankTransfer, CapBankTransferAddRecipient, CapContact)
	* New binck module (CapBank, CapBankWealth)
	* New bnpcards module (CapBank)
	* New bolden module (CapBank, CapBankWealth, CapDocument, CapProfile)
	* New deathbycaptcha module (CapCaptchaSolver)
	* New ekwateur module (CapDocument)
	* New figgo module (CapCalendarEvent)
	* New freeteknomusic module (CapAudio, CapFile)
	* New gmf module (CapBank, CapBankWealth)
	* New groupama module (CapBank, CapBankWealth)
	* New infomaniak module (CapDocument)
	* New journaldesfemmes module (CapRecipe)
	* New limetorrents module (CapTorrent)
	* New meslieuxparis module (CapDirectory)
	* New myedenred module (CapBank)
	* New nalo module (CapBank, CapBankWealth)
	* New pagesjaunes module (CapDirectory)
	* New peertube module (CapFile, CapImage, CapVideo)
	* New reddit module (CapFile, CapImage, CapMessages)
	* New relaiscolis module (CapParcel)
	* New sprunge module (BasePasteModule, CapPaste)
	* New suravenir module (CapBank, CapBankWealth)
	* New xhamster module (CapFile, CapImage, CapVideo)
	* New yggtorrent module (CapTorrent)
	* Deleted alloresto module
	* Deleted arretsurimages module
	* Deleted attilasub module
	* Deleted batoto module
	* Deleted canaltp module
	* Deleted cappedtv module
	* Deleted eatmanga module
	* Deleted ehentai module
	* Deleted europarl module
	* Deleted fourchan module
	* Deleted gazelle module
	* Deleted gdcvault module
	* Deleted gdfsuez module
	* Deleted geolocip module
	* Deleted izneo module
	* Deleted jacquieetmichel module
	* Deleted jvmalin module
	* Deleted leclercmobile module
	* Deleted mangafox module
	* Deleted mangago module
	* Deleted mangahere module
	* Deleted mangareader module
	* Deleted nettokom module
	* Deleted nihonnooto module
	* Deleted nolifetv module
	* Deleted opacwebaloes module
	* Deleted quvi module
	* Deleted sfr module
	* Deleted simplyreadit module
	* Deleted trictractv module
	* Deleted unsee module
	* Deleted ups module
	* Deleted voyagessncf module

	General: Core
	* new application QBoobTracker
	* add version information in weboob/__init__.py
	* use release.py to generate ChangeLog
	* ResultModel.setColumnFields should accept strings
	* remove not used anymore weboob.tools.capabilities.messages
	* Under Python 3, prefer Python 3 Qt
	* Build universal wheel archive
	* new BrowserRedirect exception meant to work with oAuth2 compliant modules. The module constructs the authorization_uri with every params it needs (at least client_id and redirect_uri), then raise BrowserRedirect with this uri.
	* Modify and clean weboob.tools.decorators.retry
	* include Value.description in the message displayed by console
	* Create a welcoming and inclusive environment for new contributors
	* deinit the browser even if dump_state fails
	* Move README file to a README.md file rendered by Gitlab, with extra links to doc
	* Value: add an "aliases" parameter to handle old "choices"
	* depend on Pillow, don't do old debian stuff
	* Captcha handling improvement, captcha type added

	Browser
	* redirect_uri has to be supplied
	* remove ACCESS_TOKEN_METHOD, and create do_token_request() overridable method
	* update to handle more oauth2 cases
	* add OAuth2Mixin and OAuth2PKCEMixin classes
	* add a method for clearing local storage
	* map PR_END_OF_FILE_ERROR to socket.timeout
	* force "sql:" prefix on newer versions
	* disable OCSP temporarily
	* set JsonPage encoding
	* HasTextCondition did not use the given xpath
	* add 'logger' attribute in SeleniumPage as others
	* if nss error is not handled yet, raise it instead of ignoring it
	* fix python3 compatibility in CsvPage
	* PEP8 fixes
	* also detect certifi path to detect module-pinning
	* cache certificates fetched by AIA HTTP
	* implement AIA support
	* log URLs when testing pages, like standard weboob
	* allow changing rendering window size
	* fix certificate_db_filename nss version parsing
	* Allow open to use callback
	* Allow open to use is_async
	* finally implement timeout support
	* Use public get_policy if available
	* add a mixin for doing login in selenium
	* support on_load
	* forking is not a problem
	* save visited page content (and a quota)
	* log path to avoid phantomjs logging anywhere
	* compatibility with mini_jsonpath
	* handle nested ListElement obj_x
	* close requests session when switching browser
	* add xpath function to get first non empty xpath result
	* add localStorage manipulation methods
	* new methods to scrape frames content
	* let browser build options and capabilities
	* fix usage of json parameter in go()
	* fix usage of parameter 'json' on open() and location()
	* quietly accept new 'json' location() param
	* introduce weboob.browser.selenium
	* ignore when OCSP is not responding
	* fix fd leak
	* in case of client cert, fall back to openssl
	* Add 'Upgrade-Insecure-Requests' headers to the Firefox/IPhone/Android profiles. Fixes #97
	* LoginPage should inherit object, like LoggedPage
	* use a lock to prevent race condition when saving responses
	* fixed KEEP_SESSION
	* handle CA bundles and nss on centos
	* if NextPage.request is an instance of Page, use it
	* Copy cookie policy in copy()
	* Add support for cookie policies
	* Also copy cookie policy
	* accept parameter 'page' to force à class to instanciate
	* add the SwitchingBrowser class
	* add a retry_on_logout_context context manager
	* introduce 'retry' module and RetryLoginBrowser
	* add "matches" XPath 2.0 function
	* indicate class file and line when an attribute raises an error
	* be more tolerant on HTTP-equiv refresh syntax
	* Bump to current Firefox ESR

	Browser: Filters
	* keep compat behavior call_with_colspan for no td
	* CleanDecimal now checks correct thousands separator use
	* CleanDecimal should accept whitespace after sign
	* new CleanDecimal form should return default value
	* Add colspan attribute to TableCell class
	* CleanDecimal should not accept mixed strings
	* raise FilterError instead of ParseError directly
	* move ItemNotFound error from standard
	* if there is no group in regexp, return original string
	* fix Decode because unquote differs in py versions
	* fix missing ColumnNotFound import
	* add more docstrings and examples

	Capabilities
	* Use DocumentTypes.BILL instead of u'bill' in Bill __init__
	* add XPF currency
	* use DecimalField + add latitude/longitude
	* add new fields
	* new capability for yellow pages and opening hours
	* misc improvements
	* add new recipient error class 'AddRecipientTimeout'
	* Fix strict_find_object
	* add strict_find_object to skip matching on paramaters with empty value
	* add DocumentTypes to __all__
	* add iter_documents_by_types
	* apply same transformation on new label than old
	* add AddRecipientBankError
	* PEP8 fixes
	* add valuation diff percent field to account
	* remove all extra space like CleanText()
	* New Capability for bank websites
	* Add EUROS to currency
	* use int.__str__ as IntEnum.__str__ for compat
	* use compatible Enums in a few more capabilities
	* use enums in Account, Transaction and Pockets
	* Inverted iteration loops for get_currency
	* Fix empty() for multiprocessing
	* Account.iban and bank_name non-mandatory
	* Prefill weboob.capabilities.bill.Bill type field
	* Add new ProfileMissing exception in profile capabilities
	* link Documents to Transactions
	* fix exception_to_job for Nocaptcha
	* add an exception_to_job to easily build solving jobs
	* clarify percentage fields
	* complete and reorder __all__
	* Define default values for attributes of Subtitle class
	* remove unused imports
	* Fix CapRecipe comments #112
	* delete LUF currency aliases
	* Adding '()' to the EXCTRACTOR regex
	* adding some account types for loans
	* add a few more currencies
	* add Account.opening_date field
	* add a `parent` Field
	* improve doc
	* add a default get_account implementation
	* make BaseImage.id optional in __init__ to use with ItemElement
	* compare decoded version of labels
	* update to a for/else clause

	Documentation
	* add fillobj tip and nested ListElement obj_x
	* add another method for json + describe table parsing
	* add pagination and http errors recipes
	* include __init__ docstring in class docstring
	* add a cookbook guide
	* update URL to bug tracker

	Applications: boobank
	* account_type was not being initialized properly.
	* handle multiple AddRecipientStep in succession
	* Set proxy and logger in budgea command
	* transfer command accepts an exec date param
	* Update boobank.py to generate valid OFX files for CARD accounts. Only CHECKING and SAVINGS accounts were supported previously.
	* don't crash on "investment" or "pocket" command if not implemented
	* stop add_recipient command if there are multiple backends
	* Issue #57 fix not unique OFX Fit ID in boobank
	* make "transfer" command more interactive and add "recipients" command
	* fix Transfer and Recipient formatters
	* remove CapBankTransfer from Boobank.CAPS

	Applications: boobcoming
	* ICalFormatter now accepts dates (not datetimes)

	Applications: boobill
	* boobill handles profile
	* handle CaptchaQuestion by using CapCaptchaSolver backends
	* download all should use the correct backend of a document

	Applications: boobooks
	* add "search" command

	Applications: boomoney
	* Added unicode support to INIConfig
	* MSMoney does not like when CHECKNUM is after MEMO
	* Fixed pyflakes issues
	* Added boomoney application

	Applications: qboobtracker
	* add a fancy tag list display
	* display issue details and history
	* support tag search
	* new CapBugTracker app

	Applications: qcineoob
	* prefer getattr() over exec()

	Applications: qflatboob
	* fix compatibility with new enums
	* fix issue #105

	Applications: qgalleroob
	* don't force thumbnail retrieving if xdg storage has it
	* results can be fetched on-demand, and can be permanently hidden
	* improve image info labels
	* fix "browse" as iter_backends was misused

	Applications: qhavedate
	* do not crash if there is no description in a contact's profile

	Applications: radioob
	* do not force formatter for "search" command
	* fix wrong help displayed for "search" command

	Applications: videoob
	* VideoListFormatter uses rating_max field

	Applications: weboobcfg
	* Remove the applications command of weboob-config

	Applications: wetboobs
	* fix reversed condition on unknown temperature
	* Update wetboobs display of high and low values

	Modules: 750g
	* fix typo and missing duration
	* fix module website got updated
	* bump to https

	Modules: adecco
	* fix module: website got updated
	* website got updated
	* fiw module: website gor updated and bump to https

	Modules: afer
	* Add ActionNeeded to validate license agreement
	* return message with wrongpass
	* forcing cert file is now useless
	* py3 port
	* update AFER password length
	* corrected iter_investment
	* cleaning
	* Handles BrowserUnavailable when account can't reach adhesion page
	* add "raise BrowserUnavailable()" exception when website crash

	Modules: agendadulibre
	* fix parsing date

	Modules: allocine
	* pyflakes Python 3 fixes

	Modules: alloresto
	* remove broken module

	Modules: amazon
	* update xpath to get document
	* do not redo login if it's already logged
	* fix download document
	* fix login
	* get other subscription link xpath
	* Fix issue #130
	* handle xpath variation for documents date
	* pass image data instead of image_url
	* Corrected xpath for date
	* better xpath to parse date
	* Improve double auth managing
	* Refactorized login to handle OTP + Captcha better
	* New form for double auth
	* Corrected way to go to login
	* New way to handle OTP
	* Can not handle OTP without StatesMixin
	* OTP verification handling
	* Added new security page to handle and better handling
	* Corrected subscription label if we do not have user's name & module description
	* Refactored the entire module. Added UK. Now based on FR site.
	* Corrected xpath, added condition and xpath to match all possible buttons to download pdf
	* Corrected to_login function to use the right variables
	* check we are on home page before looking for identification link
	* convert filter to list comprehension (py3 compat)
	* Now donwloading as PDF (if key is activated)
	* Comportement improvement, now handles text captcha

	Modules: amazonstorecard
	* flake8 fixes, Python 3

	Modules: ameli
	* handle unavailable page
	* handle error on login
	* add regex to login field
	* PEP8 fixes
	* py3 port
	* raise ActionNeeded if handle cgu page
	* go back to accounts page after history
	* fix regexp in iter_history
	* port to python3
	* list max documents (6 months), not the default (1 month)
	* Fix login page and a regex

	Modules: americanexpress
	* Handles temporarily unavailable pages
	* Card typing
	* Add: Id for transactions
	* Clean for new website only
	* only have card type
	* don't yield coming without debit date
	* Scrapping all accounts in the new website
	* make transactions match with account by account owner name 		/ fetch coming for old website accounts
	* Add : Commission value
	* Fix: Fake account
	* Revert do_login
	* Add: Mix of old and new account
	* fix Decimal parsing error for CFA currency
	* corrected balance and coming for multiaccount
	* corected balance and coming
	* Fix type test (basestring includes both str and unicode)
	* length of account data list has changed
	* fix index out of range on acc label parsing
	* pass on 500 errors when fetching trs
	* yield more than 1 card on new website
	* fix missing label
	* handling actionNeeded
	* 'statement_start_date' key not always present in json
	* fix crash on rupie indonésienne tr
	* get currency on new website
	* now using 'parse_decimal' to filter original_amount so as to keep decimal format consistent
	* sign of transaction's original_amount fixed
	* fallback on another json balance page
	* fix debit date parsing for coming transactions
	* set right type for summary card operations

	Modules: amundi
	* py3 port
	* Added code_type for Investments
	* handle PEI account
	* removed obj_diff : it is wrong and doesn't exist on the website
	* no longer yielding investments where amount is 0
	* in account number, swap login and id
	* prepend login to Account.number
	* fix rounding transactions amount
	* force TLSv1.0

	Modules: apivie
	* None page after login is now wrongpass
	* remove "with" since it's for browser1
	* quick port to browser2
	* fix crash on iter sub
	* Investments on unknown account
	* handle vdate notavailable
	* account types
	* handle no invest on account
	* portfolio_share
	* fix account type for apivie
	* adding investments to apivie

	Modules: arte
	* fix tests
	* remove useless print()
	* website and api were fully rewritten
	* old video info url seems unavailable

	Modules: asana
	* new bugtracker module

	Modules: aum
	* fix compatibility with python3
	* port module to browser2
	* <3

	Modules: avendrealouer
	* Create housing module for avendrealouer.fr

	Modules: axabanque
	* update iban parsing
	* Handle error 500 page
	* Transfer: iban checking debug
	* handle maintenance page with insecure HTTP
	* Factorized liquidities with create_french_liquidity()
	* origin account iban can be notAvailable
	* Change AddRecipientError to AddRecipientBankError
	* Add profile capability
	* PEP8 fixes
	* Typed Epargne Retraite Novialaccounts to "Life Insurance"
	* Modified xpath for life insurances
	* fix typo for recipient category
	* add transfer virtualkeyboard hash
	* use TransferBankError instead of TransferError
	* need only the 5 first characters to validate transfer
	* handle transfer error message
	* handle new error message
	* get pea history on netfinca bourse page
	* Reload state only for add recipient step
	* switch type card account balance to coming
	* search for the last day of month to add debit date on coming transaction
	* wealth and pea accounts don't have recipients
	* Add new feature: add recipient
	* parent for card account
	* add deferred transfer
	* add new features: iter recipient and immediate transfer
	* handle life insurance new url
	* There is an Assertion error when error page is empty
	* catch browser unavailable message
	* Fix life insurance xpath
	* Skip debit card and no status card
	* fix deferred card
	* Clean 'get account list' code
	* skip item if document can't be downloaded
	* Get ISIN code in a weboobian way
	* Implemented document download capability
	* handle another actionNeeded
	* fix itering on invest from axabanque website
	* Rewrote xPath selector
	* detailed_view is not always available
	* fixing login
	* fix investments parsing
	* handle isin codes if available in href
	* fetch investements from PEA accounts

	Modules: bandcamp
	* new audio module

	Modules: banqueaccord
	* Add missing CapBank to module
	* Fusion with Oney module
	* fix currency
	* fetching currency

	Modules: banquepopulaire
	* type transactions for summary and deferred
	* Fix login
	* fix comment
	* Added error message in french
	* further fetch token when empty page
	* Fix bug for rightless users
	* Don't crash without simplejson
	* Fix error on sudouest url from creditmaritime
	* Changed iter_investments to create_french_liquidity()
	* set form parameters properly for Gocardless transactions
	* Included "Compte Titres PEA" into PEA accounts
	* Update regions from creditmaritime
	* Update region websites
	* handle browserunavailable
	* foreign currencies : currency and account type added
	* Remove obsolete VERIFY and ssl certificate
	* retry posting on keyerror
	* handles new browser unavailable page
	* wrong catching of the login page
	* handle linebourse landing page to avoid being delogged
	* Removed certificate verification for banquepopulaire
	* Remove call to set_gocardless_transaction_details
	* Revert "[banquepopulaire] Changed get_history return to prevent gocardless crash"
	* Changed get_history return to prevent gocardless crash
	* Handle gocardless transactions that have hyperlink
	* fix transactions page getting handled by ErrorPage
	* get references on gocardless transactions
	* completed profile
	* manually added cookies should be on origin domain only
	* implement CapProfile
	* fixed regex in get_investment_page_params
	* retry to go on accounts page
	* bypass browserunavailable when going on investments.
	* add "Plan Epargne Enfant Msu" as "TYPE_LIFE_INSURANCE"
	* handling new json structure to by pass user action needed
	* fix for 'HomePage object has no attribute login'
	* Add regions to website choices
	* Fix: wrong account_type was raised
	* Browser tried to call a method on a page that didn't implemented it
	* handle unavailable page
	* some regions has been renamed
	* ActionNeeded on temporary password
	* rename some regions
	* loirelyonnais region has been renamed to bpaura
	* use dates for investments vdate
	* fix crash when there is a 'Contrat Prévoyance'
	* fix natixis life insurances fetching
	* fixing xpath to get currency on cards

	Modules: barclays
	* Adde fault=NotAvailable to Regexp
	* Corrected removal of untyped accounts
	* cert pinning is no longer needed
	* fix debit date for deferred debit transactions and rdate
	* return credit card history
	* don't cache history
	* Changed URLs from Barclays to Milleis
	* Changed immediate cards to TYPE_CHECKING
	* Corrected coming and balance for DIFF cards
	* Not raise BrowserIncorrectPassword when there is ' ' in secret
	* add "B. GESTION VIE" as TYPE_LIFE_INSURANCE
	* fix portfolio
	* detect more transaction patterns
	* fetch Transaction.raw from expanded transaction text
	* there may be no history for life insurances
	* add iter_investment

	Modules: becm
	* Added ActionNeeded when website does not respond to login process
	* Set version to 1.4

	Modules: bforbank
	* Avoid re_login upon checking market invesments
	* Exceptions added for checking accounts
	* raises an ActionNeeded when trading password needs creation/update
	* Fetch liquidities with create_french_liquidities()
	* Retry added because document won't load sometimes.
	* card with no transactions
	* change to the url to enter the Espace Bourse
	* baseurl changed
	* fetching previous month deffered card history
	* fix coming patch which was merged too quickly
	* set deferred card parent and coming instead of balance
	* handling transition period between last accounting day and debit date for deffered card accounts
	* handling certification needed by the user
	* ignore card when cancelled by bforbank
	* add liquidity invest on bourse account
	* go to lifeinsurance page after logout
	* Adding details on transactions raw
	* Scrapping details on 'prelevements' and 'virements' transactions
	* login images are now inline
	* recognize "Crédit" accounts as loans

	Modules: bibliothequesparis
	* implement search
	* fix missing renewal data and alert if missing
	* login requires an Accept json header

	Modules: binck
	* Get missing ISIN codes from invest detail page
	* Corrected details for new Binck website & improved navigation
	* Corrected navigation for new website
	* Rewrote module according to website changes
	* Corrected obj_code and added obj_code_type
	* Handle new informative page
	* Handles new informative page
	* any() takes exactly one argument
	* actionNeeded for frozen or closed accounts
	* Informations added for investments in foreign currencies
	* Factorized iter_investments with create_french_liquidity()
	* fix login error handling
	* py3 compat (already compatible)
	* handle an other account url
	* Add XX-liquidity investment
	* add ActionNeeded when ServerError with message is raised
	* use CapBankWealth
	* import TableCell from filters.html instead of filters.standard
	* actionneeded and coding style
	* handle expired password
	* skip customer quiz
	* fix 404 with non-invest accounts
	* fix investment xpath
	* don't log off when the browser is not on a known page to avoid deinit crash
	* adding binck module
	* pyflakes
	* add CapBank binck module

	Modules: biplan
	* bump to https

	Modules: bnpcards
	* Correct duplicate account's id
	* corpo/titulaire: fetch coming balance (if available)
	* non-corp/gestionnaire: go back to accounts page after balance
	* use SwitchingBrowser
	* detect expired password url for titulaire non-corporate
	* get coming balance for non-corporate gestionnaire
	* try to avoid duplicate ids in non-corporate/manager space
	* add currency to titulaire accounts (EUR)
	* bump version to 1.4
	* use a proxy browser to avoid do_login in __init__
	* fix handling multiple cases
	* fetch transactions for accounts with duplicate account number
	* fixing duplicate accounts
	* handle ti corporate page to avoid crash
	* fix going to transactions first page
	* update versions to 1.3
	* currency for bnpcards
	* fix non corporate manager iter accounts
	* handle rib pagination
	* yield all cards
	* update modules version to 1.2
	* fix accounts is not a class constant
	* refactor and fix bad transactions landing page
	* fixing parsing transaction
	* using number in place of id
	* get rid of useless variable
	* handling pagination for account page
	* caching account for better handling id
	* fix duplicates with payroll number field
	* add missing detail page
	* fixing missing import
	* adding softcap for bnpcards
	* fixing commission already in total amount
	* new page to navigate in coming pages
	* prevent crash when you have to change the password on holder accounts
	* bnpcards handle new navagiation
	* handling correctly coming for manager account
	* bnpcards module now handles Holders besides Managers
	* increase timeout to 60seconds
	* handling 3rd coming page
	* fix bnpcards with BrowserPasswordExpired
	* correctly limit history period to exclude coming transactions
	* remove accueilInternetGe.builder.do from error pages as we go on even on success
	* fix bnpcards change pass crash
	* change timeout to 30 seconds
	* fix name of module
	* rename module to bnpcards, add fields to Transaction, and force sort

	Modules: bnporc
	* rename 'get_accounts_list' to 'iter_accounts'
	* error with code 1001 is now a website unavailable error
	* use only recipient id on new recipient
	* too late to check transfer date *after* validation
	* fix usage of rotating password
	* 'ibanCompteCrediteur' key in init transfer response is empty
	* transfer fees are not always available
	* add parameter to disable password rotation
	* [bnporc-entreprise] Fix Market page when no account is present
	* Add try/except on old BNP website request to prevent error 500
	* [bnporc-entreprises] Split market account from checking account
	* add new wrongpass code and action needed code
	* fail on unknown error codes
	* add comments
	* do not log rotating passwords
	* support triple rotations of password
	* keep in priority localized messages from returned message
	* Handling list error page with abstract children
	* Handle new error at login with website error message
	* get rid of rotation password
	* Change AddRecipientError to AddRecipientBankError
	* handle another url for 100 connections limit
	* fixed tabs in pp/pages.py to pass pyflakes3
	* Included the "Assurance Vie" domain to BNP iter_accounts
	* py3 port
	* handles cases when bnporc's api sends empty json fields for profile
	* get rid of bad history for enterprise
	* market account if only one account
	* message for BrowserPasswordExpired
	* raises an actionneeded when account is blocked
	* [bnporc-entreprise] fix regex error
	* fusion between checking and card accounts
	* Add invest for BNP entreprise
	* resolved json parsing problems
	* pp: fix mistake in eddcfc607961bf54cd8e017c26dd426654d91eca
	* pp: parse listDetailCartes to type coming card trs
	* use default when advisor email is empty on site
	* detect one more card summary pattern
	* add deferred transfer
	* force ProfilePage to utf-8 since response doesn't have info
	* entreprise fix rdate parsing in history
	* raise ProfileUnavailable when profile is not accessible
	* transfer, might have multiple recipients with same iban
	* return correct type of object for advisor
	* handle connection without profile
	* fix typo in recipient otp message
	* load coming details to get card information
	* implement CapProfile on pp and entreprise
	* fix deferred_cb and summary
	* change AddRecipientError parameter
	* share BNP recipients and transfers source code
	* In transactions main JSON page, get coming details page crash
	* fix json key error
	* just let some code crash if it has to
	* changed card transaction detection
	* enterprise: fix keyerror on card summary
	* ent: fix TYPE_CARD and TYPE_DEFERRED_CARD for history
	* ent: try to detect immediate debit cards and not create accounts
	* entreprise: yield card history on card account
	* ent: json "aVenir" was renamed to "avenir"
	* Getting vdate on lifeinsurance accounts
	* Changed data on transfer validation
	* Key error when getting investments on transactions
	* Handle iban when not available
	* entreprise site: type tweaks for card transactions
	* fix transfers, recipient iban isn't in API response anymore
	* set Account.parent for card accounts
	* entreprise site: remove useless accounts/transactions cache
	* don't return history or investments on "pea espèces"
	* handle unauthorized to access on ent
	* merge list of cards
	* fix colliding card number
	* fix the mapping between an account and market_data
	* fix timestamp regex
	* update fromtimestamp function
	* pep8

	Modules: bnppere
	* visiogo config handling
	* Visiogo module

	Modules: bolden
	* Remodelled module with one main account and investments
	* new CapBank/CapDocument module for crowlending site

	Modules: boursorama
	* Included diff cards, ignored inactive cards and deleted dead code
	* Fix check transfer label
	* some life insurrance were skipped
	* Added 'assurance/famille' to ignored insurances
	* Added Consumer Credits to the list of ignored Loans
	* Add default values for Loan dates and Decimals
	* handle transfer url page
	* Fix differed transfer
	* Exec transfer: Retry page
	* update liquidities xpath
	* Included "assurance/comptes" in ignored accounts
	* Include personal insurances in ignored accounts
	* Handle users without accounts
	* Avoid iter_recipients for Loan and Life insurance
	* Corrected URLs for Loans
	* Corrected indentation mistake
	* handle paid off loans / no next_payement_date
	* Account.id should be str, not Decimal
	* Fetch card numbers according to the new website
	* get rate with the highest precision
	* retry when par accounts seem unavailable with unexpected error
	* Change tag name for cards details
	* Correct date format for loans and xpath
	* Details for loans retrieved
	* Avoid returning coming transactions in history
	* fix duplicated card transactions
	* Factorized with create_french_liquidity()
	* Fixed card matching and card history
	* Change AddRecipientError to AddRecipientBankError
	* fix regression introduced in 52fd0c25f8bca77fd754f9179709231f56a75aa0
	* Update market accounts with the latest balance
	* Added condition on investment table to exclude liquidation
	* CapCurrencyRate implementation
	* skip recipient with invalid iban
	* get valid pro card account
	* add livret, pel, cel as TYPE_SAVINGS accounts
	* skip inactive deferred card
	* handle ics calendar for deferred card debit date
	* changes pattern order to fix dates' wrong parsing in history labels
	* speed up iter_accounts
	* Corrected indentation pages.py line 183
	* Revised assert no prevent crash with unactivated card
	* Changed abs() to '-' for reimbursed transactions
	* improve acceptable losses in transfer labels
	* New real estate loan page url.
	* Fix empty invest label
	* fix how coming is handled
	* remove more special character in transfer label
	* fix retrieval of deferred card transactions
	* skip some characters in transfer label like boursorama do
	* add condition on `iter_accounts`
	* fix transaction rdate/type of deferred card account
	* take into account account ID to match cards
	* fix error when recipient has been created
	* fix new recipient
	* remove unactivated cards
	* fix wrong attribute check in iter_opposed_cards
	* ignore another format of opposed cards
	* resolve deffered card transactions parsing
	* fix login
	* Fix login
	* transfer handling and invalidTransfer amount
	* retry on loggout
	* scrapping back to 3 years on card account transactions
	* skipping opposed card account
	* ActionNeeded on request to update informations page
	* catch an ActionNeeded
	* set Account.parent for card accounts
	* recognize "csljeune" as savings account
	* when iterating recipients, we may be on step1 or step2
	* type account basing on url first, then label
	* increase history size to 3 years
	* fetch cards on main accounts page
	* Avoid exception on date parsing inside label
	* Support transfer from saving accounts.

	Modules: bouygues
	* fix iter_documents
	* fix iter_documents
	* return message for wrongpass
	* fix regression on login error handling
	* fixed weird bug FacturePDFDF
	* cleaned & fixed potential fake wrongpass
	* py3 compat (already compatible)
	* handle profile
	* 'comptesAccess' variable not always there
	* small fix when get 403 in subscription detail
	* refactor module to parse many subscriptions
	* fix non unicode strings in module.py
	* translates label values
	* resolves a wrongpass issue
	* fix navigation
	* fix crash when there are no lines available

	Modules: bp
	* handle add recipient service unavailable
	* Fix BP recipient
	* Changed encoding to UTF-8 for Loan accounts
	* Added encoding
	* Fix id regexp on pro subscription page
	* Fix "COMPTE ATTENTE" history
	* Change AddRecipientError to AddRecipientBankError
	* Fetched correct PERP balance and added iter_history for PERP accounts
	* Remove obsolete VERIFY and ssl certificate
	* Typed PERP accounts TYPE_PERP
	* change transfer exec date regexp on transfer summary page
	* to xml entity
	* bank statement for pro
	* bank statement for par
	* respects website navigation
	* handle new page for add recipient error
	* add loan currency
	* handle another transfer date regexp
	* parse rdates in transactions' labels
	* invalid account id
	* unavailable next payment amount
	* changes regex to match life assurance accounts
	* single table student loan
	* Added "compte attente" as TYPE_CHECKING
	* add a condition on xpath to get loans' labels.
	* id form and label for the loans changed
	* Move the relative page workaround to the location method
	* pro: fix login when site returns ".." in an absolute url
	* total coming now appears on the account list
	* Get cards debit coming or credit coming if exists
	* update add recipient error xpath and handle message error on add recipient confirm page
	* handle empty amount in history with default value
	* add default value in total amount for a loan
	* add balance headers for card account
	* handle student loan
	* implement CapProfile for pro
	* get profile for par browser
	* handle not unblocked loan
	* give dummy label to revolving loan
	* detect "COMPTE-TITRES" label as MARKET account
	* return empty history for loans instead of None
	* fix card coming balance detection
	* create dedicated Accounts for cards
	* fix typo
	* handle repayed loan
	* fixing error on loans
	* Change loan method and add revolving credits
	* iter_investments was raising NotImplementedError() instead of returning invests
	* change iban regex
	* Update no accounts exception condition
	* add error page detection on lifeinsurance invest
	* Navigation for iban changed
	* add "autres produits d'eparge" as TYPE_SAVINGS
	* fill Investment.vdate for life insurances
	* transactions from deferred card should not have TYPE_CARD
	* pdf for iban has changed
	* [transfer] don't crash on sms request
	* avoid 404 and refactor a bit
	* add a page.is_here() assertion
	* use sorted_transactions to sort by date then rdate
	* change the way to access deferred card history
	* handle more urls to do SEPA transfers
	* fix python3 bug when pdfminer isn't installer

	Modules: bred
	* cosmetic changes
	* update account types
	* prevent infinite loop
	* skip transaction with rdate and date too far
	* Raised the maximum transaction number
	* forcing cert pinning is no longer needed
	* Forced string type for transaction ids
	* Typed unknown account
	* Fixed e-mail profile scraping when email is hidden
	* Added regex for untyped transactions to fix rdate
	* Fetch rdate from PATTERNS if transaction is TYPE_CARD
	* passing to LoginBrowser
	* new account types
	* warning when account type is not supported
	* livret is saving
	* Added Life Insurances to iter_accounts and iter_investments
	* parent of card account
	* known checking type account
	* get profile for dispobank
	* Parse profile
	* add 'Compte sur livret casden' as TYPE_SAVINGS
	* do not use ID of transactions are they are not unique (ecr0, ecr1, ...)
	* fix mistake fetching same trs on different accs
	* adapt browser to new endpoint
	* certificate for dispobank has changed and still has no CA chain
	* card transactions on card account are deferred transactions
	* transactions in the future should be for iter_coming
	* Added a more descriptive error message when site is down
	* raise again history offset limit

	Modules: btmon
	* update module to new browser, fix it and add it to py3 module list

	Modules: btpbanque
	* regexp for password
	* repaired module
	* use caissedepargne as parent module

	Modules: caels
	* py3 compat now that parent is compat
	* Added obj_diff and code_type to caels

	Modules: caissedepargne
	* throw ActionNeeded if login uncessfull multiple times
	* fix regression introduced in f701d7450a9c6c5dd5ff6c30952968de65299d17
	* some users don't have checking account
	* fix login loop
	* "On going maintenance" error
	* Fix palatine boobill
	* catch BrowserPasswordExpired instead of wrongpass
	* By-pass questionnaire if possible
	* Corrected obj_code for Life Insurances
	* stop trying to fetch loans on garbarge page
	* better regexp for transfer to external recipient
	* skip cenet if it's not alone and nuser isn't set
	* Added ActionNeeded when user have to fill investment form
	* handle unavailable service message
	* Fix transfer label spaces
	* Fix PEP8 syntaxes
	* Fix Investment Account MILLEVIE
	* fix check allow transfer
	* some pro connection cannot do transfer
	* fix regressions and added new insurance account support
	* use Decimal instead of float for Loan amounts
	* avoid info leak
	* Added some life insurance account name
	* set investments' code type
	* divide the loan rate by 100
	* change the xpath to target relevant divs for loans
	* prevent duplicates of conso loans accounts
	* add new account types
	* set investment's code type when it is an ISIN
	* Change sign for Loans balance to be negative
	* rate of credits may be not available
	* check if there are credits before retrieve them
	* take into account any connection type
	* now scraping real_estate loans with ListElement
	* Implemented create_french_liquidity for PEA accounts
	* Error case added for missing nuser
	* Change PERP type
	* Group life insurance accounts and fix redirection
	* Replace data['account'] with data.get() to avoid crash
	* Change AddRecipientError to AddRecipientBankError
	* PEP8 fixes
	* Added netpp connections to NotImplemented subscriptions
	* Remove obsolete VERIFY and ssl certificate
	* Remove accounts with no balance
	* Prevent Boobill crash for professional accounts
	* reorder capabilities to fix children modules
	* bank statement CenetBrowser
	* bank statement for CaisseEpargneBrowser
	* '-' corner case for recipient
	* Added Liquidities to PEA NUMERAIRE
	* duplicate transactions
	* Removed original_currency
	* home page is LoggedPage
	* ensure the possibility of a None browser_sate.expire
	* fix transfer amount decimal
	* add new currency xpath on pro transfer
	* Nuances Plus Life insurance
	* do load_state only on part add_recipient
	* pro: transfer and add_recipient
	* Fix MILLEVIE PREMIUM connection
	* handles a case when user has recipients for European Union
	* retry posting a form for accessing MarketPage in some cases, the website redirects us to an intermediary page. We just repost the original form to bypass the redirection.
	* Fix 403 error during ls
	* Add history with linebourse module
	* Fix module for Nuances 3D life insurance
	* add regex to nuser login field
	* Add connection to natixis for life insurance account
	* increase range for history fetching. Closes: 702028@redmine
	* remove some tooltip from account label
	* Raise TransferBankError when recipient is unavailable for transfer
	* fix crash on iter_recipients pro site
	* Get first non-empty content label
	* update transfer label xpath to get the first matched result
	* fix undefined method regression
	* return deferred transactions when month is not ascii
	* factor deleting bad form items
	* modify the xpath in is_here() to call the right page
	* change xpath to get transfer label
	* add state to restore session for add recipient with otp
	* cenet: return more than 1 month of history
	* avoid assertion error in `iter_history`
	* moved account_history page navigation to avoid duplicate transactions
	* prevent an 409 error by adapting the cookie
	* fix calling non-existent method
	* Raise BrowserUnavailable when life insurance website is not available
	* correct type for checking account
	* python3: fix bytes misusage
	* come back on accounts list if on message page (bourse)
	* skip not available conso loan
	* fetching deffered card transactions
	* changing measure_id regex
	* make sure we haven't been redirect to loans before testing for popup error
	* skipping loans conso parsing to avoid 409 error
	* changed measure accounts id regex
	* don't raise ActionNeeded in iter_investments
	* fix warnings on float to decimal conversion
	* delete CTX cookie to prevent from duplicate error
	* handling new type of page "measure"
	* Date fields on loan accounts with dayfirst
	* use SwitchingBrowser
	* get diff_percent on life insurance invests
	* json decoding exceptions are descendants of ValueError
	* Handle more loan details
	* raising actionNeeded on pea investements list page
	* skip leading null characters
	* handle a BrowserUnavailable
	* don't do investment computations anymore
	* add recipient with sms option
	* skip recipients without a label
	* restrict rdate matching to numbers with the right len

	Modules: canaltp
	* remove broken browser1 module

	Modules: carrefourbanque
	* detect card transaction debit type
	* ignore empty <tr> for transaction
	* Add New life insurance
	* handle maintenance page
	* Add and use new VirtualKeyboard for login.
	* import basestring for python 3 compatibility.
	* fix login
	* fix login
	* Handle <Epargne Libre> type accounts
	* fix savings balance when no "versement" link
	* return incoming account on the card
	* fix balance parsing
	* overload item instead
	* refactor account parsing
	* New xpath to match new agencement.
	* Parse loan accounts

	Modules: centquatre
	* Fix login

	Modules: chronopost
	* raise an error if the parcel number is unknown
	* port to browser2

	Modules: citibank
	* blind py3 port
	* flake8 fixes, Python 3

	Modules: cmes
	* fix a typo in url
	* adds 2 url to be matched as investment page
	* changes an url and make it adaptable for children modules
	* fetching currency
	* accounts with no balance have zero
	* fixes label and balance's xpath
	* no investment means no table
	* repaired investment
	* no history if no transaction
	* Get more investments in another page.
	* raise ActionNeeded for CGU validation
	* fetching currency
	* Fix cmes/cices balance, improve label, and keep account id as it was before

	Modules: cmso
	* fix investment scraping
	* Fix iter_accounts
	* Removed auth url doesn't used anymore
	* add 'capital plus' account as TYPE_SAVINGS
	* loan balance can be 0
	* Handled BrowserUnavailable
	* when relogging for retry, clear headers else we're not logged out
	* Fix date list error
	* Repair Market account duplicate
	* py3 port of some code blocks
	* fixed a code smell (py3 port)
	* py3 port
	* confirmed investments list and added vdate and code_type
	* Modifications to manage the  arkeabanqueprivee URL and name
	* fixes navigation in order to be more consistent with regular browser one
	* cmso/pro: set type to savings for Treso'viv
	* cmso/pro: implement pagination for iter_history
	* fix login when password is temporary
	* fixes XPATH on InvestmentPage on CMSO module (AbstractBrowser)
	* adapts cmso module to make it compatible with bpe module's abstract browser
	* fix IndexError when transaction list is empty
	* handle alphabetic characters in NoCompte
	* use continue instead of pass to skip iter_history
	* Finish to support new website
	* support new shitty website
	* avoid duplicate account
	* handle revolving credit with not unique id
	* implement CapProfile for pro browser
	* Get profile for par browser
	* avoid two objects to have same ID
	* fix connection with lifeinsurance only
	* NoAccountsException raised though savings accounts actually exist
	* add statesmixin
	* fetching currency
	* there might be another table with useless infos
	* dateOperation dateValeur might be missing from json
	* fix market Investment.valuation parsing with commas
	* handling new key to define item_xpath for coming transactions
	* in recipients page, parse mandate accounts to find their ids
	* avoid duplicate saving ids by appending a suffix
	* fix market and lifeinsurrance account_id unavailable
	* detect no accounts
	* fixing key error on iter_loans
	* fix crash parsing NotAvailable
	* Added Loan class and hydrate object
	* sort market history
	* find more account ids on the transfer recipients page
	* use owner to differentiate multiple market accounts
	* find better id for pea/market accounts
	* ignore some duplicate accounts present in multiple areas
	* some market accounts don't work at all, skip 'em
	* skip some lifeinsurance accounts which are not available
	* fix market invests and fetch pea invests
	* cosmetics: split some lines
	* for saving accounts, use the generic label for parsing type
	* recognize "plan bleu" savings account type
	* fix xpath to get login form

	Modules: colissimo
	* use post office location when provided
	* Fix colissimo module

	Modules: cragr
	* add RecipientBankerror for account without recipient add permission
	* Handle new predica life unsurance redirect
	* Fecthing missing balance for Savings accounts
	* add new recipient on the right account space
	* Fetch BGPI life insurance balances and correct investments
	* handle market page information needed
	* add "LIV A ASS" as TYPE_SAVINGS account
	* Skip recipients without label
	* Handle USD account
	* Corrected perimeter matching
	* Handling unexpected page for iban
	* Get PEA correct balance (without liquidities)
	* Factorized liquidities with create_french_liquidity()
	* Fixed bug when UnavailablePage wasn't expected
	* Handle transfer error only once
	* choose first matched recipient for recipient with same iban
	* Retrieve liquidities for Life Insurances
	* fixed columns for BGPIPage
	* Skip another annuity account
	* Change AddRecipientError to AddRecipientBankError
	* Balance return for trading account
	* add id for new recipient
	* Change parent_id location for iter_card
	* Type DAV NANTI accounts
	* skip recipient with invalid iban
	* check iban column in recipients table
	* repaired get_cards
	* parent for card account
	* currency for card accounts
	* Corrected iter_investments to prevent crash for DAV PEA
	* AUTO ENTRP is checking
	* Modified market balance update to avoid doublons for liquidities
	* fix error when no history and no iban_url for Term of Fixed Deposit accounts
	* Fix deffered card summary transaction identification
	* Handle 'PVERT VITA' type retirement savings
	* skip account 'Billet financier'
	* Resend OTP when the first given otp is incorrect
	* Get PEA liquidity investment
	* may raise ProfileMissing when error
	* another pattern to ignore useless RENTE accounts
	* skip "RENTE" since they have no data
	* Handle double recipients, skip recipient with same ID as other
	* support adding recipients by faking a transfer
	* handle case of multiple perimeter for transfer and list recipients
	* handle date '00/00/0000' in loan
	* fix loans
	* if recipients are unavailable, go to accounts list
	* don't store "infos cartes" link in Account.url
	* don't go on account without link
	* get correct rate value on Loans
	* get correct details on card accounts
	* rewrite iter_accounts on Savings and Loans accounts
	* rewrite iter_accounts on cards accounts
	* rewrite iter_accounts on regular accounts
	* set account.coming to 0 when not available
	* Coming on card accounts
	* some value are dot separated decimals
	* fixes the retrieval of an investment's vdate
	* Handling PEA accounts on market page
	* accounts from LoansPage should be typed LOAN
	* type some more checking accounts with funny names
	* new "EKO" TYPE_CHECKING account
	* update "DAV PEA" type to "TYPE_PEA"
	* get rid of html comments in transaction.raw
	* fill Investment.vdate and portfolio_share for life insurances
	* handle new saving account type
	* set account type loan
	* fix crash when cgu are needed on bpgi page
	* fix crash on immo loans
	* Handle loan accounts without available data or different xpath

	Modules: creditcooperatif
	* optional nuser
	* site completely changed and now uses caissedepargne
	* rearrange transaction type regexp to match something
	* add transaction type for deferred card for pro connection
	* implement CapBankTransferAddRecipient
	* implement CapProfile
	* getting the correct label, without the link in it
	* clean transaction label + fetching deffered card transactions as coming
	* add LDDS as TYPE_SAVINGS
	* pro site: type "CPTE A VUE"

	Modules: creditdunord
	* fix compatibility with other websites
	* fix variation between AV balance and global sum of investment
	* Type compte exploitation immo as checking
	* Corrected ISIN research in Label
	* Implement Browser2 Market iter_investments
	* modified type market to fit "TITRES", "TIT." and "TIT"
	* Re-indented whole CDNBasePage class
	* handle GDPR ActionNeeded
	* handle ActionNeeded after login
	* Invesments table xpath changed
	* rearrange some code
	* Refactor creditdunord and its children
	* now scraping deposit investments with TableElement
	* handles password expired case
	* add classes attributes to enable heritage
	* fix: move get_strid function after BrowserIncorrectPassword
	* Fix home redirection
	* raises BrowserPasswordExpired
	* Fix UnicodeDecodeError
	* handles password expired cases
	* force going to accounts page to respect proper navigation pattern
	* scraped 'COMPTE A TERME'
	* error page When it appears, you cannot do anything because refreshing does not work.
	* parent for card account for pro
	* duplicate card account
	* parent for card account
	* Skip iter investments if market option is not activated
	* Adapt liquidity fetching to comply with BI's policy.
	* cannot iterate if no investment
	* handling action needed when amendment to convention
	* add liquidity investment on market et PEA accounts
	* sometimes transaction amount is in label
	* fetching currency
	* Extracting original_amount and original_currency from original_wording
	* add new account types

	Modules: creditdunordpee
	* raise NoAccountsException
	* fix pyflakes
	* fix parsing of balance and investments

	Modules: creditmutuel
	* Handle nested investments
	* Fix card navigation
	* Fix empty transfer error
	* handle new page in add new recipient
	* Improve card speed
	* improve card history return
	* Add missing attributes to card
	* Repair two cards page navigation
	* Raise BrowserUnavailable
	* Add next card page
	* Repair pro card return
	* handle website invalid label error message
	* Handle differed transfer
	* Change Account Type checking
	* Skip immediate debit cards
	* Fix card history navigation
	* Skip some cards
	* Repair Revolving loans
	* Skip some cards
	* Add cards on the new space
	* repair original amount v3
	* repair original amount v2
	* New transfer error
	* Repair original amount
	* Fix one month coming
	* Fix Card history
	* Improve style and readability
	* Good date for subtransactions from the old space
	* Add merged transactions
	* Skip unavailable cards
	* Add other cards pages
	* fix check transfer data consistency
	* Implemented create_french_liquidity for liquidities PEA
	* handle new recipient error
	* Add new subbank url
	* handle differents forms to do transfer
	* Change AddRecipientError to AddRecipientBankError
	* update recipient form for pro account
	* handle add recipient error
	* avoid 'navigation interdite' error
	* raise AuthMethodNotImplemented when mobile app validation is needed
	* fix xpath syntax
	* adapts url for children
	* handle new transfer error
	* Fixed access to subscriptions & docs with subbank in URL
	* change caps order to repair children modules (like cic)
	* bank statement
	* skip transfer label character that crash website
	* to xml entity
	* Change Loan to Revolving type
	* Improve iter_accounts efficiency
	* Remove trash from Transactions labels
	* handles new page indicating that website is unavailable
	* handle new transfer error messages
	* Added obj_number to iter_accounts
	* Corrected <tr> selection for invests with only 7 columns
	* check keywords in website transfer state
	* Fix url for decouverte account
	* Fix StatesMixin duration and booleans
	* correct type to PEA accounts + show XX_liquidity
	* Revert "[creditmutuel] Scrap accounts without detail link"
	* Scrap accounts without detail link
	* change default value for 'need_clear_storage' variable
	* [creditmutuel-cic]Raise site under maintenance
	* When add recipient fails, don't reload state
	* add relvolving loans and update obj__link_id
	* parent of card account
	* handle wrongpass after redirect on sub site
	* add key case hash and add crash when hashes are not found
	* Change personnal key card message page is also on EmptyPage
	* set correct type to PEA accounts
	* Python3 compatibility
	* don't re-decode the page text
	* add 'is_new_website' in state to handle pro cards in storage
	* change xpath to retrieve card accounts
	* PTZ loan type
	* fix currency (PEN -> EUR)
	* handle uncodable character in password
	* support pending transfers submitted to the bank advisor
	* Fix link not available on life insurrance accounts
	* fix adding a new recipient
	* except server error and raise BrowserUnavailable
	* fix on pea currency fetching
	* fix regression because of Browser API change (introduced by commit "Display transactions on new type of saving accounts")
	* Display transactions on new type of saving accounts
	* Vdate with dayfirst
	* Getting only active cards
	* Next page on card_history account
	* Make sure unitvalue is always a price
	* recognise allure libre as loan and handle new url
	* LOAN type from account group's label
	* improves account type recognition
	* Handling coming on card accounts
	* Fix history card accounts
	* Getting executive cards
	* Remove old condition for fleet cards accounts
	* fixing vdate not available
	* MCNE account type
	* fill Investment.vdate for MARKET accounts
	* Now handle scraping with TableElement for all Investment
	* Catip account type
	* remove unclear condition to get back the history
	* Show more transactions in history.
	* Assigned scrapped values to good variables
	* No more submit buttons on site page
	* raise error when login needs an otp
	* Filter out the sum line in accounts list
	* filter "etalis" accounts out
	* fix link on one account page
	* Now handles when there is no future payment
	* Handles when there is no transaction on page
	* dont crash if there is no comming transaction on cb
	* don't go for mobile accounts
	* pro transfer, check another confirm msg
	* login url has changed
	* handle another account type to prevent loan matching

	Modules: cuisineaz
	* fix module website got updated
	* Fix preparation time, cooking time and number of persons retrieval
	* fix module => bump toi https

	Modules: delubac
	* fix python 3 compatibility
	* add CapProfile
	* Add more hashes to VirtualKeyboard and fix the '6'
	* adding some hashes
	* add default value for account link
	* add symbole '0' hash for virtualkeyboard

	Modules: ebonics
	* Port to Browser2 and Python3

	Modules: edf
	* Add new LoggedPage for BillDownload
	* small improvement
	* handle error page on login
	* get profile: add civility in name
	* fix pro ActionNeeded and formatting
	* py3 compat (already compatible)
	* fix login
	* handle profile
	* unicode error
	* recaptcha is in a fact a nocaptcha
	* fix login and subscriptions page in edf pro
	* Add HomePage and handle it with URL in pro browser
	* Fix login edf pro.
	* Corrected condition to match default for field
	* Now using captchas solution and corrected login comportment

	Modules: ehentai
	* remove broken browser1 module

	Modules: ekwateur
	* Fetch subscriber in subscriptions
	* New module

	Modules: ensap
	* update module to get new URL
	* fix authentification
	* remove test.py without tests

	Modules: entreparticuliers
	* fix module and enum regression
	* fix module
	* do not test DEP/GES as they are rarely filled
	* adapt module to new tests
	* Some fixes for entreparticuliers
	* ifx module website got updated
	* website now uses https

	Modules: explorimmo
	* fix module: website got updated
	* fix fill_house function
	* fix error while retrieving cost
	* Use the common HousingTest class for tests and fix a bug in location parsing
	* bump to https
	* Last fixes to support the new website
	* fix many little things
	* Fix for #90, explorimmo module was returning invalid URLs
	* Fix an error with some URL parsing in explorimmo module, leading to last character of the URL being truncated

	Modules: figgo
	* new CapCalendarEvent module for HR website

	Modules: foncia
	* fix my holy crap ... the module should now be able to retrieve photos content
	* fix fill_house function
	* Use the common HousingTest class for tests
	* Fix a few errors on missing DPE
	* Fix a bug in foncia module when no DPE is available
	* some fixes to parse price + several enhancements
	* some fixes to parse price + several enhancements

	Modules: fortuneo
	* Fix bad OTP value
	* submit transfer label if characters can be encoded by page encoding codec
	* handle transfer label error
	* Add recipient: Handle validation when the first sms is expired
	* Retrieved new actionneeded
	* fix iban regexp for add recipient
	* better regexp in add recipient
	* raise ActionNeeded if OTP message in the iframe
	* Implemented create_french_liquidity for TYPE_MARKET
	* Get profile when csv is unavailable
	* some external recipients don't have iban, skip them
	* Change AddRecipientError to AddRecipientBankError
	* add profile capability
	* fix internal transfer
	* Add condition to prevent get_currency() AttributeError crash
	* handle account without external recipient
	* new feature: add recipients
	* new feature: iter recipients and transfer
	* fix wrong dates of investements
	* only call has_action_needed method when on AccountList page
	* Action needed: iframe is now visited every time
	* fix page name due to mistake in previous patch
	* raise a new actionneeded case
	* add code type to investments
	* skip Action Needed if it is possible
	* raise ActionNeeded when it is embedded in an iframe
	* sleep while page is loading
	* fix shitty dom in transactions list
	* sometimes coming page is loading
	* correctly type cb as deferred_cb
	* fix coming sign
	* don't make unnecessary requests as it crashes the module
	* transactions were unsorted
	* avoid trying to get non-existent loan coming + fetchin next_payment_date
	* get coming on account with cards
	* Getting diff_percent on investments
	* Added vdate attribute for Investment
	* scraping investments when values are not yet shown
	* PEP 8 coding style
	* fix get_balance from investments accounts
	* fix pyflakes

	Modules: francetelevisions
	* - fix module
	* fix modules: website got updated

	Modules: freemobile
	* handle profile
	* Better formatting of history and details
	* Use absolute URLs and fetch currency
	* Fix broken import

	Modules: freeteknomusic
	* file name may be truncated in label, use url
	* freeteknomusic

	Modules: ganassurances
	* call super constructor first to avoid fields overwritten

	Modules: geolocip
	* geolocip. remove broken browser1 module

	Modules: github
	* parse changes history
	* misc enhancements
	* support tags and object passing
	* fetch issue comments with pagination
	* easy port to python3

	Modules: gmf
	* py3 compat (already compatible)
	* raise ActionNeeded because of CGUs at login step
	* handle document signature page
	* implement iter_history and iter_investments
	* scrapping the right currency
	* new bank module

	Modules: googletranslate
	* fix and port to python3

	Modules: groupama
	* Fix iter_history for some AV
	* No invest on some AV
	* New AV page handled
	* no iban for some accounts
	* adds iban scraping
	* empty invests fix
	* Login error repair
	* add default value in life insurance balance
	* import TableCell from filters.html instead of filters.standard
	* life insurance balance has dot as decimal point
	* skip duplicate accounts and type PEA accounts
	* skip history for some accounts which don't work
	* balance uses comma decimal
	* don't stop at first space character when parsing id
	* Add portfolioshare and code isin to invest
	* Some 'a' tags in dropdown menu don't have href attribute
	* Get account link from menu and get investment
	* Some accounts don't have link to details
	* added virtual keyboard suport
	* fix accounts type and positive balances on loans
	* fix webid groupama
	* fix accounts links
	* iban on groupama
	* add life insurance accounts

	Modules: groupamaes
	* PEP8 fixes
	* fixes wrong retrieval of investment values
	* adding perco type + pep8
	* have different invests for different accounts
	* Add iter_pocket

	Modules: hsbc
	* remove unused import
	* Define secret field as ValueBackendPassword
	* Typed missing Savings and Life Insurance accounts
	* Add History for Scpi market account
	* Corrected default value for home_url when wrongpass
	* Fetch Comptes de Tiers
	* Revised account typing using Regexps
	* Added default account name when label is empty
	* Rename investment labels and codes in iter_liquidity()
	* Add profile capability
	* Fixed a bug when there isn't any liquidities
	* retrieve transactions for fusion space account
	* handle 'fusion' space
	* do a better regexp to get date in transaction label
	* add capitalisation account type
	* account typed
	* use parent account currency for card accounts
	* card history: stop duplicating trasnactions
	* add new label account to type
	* Get transaction summaries from checking account instead of sum()
	* parent for card account
	* account type
	* detect one more check transaction label
	* type deferred card transactions and sort history
	* modify account label id in case of scpi account in order to prevent same ids errors.
	* get all investments and under investments
	* handle another wrongpass cas
	* When invest balance is 0, there is not link to go on market page
	* handle new base url and fix url for useless form to get accounts page
	* Add 'livejeu' as 'TYPE_SAVINGS'
	* handle investment for market type account
	* Filter invests with PEA account id to get right invests and liquidity
	* Return nothing when there are no invests for PEA account
	* add new pattern to match account type
	* multiples fix in invest
	* handle no invests in PEA account type
	* fix investments
	* add accounts type
	* Add BrowserUnavailable case during  login
	* make sure we're on rib page before calling `get_rib()`
	* fix "ParseError" and "unable to find columns" in lifeinsurance
	* add 'ptf' as 'TYPE_MARKET'
	* return empty history for life insurances with 404s
	* specialize pea accounts for investments
	* iter investments on pea
	* detect closed account
	* detect more BrowserIncorrectPassword
	* inv.valution now fetched
	* move other_page last since it will match everything
	* Fix url var name used twice

	Modules: ideel
	* flake8 fixes, Python 3

	Modules: imdb
	* fix, port to browser2 and python3

	Modules: imgur
	* port to python3

	Modules: indeed
	* fix module pagination
	* fix module : website got updated

	Modules: infomaniak
	* Update login's label to fit with the website's one
	* login changed
	* infomaniak

	Modules: ing
	* We scrapped the "previsionnal balance" instead of coming
	* Fixing xpath to get detailed loans
	* Implemented create_french_liquidities for iter_investments()
	* raises BrowserUnavailable
	* balance xpath seems to be changing for some connections
	* Coming balance added
	* Fix transaction label not cleaned up (regression from bc73ccfef9a6d4a90771b5e1f3b7fafe663cc95b)
	* PEP8 fixes
	* Added condition to get_isin() method
	* added condition to verify the page before calling get_isin_code()
	* Fixed excessive requests to get transaction investment ISIN codes
	* Fix bank fee type detection
	* Fix withdrawal type not detected
	* avoiding external accounts
	* LoginPage trying to use load_spage_page method
	* update account label for transfer check
	* use transfer default check for transfer amount
	* update transfer account balance xpath
	* get estimated value on transfer page
	* multispace
	* fix transfer amount decimal
	* Check origin account balance with estimated balance if exist
	* not using back_to_first user if only one user
	* switch users to have all accounts
	* skip coming transactions when no date (future debit date) is provided on the website.
	* scrap <Prêt personnel> account
	* fix internal transfer
	* fix parse date for transfer
	* replace_dots on life insurance invest unitvalue
	* check deposit type not detected
	* Fix ING tests regarding deferred transactions
	* Fix ING card type always set to deferred (fix #71)
	* diff_percent now divided by 100 and fix for unitvalue and quantity missformat
	* do not crash on euro funds in life insurances
	* ignore information lines in life insurance details
	* Getting investment on not consultables account performances
	* Now scraping the portfolio_share on life insurance accounts
	* Portfolio_share field is now diff_percent
	* catch too low amount during transfer
	* do not skip when there is more than one alert message
	* sometimes the card number is not available
	* Modified Regexp to parse card number
	* fix unicode strings
	* list cards and set category to deferred
	* improve test case

	Modules: ipinfodb
	* fix longitude parsing that only took one digit
	* fix and port to python3

	Modules: jcvelaux
	* remove Paris city and custom lat/long fields

	Modules: jirafeau
	* default to https

	Modules: journaldesfemmes
	* Fix a bug in instructions fetching
	* Add a CapRecipe module to handle journaldesfemmes

	Modules: lameteoagricole
	* support new weather fields
	* 10 days forecast page has changed
	* wind speed label sometimes changes

	Modules: lampiris
	* several fixes
	* don't crash when a bill does not have a type
	* skip "intermediate numbers ends here" lines
	* try to log only once
	* move to new website

	Modules: lcl
	* Fix unavailable RIB for users
	* origin account iban can be unavailable
	* Transfer: replace special characters during check transfer
	* Implemented iter_investments for Calie Life Insurances
	* remove character '+' from transfer label
	* handle accounts typing with more flexibility
	* Avoid crash when trying get_operations() on the LoginPage
	* Remove useless "break" after "return"
	* portfolio_share corrected from XX% to 0,XX
	* Fix account id request using new API
	* Replaced Regexp to handle Life Insurance with letters in the ID
	* Implement iter_history and iter_investment for Life Insurance API
	* add commision transactions
	* Added non handled pages for Calie space
	* add doc type
	* Add form attribute for particular space
	* Change AddRecipientError to AddRecipientBankError
	* Match account type
	* bankize label for transfer
	* hardcode DEPOSIT account currency
	* proper navigation + fix logger
	* Add regexp to match withdrawal types
	* fix parsing of number when coming from bforbank
	* fix pea number and label
	* change xpath for transfer label
	* handles case when website in unavailable
	* set code type to isin when appropriate
	* deposit accounts can't do transfer
	* scraped 'Compte à terme'
	* add deferred transfer and elcl account can now do transfer and add recipient
	* change assertionError with if statement for add recipient
	* set domain on cookies
	* add investment for bourse accounts divided btw stocks/liquity
	* handling is_restricted for Form2Page
	* take into account an additional page when going to Espace Bourse
	* raise ProfileUnavailable when profile is not accessible
	* email profile may be missing
	* don't crash in deinit if page isn't handled
	* handle case where life insurance history is not available
	* raise NotImplementedError when profile is not found
	* no children for companies + keep name title
	* get profile for par browser
	* fix account number for loan
	* add accounts number
	* fix handling calie page
	* handling new life insurance page
	* fix documents date parsing
	* get only market valuation for market account not liquidity
	* type "Compte transaction/gestion immo" accounts as CHECKING
	* Some ac_details_page doesn't require a producteur param
	* fill Investment.vdate for life insurances
	* remove complicated currency retrieval on life insurances
	* fix crash on unavaialble liquidity balance
	* avoid duplicate transactions when lcl do crappy things
	* avoid to build the form on assurance vie iter_history when data are not available.
	* Fix AV label and balance xpaths
	* support http redirection on netfinca + support iframe

	Modules: ldlc
	* fix login for pro website
	* Fix login
	* fix login and label/subscriber fetching

	Modules: leboncoin
	* fix bug when there is no cost on advert
	* fix module : website got updated
	* fix enum regression
	* fix fill_house function
	* Use the common HousingTest class for tests and fix a few bugs
	* Fix #109
	* Fix leboncoin, thanks to @Bezleputh
	* Some fixes + rebased on master
	* fix url, we do not need ile-de-france a default region any more
	* do not crash if rooms field is not available
	* fix url parsing

	Modules: limetorrents
	* fix base URL
	* new website address
	* fix torrent url : remove parameters
	* remove unused import
	* add new captorrent module

	Modules: linebourse
	* fix account switching by properly escaping param
	* website dont accep encoded parameter anymore
	* Changed condition to retrieve liquidities to prevent crash
	* [banquepopulaire-linebourse] Fix invest connection
	* remove liquidity invest
	* adding actioneeded on first bourse connection

	Modules: logicimmo
	* bump to https
	* fix module - add XMLHttpRequest header in brower
	* fix fill_house function
	* Fix viager type detection
	* Use the common HousingTest class for tests
	* Fix issues on dedicated hosting

	Modules: marmiton
	* fix module: website got updated
	* fix module website got updated
	* fix module: webiste got updated

	Modules: materielnet
	* Handle pro connection
	* check if login is a valid email
	* refactor module
	* Corrected login & bills

	Modules: meslieuxparis
	* new CapDirectory module

	Modules: meteofrance
	* Fix a bug as website sometimes does not return high value
	* Fix out of bound month in December

	Modules: monster
	* fix module : website got updated

	Modules: myedenred
	* Remove ids after getting doublons
	* Better ID for transactions
	* Added balance & corrected currency
	* fix currency on accounts
	* fix amount field
	* adding missing account type for several banks
	* Added test to see if connected or not
	* From boobill to boobank. Only accounst and transactions
	* Added new module

	Modules: myfoncia
	* Use find_object.
	* Make `iter_documents` work with either a `Subscription` object or a subscription id.

	Modules: myhabit
	* flake8 fixes, Python 3

	Modules: n26
	* Ignore transactions when amount == 0
	* corrects total amount due to new fonctionnality "spaces" on n26
	* wrongpass because of bad exception
	* switch date and rdate
	* N26 returns XML content-type for transaction, add a header to accept only JSON
	* support empty transaction label

	Modules: nalo
	* new CapBankWealth module

	Modules: nolifetv
	* RIP

	Modules: nova
	* fix, add new radios and port to python3

	Modules: oney
	* Add missing hash in VK
	* Added new virtualKeyboard hash
	* check if there are transactions
	* [banqueaccord] py3 port
	* fix xpath to retrieve balance, coming and currency
	* don't use new account type
	* detect revolving accounts as such
	* fetching currency

	Modules: opensubtitles
	* Add a missing url regexp in the browser
	* Move module to browser2 + add support for series subtitles.

	Modules: orange
	* get subscriptions also from orange
	* fix compatibility with python2
	* remove CapMessage and port to python 3
	* changed default browser
	* get subscriber name from profile for every subscriptions.
	* remove headers when login
	* fix iter_subscription
	* get profile
	* remove useless params to login
	* fix login and simplify
	* no-pro subscriptions download documents from the website
	* rename duedate field into date
	* ignore dublicate documents when it's the website's fault
	* Change document list on pro contracts
	* Change document list on pro contracts

	Modules: ouifm
	* add new webradio

	Modules: ovh
	* fix login
	* fix login
	* go to profile with Referer header in locate_browser
	* Corrected double auth
	* Better handling of double auth
	* Handles double auth
	* handling auth method not implemented

	Modules: pagesjaunes
	* new module for CapDirectory

	Modules: pap
	* Ignore miniature video images
	* fix fill_house function
	* Use the common HousingTest class for tests
	* Fix a bug in area in pap module
	* fix parsing date in housing search list
	* Cities lookup has moved to a new URL
	* Fix pap, thanks to @bezleputh
	* Fix pap listing
	* website now uses https

	Modules: paroles2chansons
	* base url changed + discard site disclaimer

	Modules: paypal
	* new anti-scraping features from paypal
	* Fix token retrieval + form submission
	* Fix history fetch
	* Speed up decoding process;
	* Fix anti-scraping protection against global browser objects;

	Modules: peertube
	* fetch thumbnail
	* declare py3 compatibility and fix pyflakes
	* new CapVideo module

	Modules: phpbb
	* flake8 fixes, Python 3
	* remove browser1 leftovers

	Modules: piratebay
	* flake8 / Python 3 compatibility
	* URL fixes

	Modules: podnapisi
	* Fix module due to new website and migrate to browser2

	Modules: pornhub
	* search is not always on page 1

	Modules: quvi
	* remove module based on unmaintained C lib (last release in 2013)

	Modules: radiofrance
	* fix France culture podcasts
	* start porting to python3

	Modules: reddit
	* new CapMessages/CapImage module

	Modules: redmine
	* fix compatibility with python3
	* basic port to browser2 and python3

	Modules: regionsjob
	* fix module: website got updated

	Modules: relaiscolis
	* New relaiscolis module

	Modules: rmll
	* pyflakes Python 3 fixes
	* Missing version bump

	Modules: s2e
	* NotAvailaible if no investment code
	* fix otp
	* fix valuation column when get_investments
	* fix valuation column when get_investments
	* Fix: empty invest for bnppere
	* Fix: iter_pocket invest pages error
	* changes a Regexp to handle a new case in XML file
	* repaired investments url
	* Skip redirection to a useless page to get all investments
	* set pocket label to investment label
	* fixes wrong encoding in investment and pocket xpaths
	* fixes xpath for investment/pocket quantity
	* raises the correct exception
	* Explain where to get code for SCA.
	* fetch code ISIN for swisslife investments
	* adding rsp type and coding style
	* update maintenance url for other sites like esalia
	* get full investment label
	* don't pass the "secret answer" anymore
	* detect otp errors
	* some wtf form field in otp form can be missing or maybe changed
	* bnppere, handle another otp validate button
	* handle erehsbc otp
	* remove code in module since s2e is only parent for abstract
	* remove code in module since s2e is only parent for abstract
	* add transient page for navigation

	Modules: seloger
	* fix advert_type search
	* fix currency detection
	* Fix city lookup
	* fix fill_house function
	* Use the common HousingTest class for tests
	* Avoid a bug when price is not available

	Modules: societegenerale
	* Fix exec_date
	* handle new inscription page url
	* some recipient can be internal and external
	* Fix transaction date
	* fix add new recipient
	* raise ActionNeeded when recipient is not added
	* fix iter recipient, transfer for 'par' website
	* Handle pagination for iter_investments()
	* Secure Access authentication is not implemented yet
	* handle password expired
	* some accounts are not able to do transfer
	* handle incorrect password for 'societe generale entreprise'
	* retrieve intraday accounts if there are no standard accounts
	* ActionNeeded added for first time
	* handle another ActionNeeded
	* handle new landing and fallback on old website
	* retrieve transaction with full label in raw
	* check for account number for credit card
	* Password len modified
	* handle error page
	* account and recipient iban can be unavailable
	* Implemented liquidities and corrected balance for PEA accounts
	* Coming amounts retrieved
	* not need to search for login form for authentication
	* Add new exception
	* RETRAIT DAB rdate should be closer in label
	* return transactions as they come, not in a list
	* Change AddRecipientError to AddRecipientBankError
	* Change AddRecipientError to AddRecipientBankError
	* handle transfer error message
	* refactorize json error and check transfer date validity
	* use 'assert' instead of TransferError
	* pea can be not able to do transfer
	* clean decimal for transfer summary
	* check if it's already logged on login page
	* new feature: add recipient
	* catch error message at login
	* account with null balance can not be able to do transfer
	* add encoding on accounts page
	* handle case of account without external recipients
	* new feature: transfer
	* new feature: iter recipients
	* handle BrowserIcorrectPassword case
	* iter_documents limits
	* get subscriptions even if no label
	* unavailable website when calling for profile
	* raise BrowserUnavailable when handle service unavailable page
	* pdf bank statement
	* repaired profile of entreprise
	* Raise ProfileMissing when profile service is unavailable
	* check that transfer error page is not handled by iban page
	* add browserunavailable for some iban
	* Removed XX-liquidity from invests list
	* get all internal recipient
	* parent for card account
	* Scrapping liquidities for all investment accounts
	* revert new types
	* changed url to scrap invests for all life insurances
	* part -> fix date of coming deferred_card transactions
	* do load_state only when adding recipient
	* change transfer execution date offset to 4 days
	* prevent logging out when fetching the advisor
	* skip GDPR form and fix add recipients
	* Change BrowserIncorrectPassword to ActionNeeded based on error message in do_login.
	* raise BrowserUnavailable when json response return 'NOK'
	* return msg when raise BrowserUnavailable in AccountHistory page
	* skip transaction without date
	* raise BrowserUnavailable on load profile page if error
	* make transfer python3 compatible
	* Raise ActionNeeded when accounts are frozen
	* get profile for par browser
	* change transfer execution date offset
	* adds rdate field to transactions
	* fix recipients after transfers
	* fix transfers as there are new params to be passed
	* add type for compte Alterna
	* Better error message when otp needed
	* now also fetching diff on invests when negative
	* get rid of nopurge on deferred_cb
	* handle another ActionNeeded
	* detail reason to the wrongpass
	* handle cct actionNeeded
	* Grep another cb summary

	Modules: spirica
	* Fixed bug during dateutil
	* fix date issue
	* Added symbols='-' for the transaction dates
	* Corrected history pagination and transaction invests
	* add currency field on the account, changes xpath on the table to make it adaptable to different currencies
	* add _invest_type for item investment
	* fix history, sometimes the label column title is plural
	* fix when life insurance are splited in different gestions
	* fix investment info fetch when label contains a quote

	Modules: sprunge
	* New CapPaste module

	Modules: sueurdemetal
	* PEP8 fixes

	Modules: suravenir
	* PEP8 fixes
	* support mes-placements.fr and epargnissimo
	* fix module for Linxea
	* add CapBank suravenir module

	Modules: tumblr
	* fix title search on gallery
	* consent to this GDPR bullshit
	* fetch gallery avatar
	* add id and date to images
	* use API + implement search_galleries + support other urls

	Modules: tvsubtitles
	* port to browser2 and python3

	Modules: vicsec
	* flake8 fixes, Python 3

	Modules: vicseccard
	* flake8 fixes, Python 3

	Modules: vimeo
	* Downloaded videos seem to be in mp4 containers
	* fix and port to python3

	Modules: vlille
	* fix module: url has changed
	* fix module: website got updated

	Modules: voyagessncf
	* remove broken browser1 module

	Modules: weather
	* correct capitalization in dict
	* modified api key

	Modules: wellsfargo
	* flake8 fixes, Python 3

	Modules: xhamster
	* site parsing changed
	* new CapVideo module

	Modules: yggtorrent
	* fix base URL
	* fix new style torrent size parsing
	* fix after URL change
	* fix get_torrent_file() with @need_login decorator
	* update module to website v3.0
	* add pagination
	* new module yggtorrent

	Modules: yomoni
	* Valuation diff corrected for invesments
	* detect "STEP_2" as ActionNeeded
	* add Investment code_type
	* add currency value in account

	Modules: youjizz
	* fix parsing video links

	Modules: youporn
	* fix thumbnails, duration and video url

	Modules: youtube
	* easy port to python3

	Modules: zerobin
	* handle a zerobin fork called "privatebin"
	* misc fixes

	Tools
	* move release.* scripts to tools/
	* add qboobtracker and qgalleroob
	* Remove things related to deprecated Browser
	* add parameters --no-modules and --no-core
	* Revert "No deps by default on local install"
	* imm-o-matic: Don't crash without simplejson
	* fix CapHousing
	* windows-install: Drop support for very old Python
	* PEP8/flake8 for Python 3
	* PEP8 fixes
	* rboorrent-download: PEP8 fixes
	* update CapBank
	* weboob.capabilities.housing is a manual port
	* support choosing backport version with env var
	* Exclude a common false positive
	* Fix context for "missing ." test
	* Fix warnings option, allow changing modules path
	* Python 3 compatibility
	* Allow Python interpreter options
	* provide sys.executable as first argument
	* do not require to be in "tools" dir to run linter
	* backport transfer_check_label
	* fix building of python3-incompatible modules
	* add recipe
	* remove old compat files
	* fix bashism
	* adapt bash shebang
	* under OpenBSD, mktemp(1) requires at least 6 'X'
	* Less verbose logging for tests, do not pollute output
	* Stricter matching and simpler config
	* Show modules that are Python 2 only
	* More readable output
	* add *CaptchaQuestion exceptions
	* ignore stable_backport_data
	* support manual backport files for complicated cases
	* write compat/weboob_capabilities_bank.py instead of bank.py
	* webextension-session-importer: Copy logo instead of symlink
	* freemobile-munin: do not use module deprecated 'encoding' anymore
	* add setup-virtualenv.sh
	* support relative parent import, and custom fixes on Attr and Link
	* remove CapBank.iter_resources from backport
	* remove useless unicode prefixes
	* don't put methods from parents caps in CapRecipe
	* add login support in CapRecipe
	* port to python3
	* don't exit at the first error encountered
	* windows-install: Bump to 1.4
	* new stable version / bump weboob script

	Misc
	* boomoney: make it as executable
	* remove weboob.deprecated
	* remove browser1 modules
	* ci: add dependencies
	* remove weboob.tools.capabilities.gallery and related modules
	* add qbooblyrics.desktop
	* weboob script: Don't capture input if not interactive
	* weboob command: better way to see if an application is a GUI
	* weboob command: Avoid duplicate entries and put GUIs at the end
	* weboob.capabilties.recipe: use a single "picture" field instead of urls
	* change AddRecipientError and TransferBankError parameters for several modules
	* Ensure images URLs are always absolute URLs
	* Start to implement FURNISHED_RENT type for housings
	* Use Currency filter in housing modules
	* Properly handle phone in Housing through fillobj calls
	* Store query params in Housing result
	* Add the possibility to filter on post type (agency or personal) in housing queries.
	* Homogeneize DPE / GES in Housing fields
	* add CapBankWealth and CapBankPockets in bank.py
	* normalizing currencies
	* modules: import TableCell from filters.html instead of filters.standard
	* add "debug" command prompting a python shell
	* check appropriate nss db file to initialize cert db
	* Remove Mechanize dependency and related workarounds
	* Add options in option groups to the bash completion
	* Add subcommands to the bash completion
	* Make the bash completion into a static file
	* fix more shell scripts shebangs


Weboob 1.3 (2017-09-20)

	General
	* Big step for python 3 full support (many patches to improve python3
	  support (core is compatible, a number of modules are compatible))
	* New QGalleroob application for CapImage and CapGallery
	* New CapProfile capability (used in boobank for example)
	* Don't check updates of modules automatically (new --auto-update option)
	* Some code cleanups since python 2.6 is not supported
	* New bibliothequesparis module (CapBook)
	* New billetreduc module (CapCalendarEvent)
	* New blogspot module (CapMessages)
	* New bnppere module (CapBank)
	* New btpbanque module (CapBank)
	* New capeasi module (CapBank)
	* New cices module (CapBank)
	* New cityscoot module (CapDocument)
	* New cmes module (CapBank)
	* New cmmc module (CapBank, CapContact)
	* New ensap module (CapDocument)
	* New erehsbc module (CapBank)
	* New esalia module (CapBank)
	* New foncia module (CapHousing)
	* New lameteoagricole module (CapWeather)
	* New lampiris module (CapDocument)
	* New larousse module (CapTranslate)
	* New linebourse module (CapBank)
	* New myfoncia module (CapDocument)
	* New pixabay module (CapFile, CapImage)
	* New pradoepargne module (CapBank)
	* New ratp module (CapGauge)
	* New tumblr module (CapGallery)
	* New zerobin module (CapPaste)
	* Deleted champslibres module
	* Deleted citelis module
	* Deleted ovs module

	General: core
	* Use https for module updates by default
	* Real cleanup of modules folder in installation
	* Force utf-8 for backends config file encoding
	* API change: BrowserPasswordExpired exception now inherit from ActionNeeded
	  (previously from BrowserIncorrectPassword )
	* Print progress on stderr instead of stdout

	Documentation
	* Improved module guide

	Browser
	* Introduce weboob.browser.nss to replace OpenSSL by libnss
	* Add magic_highlight to open a browser showing an el
	* In debug, write html responses highlighting involved selectors when
	  _highlight_el is set in backend config
	* Enable expiration duration on state
	* URL.open can take headers and methods, like URL.go
	* Support '*' special char in DictElement
	* Print session when debug is enabled
	* Rework of AbstractBrowser build
	* Support headers in stay_or_go method
	* Normalize URL before opening
	* Save content of response after headers, in case there is a crash during
	  call of r.content

	Browser: Filters
	* Introduce filters.base, move or alias filters
	* Add AbsoluteLink filter
	* Add FormValue filter
	* Add HasElement filter
	* Add QueryValue filter
	* CleanText(children=False) now reads all text nodes, not just the first one
	* Allow for setting options on CleanHTML filter
	* Fix Type filter when data has already the right data type
	* Add debug() decorator to several filters

	Browser: Pages
	* Fix PartialHTMLPage in case of empty content
	* Fix off-by-one error skipping last row on XLSPage

	Old Browser
	* Remove support for older mechanize versions

	Tools: backend
	* Set fields to NotAvailable instead of NotLoaded when a module does not
	  fill it after fill request.
	* New Module.get_proxy() method

	Tools
	* Remove weboob.tools.ordereddict since we now use python>=2.7
	* Remove weboob.tools.compat.check_output since we now use python>=2.7
	* Remove obsolete and unused weboob.tools.property
	* New ValueDate class
	* If a Value is required, it must be set to be valid (in configuration)
	* Value's regexp must now match until end of string

	Tools: pdf
	* get_pdf_rows now handles unsorted table lines
	* Support LTCurve objects and output debug images
	* Open method new read as bytes (windows support)

	Tools: media_player
	* Use requests instead of urllib2

	Capabilities
	* Replace some Field objects by more specialized types (IntField,
	  BoolField, etc)
	* DeltaField now accepts int and long for seconds
	* Copy() of BaseObject now copies fields

	CapBank
	* New steps/API to manage transfer (see do_add_recipient, new_recipient
	  and add_recipient)
	* New CapBankTransferAddRecipient to filter out module without relevant
	  methods
	* Use OrderedDict for currencies
	* Add better error codes for TransferError exception
	* Add Pocket class
	* Add Loan class to have more detailed info on loans (not printed today with boobank, only avaiable with weboob API)
	* New code_type field for Investment
	* Add basic tests for banking modules
	* Add sorted_transactions helper
	* New ISIN code checker

	CapHousing
	* New 'rooms' and 'bedrooms' and 'utilities' fields for Housing objects

	CapVideo
	* Introduce video.ytdl which uses youtube-dl

	Applications
	* Support --nss and 'use_nss' in config to replace OpenSSL by NSS
	* Allow user to use '~' when picking log file name
	* Honor quiet option for progress messages

	Applications: Qt
	* Add ResultModel for viewing objects hierarchies and FilterTypeMode
	* Some code cleanups/improvements
	* Quit faster by aborting running weboob backend calls
	* Limit results count in ResultsModel
	* Replace urllib.urlopen with requests.get
	* Do not keep references to main windows so that they can be garbage-collected

	Applications: boobank
	* Load config at startup
	* New error messages for TransferError childrens
	* Improve OFX formatter

	Applications: boobill
	* Reduce number of requests run by download command
	* Add optional PDF conversion on download

	Applications: boobcoming
	* Report CANCELLED status

	Applications: boobmsg
	* Add a few fillobj calls and export_thread support using numbers

	Applications: boobooks
	* Add a new "rented" command

	Applications: cookbook
	* Fix unicode comments display in python2

	Applications: qcookboob
	* Fix unicode issues
	* Use ID as export filename default

	Applications: radioob
	* Fix playlist decoding

	Applications: videoob
	* Display xterm-256 color thumbnail
	* Decode utf-8 lines

	Formatters: csv
	* Use to_unicode() to be sure it does not fail
	* Fix unicode output in python2

	Modules: 750g
	* fix recipe parsing because of website update

	Modules: adecco
	* fix parsing job location
	* fix mode site changed
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: afer
	* fix history parsing and transactions date
	* add certificate

	Modules: agendaculturel
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: agendadulibre
	* fix french region choice and use https

	Modules: allocine
	* fix get_movie_release and pep8
	* bump to browser2
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: allrecipes
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: amazon
	* don't crash anymore on broken links
	* Patch Amazon module
	* Bug fix in payment list (proper)
	* fix order not found crash
	* retry on TooManyRedirects error
	* fixed redirect loop error
	* use xpath "$vars" in a few modules

	Modules: amazonstorecard
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: ameli
	* detect more wrong password + improve login state management
	* fixing wrong regexp
	* Use weboob.tools.compat instead of urllib/urlparse
	* fix login validation URL
	* remove some useless ":443" in URLs since weboob normalizes them

	Modules: amelipro
	* Use weboob.tools.compat instead of urllib/urlparse
	* remove some useless ":443" in URLs since weboob normalizes them

	Modules: americanexpress
	* use url field instead of _link for Accounts
	* parse some other types of accounts
	* sort each transaction page to avoid sorting the whole list
	* set rdate to date
	* handle transactions as deferred
	* coding style
	* fix incorrect date (like 13th month)
	* fixing some accounts
	* fixing xpath on accounts2
	* skip some canceled cards
	* port to python3
	* fixing history and date on deferred
	* detect ActionNeeded
	* handle the new js site along with old site
	* add another fallback for fetching end_of_period

	Modules: amundi
	* detect NoAccountsException

	Modules: arte
	* do not crash if there is no video in creativ frame + improve test to handle this case
	* fix module / handle date not available in arte cinema json
	* do not handle arte-cinema program submenu
	* fix default 'quality' value
	* fix search and port to Python3
	* base url changed
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: attilasub
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: audioaddict
	* fix Frescaradio + set a default test config in case no one exists
	* bump to browser2 / import unicode_literals
	* remove frescaradio / add classicalradio / There are No public stream available anymore (www.radiotunes.com/founder-letter)
	* fix type in tests

	Modules: aum
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: axabanque
	* avoid "is" comparison for strings
	* the history url is not fixed
	* axabanque : adding new browser to handle wealth part
	* fix: handle perp on wealth part
	* fix:: handle bank and wealth part at same time
	* fix: troubles on some accounts / ActionNeeded
	* when accounts have no detailed investments, just return empty
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* investment uses dot decimals and date can be missing
	* do a get request to finish login
	* fixing account type with PEA
	* investments page changed
	* portfolio_share uses comma separator
	* Fix no account and get_form warning
	* fill the diff_percent instead of diff for life insurances
	* avoid relogin after visiting an erroneous wealth page
	* fix url for post
	* Fix recuperation value of invest
	* Fix open for personnal loan and label xpath
	* add isin_code to investments, add history for life insurance accounts
	* handle life insurance history this way only on main website
	* fixing navigation to get rights investments/history
	* deferred card transactions are now flagged as coming
	* improve pagination code
	* sometimes the pagination doesn't work at all
	* iter_coming is not implemented for wealth site
	* basic port to python3
	* pagination of transaction history is broken

	Modules: banqueaccord
	* remove dummy test.py files as they are false negatives for weboob_lint
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* html had 2 elements with same id
	* fix exception raised in case of wrong password length
	* fix raise BrowserIncorrectpassword
	* adding missing account type for several banks

	Modules: banquepopulaire
	* don't update with an empty token
	* handle new natixis life insurance website
	* fix iter_investement vdate on natixis json
	* set date for investment history and label
	* fix natixis json with missing date
	* some years do not exist as pdf, fallback on json
	* some invest history just have no label
	* don't raise when natixis site is broken
	* retry the backend method in case of unexpected logout
	* minor improvements on retry decorator
	* return investment history in reverse chronological order
	* add another url for natixis error pages
	* fetch quantity of history invest
	* skip transactions without date on natixis
	* handling empty page
	* adding advisor
	* fix 500 errors on natixis website
	* adding entry to match some loans
	* cleaner handling of website crash
	* detection of another pattern for error on page
	* fix saving accounts with investments
	* Raise BrowserUnvalaible when site does not work
	* use now linebourse module to handle more investments
	* remove liquidity + fetch balance with invests
	* [banquepop] natixis website might be broken
	* fix list command when investments not available
	* fix BrowserUnavailable.
	* [banquechaix/banquepopulaire] replace a website choice
	* modules: fix AbstractBrowser use
	* login changed
	* basic port to python3
	* skip natixis accounts if website is broken
	* misc improvements
	* CardsPage changed a little
	* new natixis page
	* no coming on invest accounts
	* handle when card page has no cards
	* Add alternative to get card accounts currency
	* rewrite natixis pdf parsing
	* skip investment when account is unavailable

	Modules: barclays
	* support the revolving credit url
	* fix accounts balance parsing
	* fix rebuild data request when get iban.
	* Handle new website, add it to py3 compatible modules list
	* misc improvements
	* don't try to access loan accounts
	* fix parsing when there are 0 transactions

	Modules: bforbank
	* remove dummy test.py files as they are false negatives for weboob_lint
	* skip history and invest on not available market accounts
	* handle when spirica is broken
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* handle logout when opening a spirica page
	* fetch deferred card transactions
	* fixing account type with PEA
	* handle transactions rdate
	* handle another login url
	* [ing/bforbank] use now ValueDate
	* adapt ValueDate formats
	* password can only contain digits
	* deferred debit card are now a separate account
	* fetch new coming page
	* recognize withdrawal transactions
	* pyflakes in bforbank
	* handle multiple immediates card on an account
	* don't generate card account if all cards are canceled
	* changes on deferred card summary transactions handling
	* skip not yet available cards
	* use url field instead of _link for Accounts in a few modules
	* [banquepopulaire][bforbank][bp] deinit sub-browsers
	* sometimes there are 2 "synthese-encours"
	* handle currency on deferred cards
	* change assertion to match multiple cards with 1 deferred
	* parse when multiple deferred cards one same checking account
	* modules: fix AbstractBrowser use
	* port to python3
	* add another login url
	* add another life insurance url
	* use xpath "$vars" in a few modules
	* Get transactions of the day
	* remove some useless ":443" in URLs since weboob normalizes them
	* do "get today operations" only for checking accounts
	* add another url for errors on spirica login

	Modules: blablacar
	* fix module website changed
	* fix departure time parsing
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: bnporc
	* skip recipients without valid iban
	* fix bnporc bullshit
	* fetch waiting to be validated recipients
	* add_recipient
	* adding CapProfile to bnporc ent
	* fix empty recipient currency
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* change exception for "1001" json code on login page
	* fixing wording for bnp enterprise
	* fix crash on not caught wrongpass
	* fixing account type with PEA
	* fix crash after password renewal
	* reject expired password if we won't be able to restore it
	* raise expired password when we can't apply temp password
	* use new TransferError codes in a few modules
	* use new TransferError subclasses in modules
	* adding perp type
	* handle pea account type
	* adding an account type
	* bnporc/entreprise: if label contains a date, use it for rdate
	* bnporc/entreprise: don't set coming transactions as deferred
	* ignore "sans suite" life insurance transactions
	* remove deprecated 'ppold' website
	* virtual keyboard has changed
	* fixing coming amount for enterprise accounts
	* update modules to use new CapBankTransferAddRecipient
	* don't get investments on liquidity accounts
	* added card account for entreprise site
	* raise NotImplementedError when profile is not available
	* fetch balance from market page and fix diff
	* entreprise:] fixing wrong amounts and date on cards
	* corrected useless pipe on password regex
	* remove enter/exit browser1 leftover
	* Add currency to card account
	* advisor page may be missing
	* Handle cards transactions as deferred
	* hellobank: raise ActionNeeded when bnporc pp should be used instead
	* bnporc entreprise: no more deferred_card transactions on checking account
	* entreprise: sometimes card date format has dots
	* add investments on PERP

	Modules: boursorama
	* skip external cards (amex cards here)
	* adding CapProfile to boursorama
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* recognize another type of transfer
	* correctly type PEA account
	* card accounts, coming, card transactions
	* rdate is parsed by Raw and add new transaction pattern
	* fix cards number
	* fix date of card transactions
	* fix some cards where there is no info
	* get_history must return an iterable, not None
	* fix card number regexp
	* do not yield not activated cards
	* on card accounts, transactions should be TYPE_DEFERRED_CARD
	* retry to login when virtkeyboard process fails
	* stop crashing on obvious wrongpass
	* fix crash when job_start_date is unavailable
	* fetch pro accounts
	* handle other deferred cards
	* handle transfers
	* execute_transfer returns the passed Transfer
	* fixing card_summary on main account
	* fix coming and date of deferred_card trs
	* use new TransferError codes in a few modules
	* handle invests on PEA
	* use new TransferError subclasses in modules
	* adding advisor : hotline
	* implement adding recipients
	* remove useless config field
	* fix date of history of deffered_card
	* recognize more loan accounts + clean obj_type
	* fixing rdate on deferred cb
	* fix regexp on old versions
	* definitly fix rdate on deferred card
	* fix regexp on buggy python versions
	* use url field instead of _link for Accounts in a few modules
	* parse recipients bank_name
	* field webid with iban on new_recipient
	* fix recipient label regex pattern
	* update modules to use new CapBankTransferAddRecipient
	* fix label of external recipient (corner case)
	* improve condition to skip more summary in coming
	* create url object for PEP saving
	* fetch balance on pea and li from invs page
	* fix account type
	* create liquidity investment
	* load state only if double auth or add recipient
	* fix regexp to match summary
	* verify some kind of status page
	* search for danger instead of warning to raise Unavailable
	* fix wrongpass cornercase
	* the MarketPage history may have a different format
	* fix accounts parsing + typing
	* fix id transactions not being parsed
	* fix ord accounts typing
	* transaction id can be missing for coming transactions
	* sometimes data-deffered is just missing, drop the assert
	* fixed prelevement transaction amount being 0
	* change typing for some accounts
	* port to python3
	* now handle alpha password
	* handle alnum instead of digit + alpha
	* TableElement takes 2 a nodes and messes up label

	Modules: bouygues
	* remove dummy test.py files as they are false negatives for weboob_lint
	* Fix Bouygues module bills fetching for Internet clients
	* handle an insecure HTTP page to avoid BrowserHTTPSDowngrade
	* fix documents list
	* Fix ref can be not found, so add a condition before return the regex exp
	* fix wrongpass not detected sometime on backend or blackbox
	* Corrected subscription id duplication
	* Check if activation date is null
	* use xpath "$vars" in a few modules

	Modules: bp
	* sometimes, sending account id of transfer not present in recap
	* same id problem on recipient recap
	* new url for CheckPassword and use location instead of open
	* fix some internal recipients label
	* handle another change password url
	* use io.BytesIO instead of StringIO.StringIO
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* pro, fix corrupted csv
	* set StatesMixin duration to 15 minutes
	* use new TransferError codes in a few modules
	* use new TransferError subclasses in modules
	* adding isin code on cachemire contract
	* handle one more deferred card url
	* fix handling pages with right classes
	* handle new par website
	* add cb deferred history and coming amount
	* get deferred card history, fix error when account has no balance
	* don't get shitty accounts on shitty page
	* account page is on error
	* fix empty wording on some transactions
	* fix coding style
	* fix detecting no accounts cases, and remove dead code
	* correctly handle multiple cards
	* do not consider hours in transaction labels
	* do not hardcode currency
	* ignore accounts without amount
	* fix cards crash when website is unavailable, and fix positive loans
	* fix crash on accounts without cards
	* really fix positive loans and remove useless code
	* now loan's history is not recovered
	* state duration of 5 minutes is enough
	* use exec_date field in transfer
	* fix no more history on pro website
	* avoid pro code in par browser
	* use linebourse browser for handling PEA accounts
	* fix date parsing for solesio life insurance
	* fix history and investment for cachemire and gmo life insurances
	* fixed browser unvailable error when getting deffered card account history
	* fix multiple recipients with same iban, and label parsing
	* use url field instead of _link for Accounts in a few modules
	* fix when transaction doesn't have investments attached
	* fix table with multiple invests on multiple spaces
	* more history for checking, savings and market accounts, fix wrong label for transactions
	* Bug #4020 - change url image
	* fix wrong iter_history method for non typed accounts
	* fixing login xpath and pattern
	* set_variables only needs a url, not a page
	* matching account types by label
	* fix crash during fetch of cards history (closes #4019)
	* [banquepopulaire][bforbank]deinit sub-browsers
	* [bp][pro] raise BrowserUnavailable on history page
	* corrected useless pipe on password regex
	* get history from html page and not from csv file.
	* [bp pro] enhance transaction parsing
	* [bp pro] fix parsing of rdate
	* fix bad regex URL.
	* detect another BrowserUnavailable at login
	* modules: fix AbstractBrowser use
	* wip add_recipient
	* [bp transfer] add urls
	* [bp pro] pagination on history
	* port to python3
	* Use weboob.tools.compat instead of urllib/urlparse
	* [bp pro] handle more pro_history pagination pages
	* wip handle mandate space
	* handle mandate space
	* handle more informations for loans
	* handle one more loan detail's url
	* add url for loan
	* support more investment account types
	* support SEPA transfers
	* Convert byte buffer to unicode string (py3 compat)

	Modules: bred
	* fix json when they put "null" elements
	* disable pagination since the json is FUBAR
	* pyflakes
	* fix id not unique for some accounts
	* raise ActionNeeded when 2FA is enabled
	* adding loans accounts
	* port dispobank to browser2 the easy way
	* put back pagination, but limit pagination number
	* detect coming transactions
	* fix dispobank certificate + fix history
	* remove useless whitespaces
	* increase history size limit

	Modules: btmon
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: caels
	* remove dummy test.py files as they are false negatives for weboob_lint
	* modules: fix AbstractBrowser use

	Modules: caissedepargne
	* fix date format
	* fix balance for life insurance accounts
	* Fixing absolut amount for credit
	* adding CapProfile to caissedepargne
	* fix history for cenet pages since search is too stupid
	* add regex to type CB
	* fixing account type with PEA
	* cache accounts list
	* transfer feature
	* fix mistake when changing account type
	* handling revolving credit amout
	* fix iter_recipients internal accounts matching
	* skip itering recipients on double auth accounts
	* fix recipients iban regexp
	* fix transfer not allowed on iter_recipients
	* fixing palatine account type
	* fixing home loan
	* refix regexp to find iban on external recipients
	* use a more often present cookie to find name
	* fixing cb nature was not handle for palatine
	* fix profile and recipient
	* improve recipient parsing
	* try to come back from bourse website
	* fix crash on missing link
	* fix wrong loan amount
	* use new TransferError codes in a few modules
	* use new TransferError subclasses in modules
	* recognize more account types
	* fix navigation to transfer page
	* fix crash when transfer are not available
	* handle loans on old website
	* [palatine] work around broken fcking website
	* missing title yield None, not empty string
	* add recipients
	* ignore cards if site returns an error
	* fix loan account parsing.
	* don't list transfer recipients for loan accounts
	* handle corner case of recipient parsing
	* don't raise TransferBankError in iter_recipients
	* catch another transfer error
	* check password is not empty...
	* update modules to use new CapBankTransferAddRecipient
	* do not try to go into the loans space if we do not have one, add some account types
	* fix 500 error on iter_recipients try, wrong detection of transfer space link, and some coding style
	* fix iter_recipients when user has a dash char
	* add unrecovered corrency, prevent some problems
	* handle more credits
	* fix when page is None.
	* use vk to fix login
	* cnet now returns decimal values
	* go to home page between multiple PEA accounts
	* separate CENET website to a dedicated browser
	* straightforward port to py2/py3
	* python3 fix (s/iteritems/items)
	* use xpath "$vars" in a few modules
	* use sorted_transactions
	* fix detection of recipient IBAN during transfer (zd:2595)
	* fix detection of recipient iban
	* Get deferred card transactions from card summary detail
	* Increased max history to 40 pages
	* increase again history limit

	Modules: canalplus
	* canalplus is now on browser2
	* remove deprecated and useless stuff + fix contextmanager use
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: cappedtv
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: cci
	* use xpath "$vars" in a few modules

	Modules: chronopost
	* remove dummy test.py files as they are false negatives for weboob_lint

	Modules: cic
	* login url changed
	* update modules to use new CapBankTransferAddRecipient
	* modules: fix AbstractBrowser use

	Modules: cmb
	* adding advisor for cmb/cmso/cmmc
	* modules: fix AbstractBrowser use
	* clean code with AbstractModule
	* adding CapBak/CapContact capabilities

	Modules: cmso
	* use more accurate account id for life insurance accounts
	* improve clarity for some list comprehensions
	* Fix cmso par: wrong types for deferred cards
	* Fix cmso pro: wrong xpath
	* add rdate for deferred card
	* adding new accounts type
	* some life insurance have no invests
	* ignore errors when logging out
	* [cmb/cmso/cmmc] adding account types
	* [cmso par] livret vie bla bla wrongly typed life insurancehhh
	* recognize more life insurance accounts
	* don't return accounts which seem duplicate
	* [cmso par] skip 0 amount loan transactions
	* [cmso/cmb/cmmc] fix positive balances on loan accounts
	* adding advisor for cmb/cmso/cmmc
	* [cmb/cmso/cmmc] fixing coming and deferred date
	* fix itering on loans
	* [cmb] Detect BrowserUnavailable on MarketPage
	* change browserunvalaible to empty iter for investment
	* coding style
	* [cmso/pro] disambiguate market account ids
	* [cmso/cmb/cmmc] fixing id on loan accounts
	* fixed bad request for market account history
	* cleaning cmso login
	* incorrect password may also return 401 http code
	* [cmso/cmmc/cmb] fixing id on loan accounts
	* [cmso/cmmc/cmb] fixing deferred date
	* do not crash on deinit() if we haven't been logged
	* [cmmc] hope to fix duplicates transactions
	* [cmb/cmmb] clean code with AbstractModule
	* [cmb/cmso/cmmc] fixing random ClientError, ServerError
	* fix relogging when currently on another domain

	Modules: colissimo
	* fixed date parsing
	* New website

	Modules: cpasbien
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: cragr
	* raise ActionNeeded on trading password creation
	* adding advisor to cragr
	* port to browser2 the quick way
	* fix debug leftover
	* fix shared URL instance modification
	* fix browser1 leftover
	* fix cragr broken html
	* fix method name after browser2 switch
	* escape error message during authentication
	* use ActionNeeded exception when it is appropriated
	* implement transfers
	* fix TransferPage url to avoid the pattern match other pages
	* fix Transfer object after execute_transfer
	* fixing cragr : advisor on cmds
	* use TYPE_CARD_SUMMARY and TYPE_DEFERRED_CARD transaction types
	* adding CapProfile to cragr
	* use bytes since content is bytes
	* Fix BGPI go_to don't work without return, change DAV PEA type
	* adding xpath to get card's balance
	* fix mistake on card balance xpath
	* fixing account type with PEA
	* fix rdate, there are not always sorted
	* keep usage of LinearDateGuesser for other than cards accounts
	* fix cragr dateguesser for deferred cards
	* catch more broken html to replace
	* improve domain management
	* use new TransferError codes in a few modules
	* use new TransferError subclasses in modules
	* match another card_summary type
	* for card accounts, separate history from coming
	* fix advisor fetching navigation
	* handle perimeter having "&/et" sometimes
	* adding an account type
	* add autoencoding and fix market accounts
	* implement adding new transfer recipients
	* use url field instead of _link for Accounts in a few modules
	* update modules to use new CapBankTransferAddRecipient
	* more wtf on cards being debitted 37 weeks later!
	* Fixing using number instead of webid
	* some accounts need a form submit to go to history
	* "Remise carte" is not a TYPE_CARD_SUMMARY Transaction
	* Fix deferred cards
	* return list of deferred cards or url
	* fix deferred debit cards when it's a link, not a form
	* detect browser unavailable page when account uses a form
	* set card balance at 0 if there is no coming
	* Set balance to 0 if there is no coming transactions
	* get account base on acc.balance
	* handle some BGIPage investments
	* straightforward py2/py3 port
	* use xpath "$vars" in a few modules
	* use BankStandardTest
	* split get_cards_or_card
	* added BASEURL initialisation in init
	* sometimes site returns recipients iban not in uppercase
	* raise BrowserUnavailable
	* handle unavalaible browser a better way
	* handle more informations for loans. duration is now given in months
	* remove some useless ":443" in URLs since weboob normalizes them
	* handle closed loans that stay on the accounts list
	* add default value for Loan start/end date
	* sometimes there's no link for the loan

	Modules: creditcooperatif
	* port to browser2 the easy way
	* pro: fix for multiple cards on same account
	* don't modify raw label
	* detect PEL accounts
	* first implementation of transfers for perso accounts
	* implement transfers to external recipients
	* fix debug leftover
	* fix transfer exec_date parsing
	* use xpath "$vars" in a few modules
	* skip coming transactions without a date
	* use another page for coming transactions
	* quick port to python3

	Modules: creditdunord
	* adding CapProfile to creditdunord
	* fix when no accounts + improve js search code
	* fixing account type with PEA
	* fix accounts parsing
	* fix investments date parsing
	* Add support for banque laydernier
	* catch no iban error, change some account id
	* some transactions have no dates ...
	* fix account not well typed
	* Changed json loads to literal eval to prevent useless replaces
	* Use weboob.tools.compat instead of urllib/urlparse
	* correctly type checking account
	* correctly sort transactions
	* port to python3
	* fix py3 compat

	Modules: creditdunordpee
	* remove dummy test.py files as they are false negatives for weboob_lint
	* fix homepage regexp and virtualkeyboard
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* fix "-" amount
	* iter_accounts now returns an iterable
	* fix warning

	Modules: creditmutuel
	* fixing creditmutuel/cic : remove deleted from summary manually summed
	* remove dirt from label
	* adding CapProfile to cm/cic
	* call super-classes on_load
	* fix some missing @need_login
	* fix advisor fetch
	* [cm/cic] fixing account type with PEA
	* remove dup URL
	* fix investement on PEA accounts + NotImplemented for history
	* catch another error message during transfer
	* [creditmut] add recipient feature
	* [cm/cic] adding account type
	* remove useless commented code
	* use new TransferError codes in a few modules
	* use new TransferError subclasses in modules
	* catch ActionNeeded on add recipient
	* [creditmut] change deferred card webid to be uniq
	* [creditmut & cic] fix bug following change of account webid
	* handle empty key error
	* [cm/cic] fix accounts type
	* if a transaction commission is present, exclude it from amount
	* [creditmut] handle new transfer bank error
	* P.E.A accounts has now the good type
	* [cic] better transfer errors handling
	* [cic/cm] fix problems on deferred cards and coming
	* update modules to use new CapBankTransferAddRecipient
	* [credimut] fix consecutive new recipients
	* [creditmut] fix check on recap transfer
	* [creditmut] fix fetching iban
	* [creditmut] preventively use has-class instead of @class=
	* [cm/cic] create new account to keep consistency
	* [cm/cic] match another loan account
	* remove regex on login
	* [cm/cic] adding word to match order
	* Use weboob.tools.compat instead of urllib/urlparse
	* use xpath "$vars" in a few modules
	* new URL for OperationsPage + call sorted_transactions
	* handle more informations for loans
	* stop taking closed loans into account
	* fix unhandled page for loans condition
	* [cic/creditmutuel] fixed some pages not being matched
	* CMCIC: fix catching URI for life insurances
	* CMCIC another fix for uri for life assurances
	* CMCIC better xpath for banqueprivee subbank for accounts items
	* fix validation message when the transfer is registered
	* CMCIC same xpath for account items for all subbanks
	* [credit mut] add_recipient, might have multiples hashes for same key

	Modules: cuisineaz
	* port to python3

	Modules: dailymotion
	* set a default test config in case no-one exists
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: delubac
	* fix parsing when there are several accounts
	* detected terminated account
	* Corrected not accessible account and balance unavailable
	* fix unaccessible transactions
	* Improve iban recuperation
	* Skip unreachable accounts
	* some changes to be compatible with his childrens
	* port to python3

	Modules: dlfp
	* quick-and-dirty port to Browser2
	* fix browser1 leftovers and port to python3

	Modules: ebonics
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: edf
	* remove dummy test.py files as they are false negatives for weboob_lint
	* fetch 3 years of documents instead of fixed begining date
	* [edf pro] catch ActionNeeded (CGU validation)
	* fixing parsing doc
	* fix edf pro: bad detection of wrongpass and dl method change
	* Fix edfpro: crashes when no bills found, and make subscription labels clean
	* fix new page for bills and new method for download
	* fix multiple subscriptions documents, fix download doc (same case), and fix invalid price
	* [edf pro] fix non-static id for subscriptions, and clean some code
	* fix multiple persons for multiple subs
	* [EDF] Factures correction
	* pyflakes
	* Fix PAR documents & PRO bills ID
	* [edf-par] fix disconnect on download bills
	* [edf - par] Corrected is_logged that was always true

	Modules: ehentai
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: entreparticuliers
	* fix land rent type
	* correctly handle RENT queries
	* Update Entreparticuliers module
	* Partial fix for entreparticuliers single housing fetching
	* Use a dedicated field for utilities status in housing capability
	* Fix some discrepancies between list and infos in entreparticuliers module
	* fix pyflakes
	* fix area detection when number of rooms is unknow + fix description parsing + fis nbroom parsing
	* Fix a bug due to invalid XML encoding in entreparticuliers module
	* fix parsing crappy adverts
	* fix module website got updated

	Modules: europarl
	* Clean up imports

	Modules: explorimmo
	* fix module: handle case price in not in search result
	* fix error parsing prices
	* handle empty search cities result
	* Update explorimmo module
	* Remove useless imports in explorimmo module
	* Update explorimmo single housing fetching
	* Use a dedicated field for utilities status in housing capability
	* Correctly fetch the area in Explorimmo listing when there is a comma
	* Fix according to comment by @Bezleputh
	* Fix explorimmo agency in details
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: feedly
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: fortuneo
	* fixing account type with PEA
	* fix broken html
	* fetch PEA balance from account page because it's more up to date
	* handle another actionNeeded
	* do not use 'with' on browser
	* use url field instead of _link for Accounts
	* changed way accounts links are retrieved
	* added history for PEA and life insurrances accounts
	* Form not found correction
	* ignore auto assurance account
	* added action needed exception for recently created profiles
	* [Fortuneo] Handling of liquidities because investments are very volatiles, investments are cached during list command in order to keep consistancy between list' balances and investments sums
	* added action needed exception when profile require it
	* added another case of action needed on the site
	* fixing account type
	* added BrowserUnvailable exception for unreachable accounts
	* fix crash on loans
	* port to python3
	* Now full handle loans
	* detect BrowserUnavailable at login
	* another ActionNeede
	* Delete liquidity for stock account
	* now get sub transactions from main one

	Modules: francetelevisions
	* site changed
	* sometimes there is no date or sublabel
	* handle ls command + fix test

	Modules: freemobile
	* Fix for https://symlink.me/issues/3664
	* Add CapMessagesPost to self using Freemobile SMS API
	* Should now support multilines account with CapMessage
	* Freemobile CapMessagePost should support multi-line accounts
	* Fix Freemobile HomePage not having correct logged property
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* ended subs make crash when renewdate try to get recovered
	* use xpath "$vars" in a few modules

	Modules: funmooc
	* fix login and pages
	* port to python3

	Modules: ganassurances
	* failed login can redirect to groupama
	* added virtual keyboard support
	* some life assurance accounts weren't returned
	* [ganssurances] diasble comings for life insurances accounts
	* keep get_coming as an iterator
	* fix history for different life insurances
	* Skip false account and fix columns use
	* using is instead of == to compare with None
	* add investments support
	* now recover currency
	* add arbitration and test existence of columns
	* parse another ISIN pattern

	Modules: gazelle
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: gdcvault
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: genericnewspaper
	* modules: fix AbstractBrowser use

	Modules: github
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: googletranslate
	* fix translation decoding

	Modules: groupamaes
	* amount column label has changed
	* amount may be not available
	* detect another negative amount transaction
	* fix duplicated coming operations
	* accept more than 8 digits in login

	Modules: guerrillamail
	* port to browser2
	* remove unused import

	Modules: happn
	* add parameters 'position' and 'distance'
	* little improvements
	* fix changes in API
	* fix set of position

	Modules: hsbc
	* login form has changed
	* recognize an additional type of life insurance account
	* raise BrowserIncorrectPassword when password is too short
	* recognize an additional pattern for life insurance
	* fixing account type and loans
	* sometimes life insurance label is "elysee" instead of "elysees"
	* handle life insurance history and investments
	* fix transactions with gross amount, fix invest name (sometime there is some letters in id)
	* set date instead of vdate in life insurance history
	* life insurance website is randomly unavailable
	* fix mistake
	* fix mistake n°2
	* some life insurance are not on side website
	* when app is gone, relogin is needed
	* fix crash when life insurance space is unavailable
	* detect another BrowserIncorrectPassword
	* fixed IBAN not found when on french site
	* fix regexp to parse first matching date instead of last
	* coding style: use sign CleanDecimal param
	* the life insurance site may not show all accounts
	* Fix ignored history
	* use url weboob field and remove some useless except
	* don't parse "some shop 24/24" as the transaction date
	* fixing history and summary on deferred cb
	* basic port to python3
	* change site navigation to use more POSTs
	* some coding style improvements
	* detect new life insurance label + empty history
	* handle a variety of errors for life insurance
	* detect suspended account ActionNeeded

	Modules: imdb
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: imgur
	* fill more fields

	Modules: ina
	* fix ina tests

	Modules: indeed
	* set a default test config when no-one exists

	Modules: ing
	* Adding Loan type
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* adding CapProfile to ING
	* fixing account type with PEA
	* fix start_with_main_site decorator
	* fix get_profile happening after life insurance account
	* fixing investment in some cases
	* use new TransferError codes in a few modules
	* use new TransferError subclasses in modules
	* [ing/bforbank] use now ValueDate
	* fix ValueDate format and no more replace
	* don't need anymore to hardcode server cert
	* handle one more format date
	* handle orignal_currency on TitrePage
	* fetch PEA and MARKET balance from details because it's more up to date
	* fix positive balances on loan accounts
	* transfers
	* retry if we can't get market balance
	* exec_date can move 4 days later
	* transfer better exec_date parsing
	* fix recipient iban parsing
	* Handling of liquidities as an investment. To avoid inconsistencies between balances and investment totals, investments are cached during list command
	* corrected useless pipe on password regex
	* fixing unitprice column
	* unitprice invest life insurance column may be missing
	* raise ActionNeeded if page is moveMoneyForbidden.
	* fix unicode exception problem
	* port to python3
	* add error on invalid transfer amount
	* there is no liquidity on life insurance in creation

	Modules: inrocks
	* modules: fix AbstractBrowser use

	Modules: jacquieetmichel
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: jcvelaux
	* straightforward py3 compatibility

	Modules: jirafeau
	* port to python3

	Modules: kickass
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: kiwibank
	* adding missing account type

	Modules: lcl
	* catch actionNeeded on trading website
	* fixing  parsing on invest
	* fixing  parsing on invest
	* do not raise ActionNeeded on BoursePage
	* some accounts can't do any transfer
	* add_recipient
	* fix encoding error
	* adding CapProfile to lcl esp/ent
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* do not crash on unavailable market website
	* fix recipients webid
	* fix mistake
	* fix life insurance xpath
	* fix wrong type for cb deferred
	* set expire on state
	* use new TransferError codes in a few modules
	* use new TransferError subclasses in modules
	* entreprise: fix multiple accounts + misc
	* fix recipient add message
	* better parse accounts list if multiple companies
	* fixing some type accounts PEA
	* advisor phone can be missing
	* Added pro loans
	* Fixed AV, now taking contractID instead of labelname as ID
	* add e.LCL space on websites, fix crash on market disconnect page
	* update modules to use new CapBankTransferAddRecipient
	* Fix ac_details_page xpath in AvPage
	* fix website redirection to get lifeinsurances accounts
	* use on_load for life insurance routing pages
	* access is restricted to life insurance accounts of a third-party
	* parsing of life insurance investments changed
	* Iban duplication correction
	* go on accounts list before submitting life insurance page form
	* handle multi contracts
	* force logout with multi contracts and statesmixin
	* init some variables and avoid a name conflict
	* fixing pea type on bourse accounts
	* patch empty transaction label with nature
	* fix lcl transaction label at None
	* don't use lxml custom strs in the state but standard strings
	* sometimes transactions have amount of 0
	* fix transferbankerror msg format
	* [lcl add recipient] fix detection of params xpath
	* port to python3
	* some life insurances don't have a link and so are useless
	* CapDocument added, now donwloading documents
	* fixing wrong date on deferred_cb transactions
	* Missing import basestring in LCL module (Python 3 compatibility)
	* CapDocument is only implemented for "par" site
	* use xpath "$vars" in a few modules
	* fix iter_resources since module has CapBank/CapDocument
	* add currency to life insurance and market accounts
	* Add uppercase ASSURANCE-VIE in disc URL.
	* fix when form params are not in id but in href.
	* detect some cases of "restricted" life insurances
	* remove some useless ":443" in URLs since weboob normalizes them

	Modules: ldlc
	* Fix LDLC module

	Modules: leboncoin
	* set a default test config in case no-one exists
	* fix: module crash while searching cities whose name contains spaces
	* handle unknown cities search result
	* Update Leboncoin module
	* Fix single housing fetching on Leboncoin
	* Use a dedicated field for utilities status in housing capability
	* Remove region parameter in Leboncoin module
	* fix call to sort for py3 compat
	* fix warning from element.getroot()

	Modules: leclercmobile
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* Remove support for older mechanize versions

	Modules: lefigaro
	* fix module / set a defaut test config in case no-one exists
	* modules: fix AbstractBrowser use

	Modules: liberation
	* modules: fix AbstractBrowser use

	Modules: linebourse
	* new bank invest module
	* fix non-existing page
	* fix portfolio_share > 1
	* fix index out of range due to not urlencoded account id, change warning to assertion error
	* portfolio share can be NotAvailable, change static 'isin' to Investment variable
	* fix empty invest with 0 in quantity
	* sometimes investments have an empty label
	* change hard code type to invest variable
	* sometimes the diff column is just missing
	* reimplement MessagePage behavior of caissedepargne
	* create liquidity investment
	* fix invest history label
	* fix invest history label
	* sometimes investment list is not in a link
	* fix escaping '?' in URL.urls for calling go on it
	* the website might be dead
	* fix broken page on iter_history
	* port to python3
	* use xpath "$vars" in a few modules

	Modules: linuxjobs
	* add proper favicon
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: logicimmo
	* Update Logicimmo module
	* Fix location detection in logicimmo
	* Update logic-immo single housing fetching
	* Use a dedicated field for utilities status in housing capability

	Modules: lolix
	* bump to browser2 / set a default config in case no-one exists

	Modules: lutim
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* port to python3
	* fix expiration field

	Modules: lyricsdotcom
	* fix module : website got updated
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: lyricsmode
	* fix artist name and song name
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: marmiton
	* fix parsing when cooking time is not filled
	* Use weboob.tools.compat instead of urllib/urlparse
	* fix module website got updated

	Modules: mediawiki
	* add gallery search + improve fillobj
	* edit token changed + fix unittest
	* port for python3
	* fix image data fetching

	Modules: meteofrance
	* fix module website got updated (fix issue #43)
	* fix unorderable types error

	Modules: minutes20
	* modules: fix AbstractBrowser use

	Modules: monster
	* fix module, website is beeing updated
	* fix module site changed
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: myfoncia
	* Billing capability for Foncia

	Modules: n26
	* remove dummy test.py files as they are false negatives for weboob_lint
	* catch wrongpass
	* fix old-style exception
	* fix module creation
	* set account number to NotAvailable
	* currency is always EUR
	* moved login from init with wrapper
	* N26: Handle bank fee type;

	Modules: nectarine
	* port to browser2
	* port to python3

	Modules: nettokom
	* corrected useless pipe on password regex

	Modules: nolifetv
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: nova
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* remove useless dict.iterkeys() calls

	Modules: oney
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* fixed incorrect password on site choice page
	* catch and ignore unusable accounts
	* handle email on login
	* parse special credit page
	* the coming value may be missing

	Modules: onlinenet
	* setted timeout to prevent 504 errors

	Modules: opacwebaloes
	* remove dummy test.py files as they are false negatives for weboob_lint
	* library: rename get_booked/get_rented and remove wrong id parameter
	* Remove support for older mechanize versions
	* fix API change

	Modules: opensubtitles
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: orange
	* fix bills for pro and sosh accounts
	* fix bill price when there is a discount info
	* fix price parsing when there's vat and non-vat amounts
	* Corrected date xpath
	* Added price to ID to prevent bills doublons
	* [sosh - orange] Corrected url for unavailable documents
	* Use weboob.tools.compat instead of urllib/urlparse
	* Get documents and bills from new site
	* Some subscriptions don't have basic columns like 'Montant HT'
	* Pro contracts take amount without taxes

	Modules: ouifm
	* update OÜI FM stream urls
	* update station name
	* bump to browser2
	* remove useless dict.iterkeys() calls
	* 4 brand new OUI FM streams
	* syntax terror
	* added OÜI FM Rock 2000 + OÜI FM Summertime urls

	Modules: ovh
	* remove dummy test.py files as they are false negatives for weboob_lint
	* [OVH] Added bills label
	* Two-Factor authentication now catched
	* Changed links to match new API & select bills 2 years ago
	* Added condition on login (sometimes trying to log when already logged)

	Modules: pap
	* Update Pap module
	* Fetch single housing fetching of Pap
	* Use a dedicated field for utilities status in housing capability
	* Use CleanText rather than CleanHTML in pap phone fetching
	* Better handling of housing posts with multiple phone numbers on pap
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: pariskiwi
	* port to python3

	Modules: parolesmania
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: pastebin
	* base url is https

	Modules: paypal
	* fix paypal login
	* bypass new anti-scraping js
	* handle more home urls
	* [paypal part] create transaction with there is a funding src
	* fix regressions with fundingSrc
	* don't crash if fundingSource is missing
	* fix login js
	* fix when get account list.
	* Use weboob.tools.compat instead of urllib/urlparse
	* handle new home page

	Modules: phpbb
	* port to browser2 and add fixes
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: pixabay
	* add module for pixabay public domain photo search
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: pixtoilelibre
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* port to browser2 and python3

	Modules: podnapisi
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: popolemploi
	* Use weboob.tools.compat instead of urllib/urlparse
	* fix module site dramatically changed

	Modules: pornhub
	* Now uses https

	Modules: pradoepargne
	* adding pradoepargne module
	* [pradoepargne][btpbanque] Upgrade version
	* modules: fix AbstractBrowser use

	Modules: presseurop
	* fix module + set a default test config in case no-one exists
	* modules: fix AbstractBrowser use

	Modules: radiofrance
	* fix francemusique, mouv and franceculture
	* fix franceinter podcasts / search not only search in selections but also in podcasts
	* better output for current song

	Modules: ratp
	* RATP: Rename module to be lowercase
	* Fix a few bugs with ratp module
	* Make RATP module use the provided issue description
	* site is now https

	Modules: redmine
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: regionsjob
	* set a default test config in case no-one exists
	* handled websites are now using https

	Modules: rmll
	* Fix RMLL module required weboob version
	* Fix module : website got updated

	Modules: s2e
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* detect an ActionNeeded page
	* use now AbstractBrowser and AbstractModule
	* adding pockets
	* now recover AMF code around 3 websites
	* fix undefined page (website without amf code)
	* handle another code page
	* fix XMLSyntaxError due to an empty page occurring sometimes
	* abandon AMF code fetching when the page redirects to a graphplot page
	* handle one more isin site (the url is enough for it)
	* fix cpr-am url + handle yet another isin url... except it's a pdf
	* add another cpr-am url pattern
	* add another type of ISIN page
	* corrected useless pipe on password regex
	* detect one more "no accounts" sentence
	* add diff to investments
	* diff column can be unavailable
	* use xpath "$vars" in a few modules
	* add new text to get pocket condition from dict CONDITONS

	Modules: seloger
	* Update seloger module
	* Filter cities results of SeLoger module
	* Fix seloger modifications according to @Bezleputh comments
	* Better title fetching from seloger module
	* Use a dedicated field for utilities status in housing capability
	* Do not return utilities.excluded when should not be the case for seloger
	* Add missing favicons for foncia and seloger
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: senscritique
	* Website now uses https

	Modules: sfr
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: societegenerale
	* new url for a ActionNeeded page
	* delete cb_summary transactions
	* new action needed page
	* life insurance pages are broken randomly, do retry
	* do not throw a TransferError if the customer can't do tranfers
	* fix debit date, must be descending
	* fix transfers
	* adding CapProfile to societegenerale
	* username is digit..
	* use io.BytesIO where deprecated StringIO module was used for bytes
	* list loans in accounts
	* fix crash on history on loan accounts
	* raise BrowserIncorrectPassword for short logins
	* some loans have no balance in the loan json
	* fix crash on unavailable loan page
	* fixing account type with PEA
	* fix transfer
	* fixing isin code
	* add recipient
	* raise step on appli validation instead of waiting
	* use new TransferError codes in a few modules
	* valutations for invests are now taken from the previous page for a better value
	* use new TransferError subclasses in modules
	* fix transfer
	* skip life insurance transaction when date is "rejet"
	* [soge] fix rounded valuations bugs (KeyError), now go on all pages to get valuations, and catch the error
	* fix unicode literal
	* transfer date more flexible
	* [societegenerale iter_recipients] \d in field might not be an id
	* fix transfer data wrongly posted
	* sometimes an owner has no accounts
	* bugfix check also if _id in acc.id.
	* fix handling transfer page
	* card transactions are coming before the first card_summary
	* fix no accounts due to site error
	* fix recipients list if multiple accounts have the same name
	* recognize new url for ActionNeeded
	* skip external recipient with not valid iban
	* update modules to use new CapBankTransferAddRecipient
	* fix regex
	* Transfer.exec_date can vary of 2 days during weekend
	* fetch balance from market page
	* exclude a new error message for iter_transfer_recipients
	* [societe generale] changed IBAN to not available for Epargne accounts
	* skip market transaction if the amount is unavailable
	* fix too strict and inconsistent exec_date check
	* the "rejet d'intégration" state was searched on wrong doc
	* test another page for life insurance history
	* allow iter_history on PEA liquidity
	* Corrected validation condition to prevent recipient doublons
	* detect a NoAccountsException case
	* Use weboob.tools.compat instead of urllib/urlparse
	* port to Python3
	* [soge] fast fix transfer
	* Form param value changes between 'valeur' and 'position'
	* detect yet another BrowserUnavailable

	Modules: somafm
	* Port somafm to browser2

	Modules: spirica
	* 0% portfolio_share is different than NotAvailable
	* recognize "capitalisation" accounts
	* exclude 'arrêté annuel' transactions
	* use url field instead of _link for Accounts in a few modules

	Modules: sueurdemetal
	* port to browser2
	* set timezone of events
	* straightforward py3 port
	* site completely changed

	Modules: supertoinette
	* bump to browser2

	Modules: t411
	* Correct download URL
	* new URL
	* Use weboob.tools.compat instead of urllib/urlparse
	* update to new website

	Modules: tapatalk
	* bugfix: use 'Anonymous' if post_author_name is undefined
	* bugfix: if a forum doesn't have new_post attribute, assume it to be true

	Modules: taz
	* modules: fix AbstractBrowser use

	Modules: tinder
	* add optional parameter 'location' to force position
	* sometimes 'common_likes' is not present in person dict
	* send a welcome message
	* sometimes description is missing

	Modules: torrentz
	* CSS changed
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: trainline
	* fix some bugs in iter_docs
	* fix unavalaible docs

	Modules: tvsubtitles
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: twitter
	* fix : website got updated
	* remove useless encoding
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: unsee
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: ups
	* remove dummy test.py files as they are false negatives for weboob_lint
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: vimeo
	* fix search / rewrite search and channels listing using phone API / set a default test config in case no-one exists
	* fix : keep your grubby hands to your own website !
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: vine
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: virginradio
	* fix module (header wants a str not an int)
	* remove useless dict.iterkeys() calls

	Modules: weather
	* fix module: website got updated / bump to broser 2

	Modules: wellsfargo
	* Use weboob.tools.compat instead of urllib/urlparse

	Modules: yomoni
	* remove dummy test.py files as they are false negatives for weboob_lint
	* raise ActionNeeded for certain "no accounts"
	* encode utf8 before base64 to avoid crash on accent
	* detect more ActionNeeded
	* User get message if subscription at step 4
	* Added right tokens to all requests
	* don't use Account as dict key, it's not hashable
	* parse amount with comma and replace with dot
	* PEA account_type now recognized

	Modules: youjizz
	* fix parsing links without schemes
	* force https for thumbnails
	* fix parsing of urls

	Modules: youporn
	* fix compatibility with new website

	Modules: youtube
	* Use weboob.tools.compat instead of urllib/urlparse
	* use youtube_dl
	* remove pages.py since no browser is used anymore

	Tools
	* Add a script to backport modules from devel to stable
	* Add a script to detect new and removed modules since a release
	* Add check_xpath script
	* Add "-3" option to all relevant tools
	* CI update to manage both python versions

	Contrib
	* Add replace-backends-pass.py tool to use the "pass" tool
	* Add rboorrent-download script
	* Add a export_session method and a webextension


Weboob 1.2 (2017-01-08)

	General
	* Add inheritance for modules, browsers and pages
	* Add gitlab-ci integration
	* Move all Qt applications to Qt5
	* New application QBooblyrics
	* New urls for source repositories: https://git.weboob.org/

	General: removed modules
	* Remove btdigg module, website is dead

	General: new modules
	* New module afer https://adherent.gie-afer.fr (CapBank)
	* New module amundi https://www.amundi-ee.com (CapBank)
	* New module caels https://www.ca-els.com/ (CapBank)
	* New module creditdunordpee https://salaries.pee.credit-du-nord.fr (CapBank)
	* New module number26 https://n26.com (CapBank)
	* New module spirica https://www.spirica.fr/ (CapBank)
	* New module yomoni https://www.yomoni.fr/ (CapBank)
	* New module centquatre https://billetterie.104.fr (CapCalendarEvent)
	* New module materielnet http://www.materiel.net/ (CapDocument)
	* New module onlinenet https://www.online.net (CapDocument)
	* New module trainline https://www.trainline.fr/ (CapDocument)
	* New module linuxjobs https://www.linuxjobs.fr/ (CapJob)
	* New module manpower http://www.manpower.fr/ (CapJob)
	* New module lyricsdotcom http://www.lyrics.com/ (CapLyrics)
	* New module lyricsmode http://www.lyricsmode.com/ (CapLyrics)
	* New module lyricsplanet http://www.lyricsplanet.com/ (CapLyrics)
	* New module paroles2chansons http://www.paroles2chansons.com/ (CapLyrics)
	* New module openedx (CapMessages)
	* New module tapatakl (CapMessages)
	* New module jirafeau https://jirafeau.net/ (CapPaste)
	* New module cpasbien http://www.cpasbien.cm/ (CapTorrent)
	* New module torrentz https://torrentz2.eu/ (CapTorrent)
	* New module pornhub http://www.pornhub.com (CapVideo)

	General: core
	* Add BackendsCall.stop() method to stop jobs
	* Add a 'requests' system to replace the primitive callbacks system
	* Check version before to run update request in repositories
	* Fix core unittests and some pyflakes warnings
	* Make as much modules unittests as possible run without backend
	* Add WebNip.load_or_install_module which does not install module (for compatibility with abstract objects)
	* Some fixes for windows compatibility
	* Force keyring generation with gpg1

	Documentation
	* Fix some typo in browser documentation
	* Clarify absurl behavior
	* Don't add applications/index in index.rst (empty page)
	* Don't use :any: special keywork for old system compatibility
	* Update favicon path
	* Add contribution guide
	* Rewrite Weboob doc guides according to latest changes in CI and modules

	Browser
	* Detect downgrade from HTTPS to HTTP and raise exception
	* TableElement now handles regexp
	* Do not store page url if there is no current location
	* Use urllib3 embedded in requests first
	* Update firefox ESR profile to the last version
	* Keep order of POST data
	* Add XLSPage, PDFPage and GWTPage classes
	* Catch TooManyRedirects after reloading cookies from storage
	* Do not use (and remove) global logger setting 'save_responses' to know if we save responses or not
	* Fix some invalid encoding names (#2602, #3522)
	* Introde CacheMixin class to store responses
	* Store the request object in Form class (allow to modify it on the fly)
	* Add xpath funtions star-with and ends-with
	* Introduce PartialHTMLPage for pages wit multi-roots

	Browser: URL
	* Fix a crash when a pattern use parameters with the same name than in another pattern
	* Add unit test for URL with multiple patterns and same parameters subset
	* Add an option to send headers in go() method

	Filters
	* RawText: can now optionally retrieves text from sub-elements
	* Date/Datetime: add fuzzy option
	* Async: read result.page from loaded_page
	* TableCell: can now iterate on <th> elements
	* Add Upper and Capitalize filters
	* Add Currency filter

	Elements
	* DictElement: Handle sub-dictionaries
	* ItemElement: Ignore items if the condition fails
	* ListElement: check condition before iteration

	Old browser
	* Allow monkey patch to disable SSL certificate check
	* Better SSL support (import more recent TLS versions if available)
	* Fix https downgrade detection

	Exceptions
	* Add ActionNeeded exception
	* Add NoAccountsException
	* Move ModuleInstallError to Exceptions module

	Tools
	* Introduce LimitedLRUDict to not cache too much values
	* Add a WeboobEncoder class
	* Add get_pdf_rows helper

	Tools: Backend
	* Save responses if _debug_dir backend configuration is set
	* Add optional 'klass' parameter for Module.create_backend

	Tools: bank
	* Add tools about IBANs and French ribs

	Tools: date
	* Add Italian translation
	* Fix date translation for values with \b

	Tools: formatters
	* Fix TableFormatter with lists of different lengths
	* Protect separator contained into values for CSV output (#2614)
	* Simplify CSV formatter with a call to csv python module
	* Fix use of -O parameter for csv formatter
	* Set ";" as csv default separator (#3378)

	Tools: tests
	* Add skip_without_config decorator
	* Add is_backend_configured method to BackendTest class

	Tools: ValueBackendPassword
	* When callback returns None, convert to empty string

	Tools: VirtKeyboard
	* Add parameterizable output code separator

	Capabilities
	* Add an url attribute to BaseObject
	* Add many currencies (turkish lira, romania new leu, colombian peso, etc)
	* Fix few __repr__/__str__ returning unicode
	* Add BoolField class

	Capabilities: Bank
	* Add description for 'coming' field on Account objects
	* Add PEE, PEA, PERP, PERCO, RSP, ARTICLE_83 and more account types
	* Add CARD_SUMMARY and DEFERRED_CARD transaction types
	* Add portfolio_share field to Investment
	* New fields for Investment to handle currencies
	* Add diff_percent field on Investment
	* Don't crash on empty raw values
	* Split transfers related methods to a new capability: CapBankTransfer
	* Update recipient object
	* Deep rework of transfer API, change modules and applications

	Capabilities: Contact
	* Add Advisor class, used in many bank modules

	Capabilities: Document / Bill
	* Major (and API breaking) change (all modules are updated)
	* Update all Bill modules to use url field instead of private field
	* Rename field "deadline" to "duedate"
	* Add field "income" to Bill

	Capabilities: File
	* Add license field

	Capabilities: Housing
	* Add url in HousePhoto __repr__ method
	* Add price_per_meter field

	Capabilities: Message
	* Create a genericnewspaper module with no capability that will be extended by other modules

	Capabilities: Image
	* Move Thunbmail class to Image capability
	* Fix many modules to use Thumbnail instead of BaseImage

	Capabilities: Lyrics
	* Remove useless constructor for SongLyrics objects

	Capabilities: PriceComparison
	* Add Price not found error

	Capabilities: Recipe
	* Do not crash if picture_url is an empty string
	* Handle decimal quantities in krecipe exports

	Applications: weboob script
	* Add "update" command

	Applications: console
	* Use self.do instead od self.weboob.do in get_object_list
	* Strip left and right condition (we now support rules lines like --condition 'amount > 2000')
	* Disable BACKEND@issues.weboob.org addresses (to much SPAM)

	Applications: all Qt applications
	* Use new-style signals and slot
	* Add Qt5 package in our tools
	* Port all applications to Qt5
	* Add "wait" parameter to stop method

	Applications: boobank
	* Display sub-totals for each currency (when several currencies are detected)
	* Fix error display in budgea command
	* Increase timeout of budgea command
	* Do not take of loan accounts in total
	* Display loan accounts label in blue
	* Use encoding aware custom print()
	* New advisor command with custom formatter

	Applications: comparoob
	* Add defaultcount management
	* Improve products management

	Applications: flatboob
	* Improve display if Area is not found

	Applications: monboob
	* Add full thread history in headers (fix some bad detection one MUA)

	Applications: videoob
	* Correctly handle non complete url in m3u8

	Applications: qcineoob
	* Sort torrent search result list by seeders
	* Display backend icon for each search results
	* Set tab text max size and add tooltip
	* Add keyboard shortcut (alt+left) to go back
	* Tab text is now updated on actions

	Applications: qcookboob
	* Display backend icon for search results
	* Add keyboard shortcut (alt+left) to go back
	* Better tab text/tooltip management
	* Fix bug when opening in a new tab, bad is was given

	Applications: qflatboob
	* Load all fields in widget list (help to rank adverts)
	* Display price per meter ratio

	Tools: boilerplate
	* Improve arg signature of methods generated by CapRecipe
	* Make u8 idempotent
	* Don't add failing test by default

	Tools
	* local_run: fix script when PYTHONPATH is not set
	* run_tests.sh: fix wrong exist status when specifying a single backend

	Packaging
	* Add a command to get the requirements with setup.py
	* Add cssselect to the list of requirements
	* Ensure that requests version is >= 2.0

	Contrib
	* Boobot: add tasks management
	* Boobot: fix compatibility with iso-8859-15 messages
	* Boobank_indicator: do not include loan account in total
	* Add imm-o-matic script

	Modules: 750g
	* Update module to use new website
	* Do not crash when there is only one or no result

	Modules: adecco
	* Update module to use new website
	* Skip test if backend is not configured
	* Add default configuration for tests

	Modules: agendaculturel
	* Website migrated from http to https
	* Skip test if backend is not configured
	* Add default configuration for tests

	Modules: agendadulibre
	* Skip test if backend is not configured
	* Add default configuration for tests

	Modules: allocine
	* Update favicon

	Modules: allrecipes
	* Uses API instead to parse website

	Modules: amazon
	* Handle prices that occur twice on the page (#2057)
	* Fixed login after website update (#2057)
	* Another discount type (#2057)
	* Added 'Free Shipping Promo' bill detailisation keyword. (#2057)
	* Force label to document
	* Fixing amazon : sometimes tva or other amounts arent available
	* Use new login link id

	Modules: amazonstorecard
	* Improved stability (retry on error) (#2115)
	* Major website update (#2115)
	* Parse recent transactions (#2115)
	* Handle amounts more than ,000 (#2617)
	* Parse payment due date; allow transactions with empty id (#2617)

	Modules: americanexpress
	* Remove unused constants
	* Rewrite to browser2 and remove old code
	* Fix date parsing
	* Update dateguesser range to one year
	* Handle account suspended page
	* List multiple accounts
	* Don't report canceled accounts without history
	* Fix div id with single card

	Modules: ameli
	* Update module after site changes

	Modules: amelipro
	* Fix tests calls

	Modules: apec
	* Fix the way experience and contact fields are filled
	* JSON api format has been updated
	* JSON call got updated
	* Handle accentuated characters in search
	* Add default configuration for tests

	Modules: apivie
	* No more fake ids on apivie transactions

	Modules: arte
	* Do not crash while trying to handle a bad url
	* Handle an other type of web page in cinema.arte
	* Fix Debian bug #831609, correctly handle m3u8 url
	* Many little fixes
	* Handle arte creative
	* There are some duplicate videos in creative pages
	* Fix arte cinema (module was not able to find video url anymore)
	* Add default configuration for tests

	Modules: aum
	* Remove duplicate entry key in AUM module

	Modules: axabanque
	* Fix no history on card
	* Handle ACCOUNT_TYPES
	* Fix accounts typing
	* Port to browser2 and adding investments
	* Don't crash in case of customer error
	* Check when user need to change password
	* Fix problems when checking error
	* Fix asv not being fetch and portfolio
	* Fix bug going on agipi page
	* Get account IBANs and fix typing
	* Fix investments on market account
	* Fix accounts from tabs and more investments
	* Fix url change on invest
	* Fix handling pel type
	* Support new login and some changes
	* Fix: password can be only digits
	* Support the new website for investments
	* The login can now be an email
	* Accounts numbers may be written differently
	* New URL for accounts list
	* Some pages return overlapping accounts, skip duplicates

	Modules: banqueaccord
	* Support new login page

	Modules: banquepopulaire
	* Handling currency for cards
	* Adding currency for card
	* Handle crash on natixis website
	* Removing balance information in raw
	* Fix missing label in history
	* Set Account.iban to NotAvailable if user hasn't subscribed to online documents
	* Fixing banquepopulaire : No IBAN for checking account
	* Fix wrong account type
	* Fixing account type for "Fructi Selection Vie"
	* Adding more life insurance support
	* No IBAN on investment and life insurance
	* Add support for Banque de Savoie.
	* Check number in raw instead of label
	* Handle different label
	* Investments on savings account
	* Port to browser2 the easy way (without filters and so on)
	* Fix problem with unicode cookies
	* Test unavailable service on all pages
	* Raise NotImplementedError for new natixis pages
	* Use absurl for regular pages after having visited market
	* Update navigation token even on error pages
	* Fix crash on some pages without token

	Modules: barclays
	* Support investments on life insurance accounts
	* Updated cards handling
	* Fix account type detection to fix card linking
	* Move to browser2 and support IBAN on pdf

	Modules: bforbank
	* Adding pagination for bforbank
	* Don't crash on no IBAN for checking account
	* Fix reading when IBAN is not available
	* Add a favicon
	* Use spirica module for life insurance
	* Implement investments/history for MARKET accounts with lcl

	Modules: blablacar
	* Fix departure date regexp
	* Fix parsing date
	* Fix: site got updated
	* Add a favicon

	Modules: bnporc
	* Don't crash without simplejson (support other json modules)
	* Add support PEA liquidity account type
	* Support one more page to refresh password
	* Get a year of history
	* Correctly decode IBANs
	* Rebuild IBAN only if it isn't already one
	* Catch wrongpass
	* Print temporary password to allow rescue connection on website
	* Fix: site changed
	* Adapt to support CapBankTransfer
	* Try harder to connect on the website
	* Add url to renew password
	* Fix BNPEnterprise: add leading zero when IBAN key is < 10
	* New website for BNPEnterprise, rebuild all module
	* Fix bnp enterprise: libelle not loaded for some reason, so take the type libelle on this case
	* Fix BNPEnterprise: swith date and rdate, move Account import
	* Fix CleanDecimal not always working
	* Catch change password page and raise ActionNeeded
	* Prevent date overlap in history search
	* Transfer fix on bnp
	* Categories on recipients
	* Handle transfer unavailable on fetching IBAN and recipients
	* Raise BrowserUnavailable on 1001 error code
	* Add transfer.account_balance
	* Add advisor support
	* Add a cache for account_list
	* Don't overwrite browser.page with something which can be a Response
	* Use response.json() to parse response, to prevent encoding issues

	Modules: boursorama
	* Better fall back on old website
	* Skip first visit page before falling back on old webiste
	* Better newwebsite url
	* Fix unitprice parsing
	* Support of Bourso new website and use Browser2
	* Add support of loan accounts
	* Fixing class for transaction label changed
	* Handling coming card
	* Add a condition to prevent crashs
	* Fix label parsing
	* Update regexp for TYPE_ORDER
	* Fix cards transactions link
	* Handle wrong pin code
	* Fix loan, market, valuation etc ..
	* Two-step-auth: fix request if browser has been shutdown
	* Detect when PIN tries limit has been reached
	* Fix checking of errors
	* Handling when no informations is avalaible in investment
	* Fix in case there are divs into accounts list
	* Handle new bourso card ID
	* handle blocked page1
	* Raise wrongpass on blocking secret infos update page
	* Handling new info profil page
	* Take custom-id if regular ids are not present
	* Fix same transactions on different accounts
	* Fix cards rdate parsing
	* Handle ord accounts
	* Fix pea history parsing
	* Fix some nav issues
	* More accurate url and valuation calculation
	* Adding incident page
	* Fixing wrong inheritance
	* Handle no link on market history
	* Fix history parsing
	* Parse transactions label back again
	* Try to be easier with bourso website
	* Do not iter coming on li and market accounts
	* Add a cache for accounts
	* Handle new history page type
	* Increase HTTP timeout, the website can be slow
	* Better typing to avoid crash
	* Do not crash on ClientError
	* Try to update balances of accounts before parsing
	* Try to fix XMLSyntaxError
	* Don't rash when no id are available (on some foreign accounts)
	* Catch XMLSyntaxError
	* Fix virtkeyboard
	* Don't call need_login twice
	* Fix page not being handled by the right class
	* Date might be missing
	* Fix unauthorized on virtkeyboard with old stored cookies
	* Fix cookie delation after going on login page
	* Fix card transactions request
	* Fix skiping not boursorama's accounts
	* Fix card accounts ids
	* Handle more cases where client need to log in on website
	* Handle more login page
	* relog on random disconnection
	* Fix coming parsing
	* Add IBAN page
	* Fix market accounts transactions date parsing
	* Fix useless nav and wrong webid leading to wrong IBAN
	* Fix transaction amount parsing
	* Fix crash on parsing amounts
	* Handle url with correct page
	* Type more loan accounts to prevent crash on history
	* Exclude deffered_card transactions of checking accounts
	* Add new param to login
	* Fix crash on expert derive account

	Modules: bouygues
	* Fixing bouygues module which works with b&you
	* Fix date parsing
	* Fixing bouygues module multiple accounts
	* Don't crash for accounts without document
	* For some reason, bills might be duplicated on website
	* Fix: https is now mandatory for documents URL
	* Fix: sometimes download document crash when reference is not specified

	Modules: bp
	* Handling wrong website selection
	* Add wrongpass page
	* Fix duplicate accounts with better id parsing
	* Fix regexp to get accounts ids
	* Support CapBankTransfer new API
	* Accounts are now in EUR by default
	* Handle deferred card
	* Accurate messages if users are on wrong website (between pro and perso websites)
	* Don't crash when no accounts are available
	* Port to browser2 (the easy way)
	* List loan accounts
	* More support of transfer (double auth not handled)
	* Fix pro browser working with StatesMixin
	* Reimbursed loans have an empty amount string
	* Parse life insurance investments and history
	* Fetch history for retirement contracts
	* Skip loan account with "unavailable data"
	* Fix BrowserIncorrectPassword with par/pro mix
	* Fix statesmixin on expired session
	* Handle internal recip not in accounts list
	* Add a cache for accounts_list
	* Fix a crash on unavailable pages
	* Skip more useless LOAN accounts
	* Add more regexp for transaction types
	* Add advisor support
	* Catch no accouts

	Modules: bred
	* Cut password to the first 8th char
	* Fetch IBAN only for checking accounts
	* Transactions typing
	* Do not yield not real market accounts
	* Fix duplicate id accounts

	Modules: caissedepargne
	* Fix pagination on history
	* Fix investments on multiple market accounts
	* Fix come back on synthesis
	* Handle loans caisse depargne
	* Fixing when not loan account is present
	* Better check if we are on wrong page
	* Detect and bypass useless message page
	* Fixing website failed redirecting
	* Handle delayed debit card and cleaning module
	* Browser handles technical error page (instead of code in iter_* functions)
	* Add certhash
	* Fix account valuation_diff parsing
	* Do not yield anything on market cgu
	* Guess IBAN only if this is a correct RIB
	* Fix login
	* Fix encoding error
	* Fix when there are multiple choices of spaces (between pro and personal)
	* Remove LoginPage and do only direct requests
	* Better wrong pass handling
	* Fixing can't leave credit page on old website
	* Fix navigation on history
	* Catch wrongpass
	* Life insurance might not be available for consultation
	* Adding lifeinsurance's history
	* Fix website being awful
	* Fix infinite loop on no accounts
	* Only keep relevant wrongpass (and return BrowserUnavailable for other errors)
	* Fallback on pro domain when loggin on personal fails if pro exists
	* Invest date might be unavailable
	* Better handle of real no accounts
	* Read multiple cb tabs
	* Bump to browser2
	* Fix: sometime link is a list, so fix this
	* Fix: an 'href' who takes himself for an 'a' tag
	* Fix: on cenet website, sometime a year is not available, so try every months
	* Fix: on garbage page sometime link is not available, due to an ActionNeeded
	* Fix: if garbage go_back_link is not available, skip this step
	* Remove deprecated exception, use new ones
	* Add support of advisor

	Modules: carrefourbanque
	* Manage more accounts, investments
	* Fix portfolio on some modules

	Modules: cic
	* Improve account typing
	* Update cic sources from credit mutuel
	* Support CapBankTransfer new API
	* Cic now inherits from creditmutuel
	* Adding advisor for cm/cic

	Modules: citibank
	* Fixed login after website update. (#2098)
	* Switching to javascript library
	* Switching to new base url
	* When parsing a date in a statement, try both leap and non-leap years (#2098)
	* Handle negative and positive account balance (#2098)

	Modules: cmb
	* Handling agricultor website
	* No more crash on no account
	* Bump to browser2 and more (more accounts, investments, coming...)
	* Use AbstractBrowser instead of symlinks to cmso

	Modules: cmso
	* Fix account type
	* Fix wrongpass detection
	* Don't raise BrowserUnavailable when no savings accounts
	* Don't crash when no accounts are available in pro website
	* Manage multiple areas
	* Don't crash without accounts
	* Index were not unique
	* Don't crash when no IBAN for checking account
	* Support cmmc website
	* cmb/cmso/cmmc: support loans
	* Return on subscription before switching area to prevent 500
	* Handle 500 when no history on market account
	* Have useful account ids
	* More history is now recovered
	* Add a forgotten return in iter_history
	* Getting a year of history
	* Use open instead of random async
	* Better id on market accounts
	* Fix crash when id is not found on market accounts
	* Handle multiarea on cmso pro
	* Handle no account in  area
	* Fix regexp for some account ids
	* Start fetching investments
	* Fill 'areas' attribute outside of do_login (to work with blackbox)
	* Fix investments with non investment accounts
	* cmso pro: prevent infinite loop

	Modules: colisprive
	* Add a favicon

	Modules: colissimo
	* Get full history

	Modules: cragr
	* Fix broken perimeters
	* Get rid of not required assert
	* Account type on label before section title
	* Update label and balance on market websit
	* Fix bad home url and no account link for market accounts
	* Fix when cards and market accounts
	* Do not globally crash if we can't go to the market page
	* Fix current_perimeter and no link for market
	* Fix guessing of market links (use real hostname, not proxy's one)
	* Fix investment parsing and add vdate
	* Type and history of ESPE INTEG
	* Fix cards history navigation
	* Fix PEL history
	* Fixing cragr investment
	* Fix regression with cards navigation
	* Handle pagination on cragr CardsPage
	* Fix invest parsing
	* Do not crash on cards on some weird cases
	* Raise wrongpass on cgu
	* Fix investment parsing
	* Correctly handle the first connection page
	* Fix bad detection of current perimeter
	* Truncate passwords to first six chars
	* Remove trailling chars in isin
	* Fix encoding in investment code
	* Don't try to detect perimeter on not handled page
	* Handle perimeters having the same name
	* Handling currency on multiple card
	* Truncate username to the first 11 chars
	* Add new DAV TIGERE accounts
	* Fix infinite loop on wrong pass
	* Fix cards
	* Fix transactions parsing (new column)
	* Add account CPTEXCPRO
	* Fix multiple cards accounts
	* Update ordering date in get_history, it's useless and the link might be dead.
	* Fix transactions parsing on some accounts type
	* Fix bad isin
	* Handle life insurance on bgpi website
	* Fix some lifeinsurance
	* Adding pagination on accounts page
	* Fix parsing of unitprice on some market accounts
	* Fix portfolio_share on bgpi invest
	* Fix crash when no investments in BGPI
	* Fix listing card with pagination
	* Fix get of IBAN
	* Adapt to new CapBankTransfer API
	* Don't try to read history on market accounts
	* Fix detail unavailable on market accounts
	* Fix parsing of valuation_date of market invest
	* Seems like cragr normandie is not using new login method anymore
	* Update webid of deferred card to avoid duplicates
	* Fix sublabel parsing, sometimes there's no sublabel parent

	Modules: creditcooperatif
	* Add coming card page
	* Limit password to 12 chars
	* Fix xpath issue
	* Fix crash on technical error on website
	* Add IbanPage support
	* Fix crash on notavailable iban page

	Modules: creditdunord
	* Add bank SMC support
	* Add bank nuger support
	* Fix transactions parsing on rhonealpe
	* Unify regular and pro accounts cards handling
	* Fix deferred_card typing
	* Dectection of wrongpass
	* Fix duplicate accounts
	* Skip accounts without details
	* Fix bad isin like FR0010411884
	* Handle no account
	* Move to browser2
	* Handle loans on pro website
	* In iter_* methods, raise AccountNotFound if account is not found, instead of crash
	* Fix navigation on website to list loan accounts
	* Fix parsing of transactions without value date
	* Fix parsing of euro funds
	* Add loan typing
	* Fix navigation on website to get transactions
	* Fix creditdunord transaction date parsing
	* Some dates are not available instead of a parse error

	Modules: creditmutuel
	* Fix history and investments of life insurance accounts
	* Fix life insurance
	* Fix coming for cards
	* Fix when unitprice not available
	* Set default balance value to NotAvailable
	* Handle fleet cards
	* handle page to detect new website
	* Fix date parsing for cards
	* Raise skipitem instead of parse error
	* Fix amount commission of non euro fleets transactions
	* Handle hidden parts of labels
	* Fix isin parsing
	* Adding IBAN for new website
	* Parse life insurance's transactions dates as French dates;
	* Get IBAN based id
	* Handle pagination
	* Fix crash on more transactions
	* Only use last card differed for coming
	* Support cb diff
	* Adding cards to creditmutuel's new website
	* Fix setting deleted to transactions
	* Fix parsing of differred_date
	* Don't crash on empty city field
	* Use new CapBankTransfer API
	* Fix id and IBAN of accounts on old website but displayed on new accounts page
	* Fix date parsing for coming
	* Handle real no accounts on cic
	* Fix currency on lifeinsurance accounts
	* Fix crash when there is no bank accounts
	* Fix card names and set coming balances
	* Fix multiple month of history on cb differed
	* Correctly handle lifeinsurance accounts on cic
	* Handle newhome page to detect new website
	* Fix original amount of card transactions on new website
	* Get now about 6 months of history on new website
	* Handle loan history page
	* Handle page and fix crash on history on some accounts
	* Handle another user page
	* Fix card history link
	* Fix transfer on the new website
	* Add support of creditmut pro and add transfer category
	* Fix regexp for URL of subbank
	* Fix finding account and recipient in init_transfer
	* Skip wrong IBAN instead of crash
	* Limit transfer label to 27 char instead of raising error
	* Add cards on new website with tiers page
	* Add transfer.account_balance
	* Don't crash if a transfer has no label
	* Truncate label checking
	* Strip transfer.label to compare with bank return
	* Detect ActionNeeded after login
	* Prefer None accounts_list over missing attribute
	* Skip debit card
	* Add support of life insurance on new website
	* Add advisor
	* Parse balance and currency of cards in some cases
	* Raise wrongpass with error messages

	Modules: cuisineaz
	* Update to the new website site changed

	Modules: dailymotion
	* Fix module and bump to browser2
	* Get video from page url

	Modules: delubac
	* Detect bad password
	* Add basic account types
	* Get IBAN
	* Fix transactions parsing

	Modules: dhl
	* Use dhl.com's JSON API
	* Add support for both DHL Express and Deutsche Post DHL
	* show URL in event description

	Modules: dlfp
	* Populate url attribute messages and thread objects
	* Always fill the parent attribute
	* Disable wiki tests when the backend is not configured

	Modules: dresdenwetter
	* Skip test if backend is not configured

	Modules: edf
	* Bump module to Browser 2 and fix parsing
	* Add edfpro website
	* Add a favicon
	* Always set vat attribute to to NotAvailable
	* Remove bad tests in edfpro folder
	* Ignore duplicates

	Modules: entreparticuliers
	* Fix parsing : site changed
	* Correctly handle source
	* Fix url field filling
	* Support new price_per_meter attribute of CapHousing
	* Fix bug when response is empty
	* Add a 100km default rayon value
	* Do not crash if area is unknown
	* Add a favicon

	Modules: explorimmo
	* Support new price_per_meter attribute of CapHousing
	* Fix bug in town names' encoding

	Modules: feedly
	* Update google login state
	* Remove need_login decorator for get_unread_feed

	Modules: fortuneo
	* Update certhash (#2550)
	* Detect wrong passwords
	* Fix duplicate of accounts
	* Don't try to get IBAN for checking account (token sent by SMS to customers)
	* Replace BrowserIncorrectPassword with ActionNeeded on renew password
	* Port to browser2
	* Limit max time site wants us to wait in async requests
	* Fix separators cleaning for decimals

	Modules: francetelevisions
	* Ignore duplicate in videos search result

	Modules: freemobile
	* Fix subscription listing (site changed)
	* Fix sub._login parsing
	* Fix error when two bills happen on the same day
	* Id of details are not uniques anymore, so take build a new custom one

	Modules: funmooc
	* Base url of the website has changed
	* Fix module and add logged tests

	Modules: ganassurances
	* Add pagination to ganassurances/groupama module
	* Handle history and coming of another account type

	Modules: github
	* Port to browser2
	* Shorten some long lines + fill url of Issue
	* Few fixes and tests
	* Use CacheMixin new class

	Modules: googletranslate
	* Bump to browser2

	Modules: groupamaes
	* Fix bug when there is no credit anymore on PEE / fix account typing
	* Handle investment
	* Fix groupamas amount parsing
	* Fix crash when parsing investments
	* Fix portfolio_share range
	* Improve investment management (quantities of values of each funds are divided by availibility date)
	* Fix amount of withdrawal (Sadly withdrawal are not incomes)
	* Add a label in order to detect negative amount in transactions

	Modules: happn
	* Fix issues with new kind of ids

	Modules: hsbc
	* Fix account type
	* Add more history with pagination
	* Cache accounts and fetch IBANs
	* Fix accounts typing
	* Fix rib navigation
	* Fix currency of accounts
	* Auto delete card summary
	* Handle when website duplicates tr list
	* Raise not error implemented on life insurance for history
	* Add more account types to avoid crash

	Modules: ideel
	* New way of handling free shipping (#2146)

	Modules: ilmatieteenlaitos
	* Adapted to site changes

	Modules: imdb
	* Update imdb favicon to make it more different from the allocine one

	Modules: imgur
	* Implement gallery search and CapImage
	* Add date attribute

	Modules: ina
	* Fix duration parsing

	Modules: indeed
	* Search for words in the entire advert, not only in the title
	* Indeed now uses https

	Modules: ing
	* Use CleanDecimal to simplify parsing
	* Add history for life insurance accounts
	* Fix ing 500 error on bill download
	* Fix investment on multiple line
	* Handle blank transaction label
	* Loop on coming from market website to avoid 500 errors
	* Fix missing some investments
	* Increase requests timeout to 60 seconds
	* Fix id of life insurance
	* Fix investment on life inssurence and history on all accounts
	* Fix name of Account._id field
	* Fix navigation on the new life insurance pages
	* Refresh account link
	* Quick fix navigation
	* Ahistory to some asv and more
	* Get IBANs for accounts
	* Transactions detail might be unavailable
	* Some fixes on market accounts
	* Use new CapBankTransfer API
	* Only go on IBAN page for valid account
	* Fix transfer method signature
	* Catch action needed
	* Seems like response headers of download might change
	* Don't raise ActionNeeded for a check reception notice
	* Disable CapTransfer since it's broken
	* New login for asv page
	* SSL errors due to a bad certificate, so create it manually and fix a false https
	* Avoid re-login after lifeinsurance and market pages
	* Before many operations, try to go on main website first

	Modules: inrocks
	* Bump to browser2 / inherits from genericnewspaper module

	Modules: ipinfodb
	* Bump to browser2

	Modules: itella
	* Update to use JSON API
	* Handle missing arrival date
	* Use status from JSON instead of guessing

	Modules: jcvelaux
	* Add api_key backend option
	* Fix str-unicode warnings and port to browser2

	Modules: jvmalin
	* Add a favicon

	Modules: lacentrale
	* Bump to browser2
	* Module connot handle products without criteria
	* Improve products management

	Modules: lcl
	* Remove SSL hacks (no need to RC4 anymore)
	* Add individual loans to lcl
	* Fix loans post bourse deconnection, fix loans regex
	* Fix unique id on loans lcl
	* Add certhash
	* Use valuation for BoursePage objects, not balance
	* Raise wronpass if the password is not a digit
	* Change label of transactions and yield card_summary
	* Retry read of amounts (hack to fix broken HTML)
	* Don't return 0 as account ID
	* Fix bad isin like FR0000120404 AC
	* BUMP LCL entreprise browser to bump2
	* Fix isins like FR12345435 ABC
	* Code of investments might be unavailable
	* Rework of transactions type parsing
	* Don't crash when tbody is missing on market accounts table
	* Add a new account type
	* Get more history on several account types
	* Fix matching asv accounts
	* Keep check type on labels
	* Fix life insurance matching from site to site
	* Fix lifeinsurance
	* Check if the IBAN is for the current account
	* Fix crash if there is no IBAN
	* Catch password expired
	* Fix duplicate id on lcl pro
	* Fixing transactions are in multiple account
	* Fix params of history navigation when only one account
	* Add transfer support and use new api
	* Ignore HTTP error 500 on history
	* Have a default accounts_list to be able to bypass login
	* Add transfer.account_balance
	* Fix investment unitvalue
	* Fix iter recipients on loans
	* Handle loan not available
	* Fix lcl espace pro and enterprise login
	* Adding advisor for lcl
	* Add more regexp for transaction types

	Modules: ldlc
	* Better way to get subid
	* Add a favicon

	Modules: leboncoin
	* Adapt to new website design
	* Fix incomplete url in pagination
	* Website now uses https
	* Fix description field filling
	* Support price_per_meter new attribute
	* Fix typo for poitou charentes region
	* Add url attribute on objects built from list
	* Fix cost for items in rent search page

	Modules: lefigaro
	* Bump to browser2 / inherits from genercinewspaper

	Modules: liberation
	* Bump to browser2 / inherits from genericnewspaper

	Modules: logicimmo
	* Retrieve a bigger photo
	* Do not crash when area is unknown
	* Support price_per_meter new attribute
	* Fix town search

	Modules: lutim
	* Fix tests

	Modules: mailinator
	* Port to apibrowser

	Modules: mangafox
	* Add a favicon

	Modules: mangago
	* Add a favicon

	Modules: mangareader
	* Add a favicon

	Modules: marmiton
	* Always retrieve title

	Modules: mediawiki
	* Implement CapImage for searching images
	* Use https by default
	* Fix image search

	Modules: minutes20
	* Bump to browser2 / inherits from genericnewspaper

	Modules: monster
	* Fix: site changed

	Modules: myhabit
	* Update after website has changed (#2615)

	Modules: nettokom
	* Add a favicon

	Modules: newsfeed
	* Populate url attribute for messages

	Modules: okc
	* Revert "do not remove old threads anymore" introduced in 1.1

	Modules: oney
	* Fix login
	* Verify SSL/TLS certificate again
	* Raise wrongpass when password is not 10 chars

	Modules: opensubtitles
	* Fix opensubtitles small site change

	Modules: orange
	* Fix orange module which works with sosh
	* Add label for bills
	* Support multi account and more
	* Remove old url

	Modules: ovh
	* Fix login, remove API calls (fixed several times, OVH login page often change)
	* Add a favicon

	Modules: pap
	* Remove dots from cost
	* Support new price_per_meter attribute of CapHousing
	* Update to the new website

	Modules: pariskiwi
	* Fix module and prefer json mediawiki api

	Modules: parolesmania
	* Fix song search
	* Site changed, search artist corrected
	* Adapt module to not use SongLyrics construtor anymore
	* Bump to browser2
	* Artist search: remove page calls to browser methods

	Modules: parolesmusique
	* Site changed, search song and artist corrected
	* Adapt module to not use SongLyrics construtor anymore
	* Bump to browser2
	* Artist search: remove page calls to browser methods
	* [parolesmusique] artist search : remove page calls to browser methods, browser now does what it should : browsing

	Modules: parolesnet
	* Adapt module to not use SongLyrics construtor anymore
	* Bump to browser2
	* Artist search: remove page calls to browser methods
	* Fix parolesnet, iter artist lyrics : just consider first song list to avoid ID duplication

	Modules: pastealacon
	* Fix test_spam test
	* Force site encoding, it is iso8859-15, not utf-8
	* Fix post test when backend is not configured

	Modules: paypal
	* Update account_type at the beginning of get_accounts method
	* Fix crash on old website
	* Fix parsing of converted amount
	* Add english word to skipped transactions
	* Fix part converted amount for some transactions
	* Bypass new anti-parsing protection of the website
	* Support multiple accounts with different currencies
	* Get data-ads-challenge-url attribute (anti-scrapping protection again)
	* Catch 500 on detail and skip transaction
	* Fix detection of account currency in weird case
	* Consider that tr is valid if transactionStatus not present
	* Fix currency detection
	* Better detection of currency
	* No crash on securisation step
	* Fix domain of detail navigation
	* Fix transactions detail link
	* Fix parsing of converted amount
	* Fix crash on transaction conversion
	* Skip transactions labeled 'Bill to'
	* Display a warning when a currency is not found and ignore account
	* Fix account_type detection
	* Handle more home page to detect account type
	* Fix paypal payback
	* Handle more login page
	* Add home page paypal
	* Skip fake transactions
	* Handle another wrongpass page
	* Exclude draft transactions
	* Account detection on accountPage too
	* Fix value seperator detection on perso accounts
	* New fixes for login issues
	* Raise unicode message in BrowserIncorrectPassword exception
	* Use json data for transactions parsing
	* Pagination and some improvements
	* Problems with amount and decimals
	* Skip empty transactions
	* Set Iban as NotAvailable for all Paypal accounts
	* Handle english transactionStatus
	* Skip broken transactions
	* Exclude fake transactions (for english website)
	* Skip suspended transactions
	* Handle textual amount is integer
	* Exclude fake transactions
	* On old website, try to go on the new one
	* Skip 'Annulation des frais de PayPal' transactions
	* Paypal commission are now net minus gross
	* Detect ActionNeeded
	* Computation commision if it is not null
	* Add one more login parameter
	* Parse secondary transaction based on label

	Modules: piratebay
	* Ported to browser2
	* Handle fuzzy dates

	Modules: poivy
	* Add a favicon

	Modules: popolemploi
	* Fix search: site changed

	Modules: presseurop
	* Bump to browser2 / inherits from genericnewspaper

	Modules: prixcarburants
	* Bump to browser2 / handle date of update
	* Fix parsing date (#2606)
	* Adapt module for new comparoob API
	* Website behaviour changed (#2634)
	* Set default configuration for tests
	* Update url to new website

	Modules: radiofrance
	* Fix: all websites are updated
	* Fix franceinter
	* Fix france culture podcasts
	* Handle selections and podcast from francetvinfo

	Modules: regionsjob
	* Handle case advert is coming from another website
	* Add a place filter

	Modules: residentadvisor
	* Add a favicon

	Modules: s2e
	* Fetch history on the right account
	* Remove id on transactions: it's not really an id
	* Fix capeasi login page and condition on fetching transactions
	* Using website with more details
	* Fix transactions investments valuation parsing
	* Fix parsing of accounts and history pages
	* Add currency support, add new account types
	* Don't crash when the customer has no account
	* Catch another real no accounts
	* Handle multientreprise
	* Fix transaction amount sum
	* Add new SWISS account type
	* Handle maintenance page
	* Add new hashes for virtual keyboard
	* Detect more no accounts
	* Handling weird wrongpass
	* Add a favicon
	* Add AMF code to investments

	Modules: seloger
	* Fix xpath for looking into cities
	* Retrieve all cities
	* Fix typo for photos
	* Do not crash if area is unknown
	* Add support of new price_per_meter field for CapHousing
	* Fix pagination

	Modules: senscritique
	* Fix: site got updated
	* Fix: json url changed
	* Fix parsing date

	Modules: societegenerale
	* Add cookie before login
	* Fix account type
	* Handling some wrongpass
	* Bump SGPE browser to browser2
	* Add rdate to lifeinsurance for the sake of sorting
	* Do not yield canceled transactions
	* Raise wrongpass instead of crash for non-digit passwords
	* Handling multispace on sogepro
	* New soge entreprise browser
	* Add new type for transaction
	* Add deffered card detection
	* Website limit login to 8 char
	* History pagination
	* Catch login forbidden
	* Fix xpath on invest
	* Handle the two different parsing cases on invest
	* Catch wrongpass
	* Investments are now more detailed
	* Add advisor
	* Switch to browser2
	* Fix pagination in life insurance history and use Form class
	* Add transfer support
	* Fix ix account id being different in sending panel and list
	* Handle renew password and raise ActionNeeded

	Modules: sueurdemetal
	* Fix fillobj method

	Modules: t411
	* Site url changed
	* Get get_torrent_file() to work
	* Add tests

	Modules: taz
	* Bump to browser2 / inherits from genericnewspaper

	Modules: transilien
	* Fix: site changed

	Modules: twitter
	* Fix: site changed

	Modules: ups
	* Use https

	Modules: vicsec
	* Website got updated (#2177)
	* Case fix (#2134)

	Modules: vicseccard
	* Website updated (#2134)

	Modules: vimeo
	* datePublished attribute was renamed to uploadDate
	* Handle JSON format changes
	* Fix categories videos in order to use API

	Modules: virginradio
	* Correct a bug occuring when the StreamTitle is empty

	Modules: wellsfargo
	* Handle webpages with no transaction activity (#2123)
	* Try to get a statement multiple times (#2123)
	* Handle SMS security code, leap and non-leap years (#2618)

	Modules: wordreference
	* Fix module for new website
	* Update tests

	Modules: yahoo
	* Bump to browser2

	Modules: youjizz
	* Fix parsing of video urls
	* Support mp4 videos
	* Use now https, but not for all videos (sometimes not available with https)

	Modules: youtube
	* Use googleapi module instead of gdata which is obsolete


Weboob 1.1 (2016-02-11)

	General
	* Last release with python 2.6 support
	* New CapShop capability (#1662)
	* New shopoob application
	* Add new 'weboob' script to find applications
	* New APIBrowser class
	* Add a contrib script to help forking weboob
	* New WEBOOB_DATADIR environment variable

	General: removed modules
	* Removed grooveshark module: website is closed
	* remove module hellobank, use bnporc instead

	General: new modules
	* New Amazon Store Card banking module (CapBank) (#1698)
	* New bforbank module https://www.bforbank.com (CapBank)
	* New kiwibank module https://www.kiwibank.co.nz (CapBank)
	* New s2e (Employee Savings Plans) Support for Esalia, Capeasi, "BNP
	  Paribas epargne & Retraite Entreprises" and "HSBC Epargne et Retraite en
	  Entreprise" (CapBank)
	* New Victoria's Secret store credit card module (CapBank) (#1732)
	* New agendaculturel module http://www.agendaculturel.fr (CapCalendar)
	* New residentadvisor module https://www.residentadvisor.net (CapCalendar)
	* New happn module https://www.happn.com (CapDating)
	* New freegeoip module https://freegeoip.net (CapGeolocIp)
	* New ipapi module http://ip-api.com (CapGeolocIp)
	* New entreparticuliers module http://www.entreparticuliers.com (CapHousing)
	* New explorimmmo module http://www.explorimmo.com (CapHousing)
	* New logicimmo module http://www.logic-immo.com (CapHousing)
	* New virginradio module http://www.virginradio.fr (CapRadio)
	* New Ideel module http://www.ideel.com (CapShop) (#1733)
	* New MyHabit module https://www.myhabit.com (CapShop) (#1734)
	* New Victoria's Secret module https://www.victoriassecret.com (CapShop) (#1731)
	* New blablacar module https://www.blablacar.fr (CapTravel)
	* New dhl module http://nolp.dhl.de (CapParcel)
	* New dpd module https://tracking.dpd.de (CapParcel)
	* New gls module https://gls-group.eu (CapParcel)
	* New itella module http://www.itella.fi (CapParcel)
	* New funmooc module https://www.france-universite-numerique-mooc.fr (CapVideo)
	* New rmll module http://video.rmll.info (CapVideo)
	* New vine module https://vine.co (CapVideo)
	* New ilmatieteenlaitos module http://ilmatieteenlaitos.fi (CapWeather)
	* New ldlc module https://secure.ldlc.com and https://secure.ldlc-pro.com (CapBill)
	* New t411 module https://www.t411.in (CapTorrent)

	Core
	* Repositories update: display a message when all modules are up-to-date
	* Log full backtrace on module build error
	* Update windows installation (#1668)
	* Better detection of gpgv.exe location
	* Fix issues when using NamedTemporaryFile on windows
	* Add a datadir option, handle WEBOOB_DATADIR
	* Use gpg by default rather than gpgv for signature verification
	* Create empty temporary GPG homedir
	* Exclude backend using instance_name instead of module_name
	* Try to be consistent in variable name between backends and modules
	* Convert StopIteration for PEP 479

	Doc
	* Account() constructor does not take an id
	* Fix symlink creation in setup.rst
	* Use browser2 in module documentation
	* Add few docstrings in core and browser

	Filters
	* Add Eval filter, for arithmetic expressions
	* Add Slugify filter
	* Add a JSValue filter to look for literals
	* Add Decode filter, to decore urlencoded strings
	* CleanText: add Unicode normalization
	* Regexp: nth param can now be '*' to find all
	* Attr: fix error message
	* CleanText: fix paramter name "children"
	* DateTime: handle TypeError exception raised by parse_date
	* Duration: correct '_regexp' attribut name
	* Dict: several improvements
	* Join: improve it to work like join command
	* Join: add ,ewMone, addBefpre, addAfter parameters
	* Async: if AsyncLoad parameter is None, do not try to open it
	* CleanDecimal: convert INT, float and long (and not only str)
	* Attr: fix an error message
	* Dict: handle TypeError in parsing
	* Time: Update regexp to catch more values

	Browser
	* Add comments on Form class
	* New unit tests
	* New api for content, encoding, and document building
	* Add ChecksumPage class
	* Cleaner way to get rid of BOM for CsvPage
	* Fix wrong encoding detection logic
	* Detect XML encoding
	* Enable passing the path to a CA file to Browser.VERIFY
	* Add an asset method to get absolute path of module local files
	* Browser.VERIFY can now be a module local file
	* Fix compatibility with python 2.6 in HTMLPage (#1651)
	* TableElement: fix count columns when there is an attribute "colspan"
	* Do not display urllib3 warning if there is no TLS certificate verification
	* Add an IPhone profile
	* Add a GoogleBot profile
	* Add method Browser.set_profile
	* DomainBrowser: ability to give the baseurl in constructor
	* Add LoginBrowser.do_logout() method
	* Handle "Refresh" meta tag in HTMLPage, with a REFRESH_MAX option
	* Add an absurl method to Page
	* Fix crash when using HEAD on a page-matching URL
	* Add BrowserQuestion exception (ask user to change config when raised)
	* Add 'replace' xpatch function in HTMLPage
	* Introduce new DictElement class
	* Add some JSON helpers
	* Strip data on CsvPage
	* Better control of HTTP referrer
	* Allow changing the Session class
	* Pass async/sync callbacks in the same way
	* Bump Firefox version to next ESR (38)
	* Fix documentation: use HTMLPage instead of Page
	* Add StatesMixin class to store state of a browser
	* Change worker pool size after session init
	* Allow to force method in URL.go (pass argument to location())
	* Support using id in HTMLPage.get_form()
	* Rename async parameter to is_async

	Old Browser
	* Do not use PROTOCOL_SSLv3 as it is deprecated, use bad named
	  PROTOCOL_SSLv23 instead
	* Add BaseBrowser.get_page method (don't change the location)
	* Add a StateBrowser to store cookies in storage
	* CSVParser: catch exceptions
	* Disable lowsslcheck if there is a proxy, as ssl doesn't deal with it

	Capabilities
	* Add the possibility to define Field type argument as a string
	* Create enum. Use it in calendar and housing (code factorization)
	* Add a way to instantiate an object from a dict of its fields values
	* Add russian ruble and XOF currencies
	* Add SGD, BRL, JPY and MXN in currencies

	Capabilities: Audio
	* Move specific audio filters from capabilities/audio.py to tools/capabilities/audio/audio.py
	* Add specific filters to create audio objects id
	* Do not require an id in constructors

	Capabilities: Bank
	* Fix StatusField to be a BaseObject
	* Change quantity type to decimal number
	* Better explanation for Investment class
	* Introduce new type Account.TYPE_LIKE_INSURANCE
	* Add credit limit, payment due date and amount for credit card bank
	  accounts (#1717)
	* Add IBAN properties
	* Add card number and commission in Transaction
	* Add original_amount and original_currency in Transaction
	* Add country in Transaction
	* Add Transaction.investments and Investment.vdate attributes
	* Add Account.valuation_diff attribute
	* Add Account.number attribute

	Capabilities: Bill
	* Inherits Detail and Bill from Currency
	* Remove Bill.idparent attribute
	* Add Bill.vat attribute

	Capabilities: Calendar
	* Add timezone parameter to calendar event in order order do get the good date/hours in ical exports
	* Add a field 'summary' to Query object
	* Add ticket status in BaseCalendarEvent
	* Add a ticket field to Query
	* Add BaseCalendarEvent.timezone attribute
	* Add new categories

	Capabilities: Cinema
	* A person may have now several roles in a movie

	Capabilities: Collection
	* Do not require an params in constructor

	Capabilities: Contact
	* Set default value of Contact.profile to OrderedDict()

	Capabilities: Dating
	* Fix API to store optimization name in object ID

	Capabilities: Gallery
	* Correct method name: s/search_gallery/search_galleries/

	Capabilities: GeolocIp
	* Add osmlink field

	Capabilities: Housing
	* Support new type SHARING

	Capabilities: Messages
	* Remove _Message and _Thread and use strings in Field instead

	Capabilities: Recipe
	* Do not force to use id in object constructor

	Capabilities: Torrent
	* Remove name mandatory parameter in constructor

	Capabilities: Thumbnail
	* Thumbnail now inherits of _BaseImage

	Capabilities: Weather
	* Do not require an id in constructor
	* Fix default value for date
	* Cosmetics in temperature formatting

	Applications
	* Backport check_output function for python 2.6
	* Remove wconio dependency on win32 platform
	* Allow ResultsCondition to compare timedelta
	* Encode properly output in console.py (#1673)
	* Fix BrowserSSLError catch in ConsoleApplication (#1702)
	* Handle attribute error when stdout does not habe encoding attribute
	* If backend name is already taken, suggest the first available one with
	  the same base
	* Formatters: use weboob.tools.misc.guess_encoding instead of utf-8
	* Formatters: manage tty colummns while displaying text
	* Use os.devnull and binary flag for windows compatibility

	Applications: REPL
	* Fix a crash when ReplApplication.do() is called with a function
	* Create a message for 403 errors

	Applications: boobank
	* Format: ISIN is a 12 letter word
	* Format integer for quantity
	* Sometines the full code is not available. Display description instead
	* Add a command 'Budgea' to export accounts and transactions
	* Fix investment display when some fields are empty
	* Identify credit card for each transaction in OFX export

	Applications: boobill
	* Use do_ls to cache objects in REPL
	* Add binary mode for writing. Fix file downloading on windows

	Applications: boobcoming
	* Fix crash without end_date (#1667)
	* Add search by summary
	* Print ticket status
	* Add search by ticket status
	* Handle error correctly in do_attends
	* Add a load command
	* Improve ical export (end lines with '\r\n', as RFC says)
	* Add timezone in ical export
	* Display price as float
	* Improve date display
	* Do not crash during export of an unknown event

	Applications: cineoob
	* Give roles informations in persons_in_common and movies_in_common
	* Support several roles in the same movie for an actor
	* Movies in common are now sorted by release year
	* Fix problem with stream parameter in request.get in python-requests v2.5
	  (#1683)

	Applications: flatboob
	* Display backend in city choice

	Applications: geolooc
	* Fill OpenStreetMap link

	Applications: havedate
	* Store optimization name in object ID

	Applications: parceloob
	* Clean cached objects before getting new ones

	Applications: qcineoob
	* Add 'view' and 'view in new tab' buttons for all search results
	* Add 'view thumbnail' for movie and person search results
	* Factorisation of events in search results
	* Persons in common implemented in movie page
	* Movies in common implemented in person page
	* Support several roles in the same movie for an actor
	* Better display of search results, spaces added
	* Increase biography field size
	* Movies in common are now sorted by release year
	* Better user input validation for same-person movies in common

	Applications: qcookboob
	* Implement tab navigation (#1290)
	* Fix bug when thumbnail_url is empty

	Applications: radioob
	* Can now download full album
	* Add file in search subcommand

	Applications: videoob
	* Fix the problem with streamed calls on requests (#1683)
	* Display download subcommand in debug mode

	Applications: weboorrent
	* Fix formatter for info command

	Applications: weboob-config
	* Improve info command to allow json formatting
	* Put all config details in a dictionnary
	* Format capabilities as JSON array
	* Add installation status in modules subcommand
	* Prompt user to accept an untrusted keyring (#771)
	* Add module_name param in add_backend to allow command line interaction
	* Update help of "add" command

	Tools
	* Move guess_encoding into weboob.tools.misc
	* Add a Javascript class
	* Avoid crash on UnicodeDecodeError with retry decorator

	Tools: bash-completion
	* Hide error (#1671)

	Tools: date
	* Supporting french month abbreviation without dot
	* Extend date_max_bump default value to 31 days in LinearDateGuesser and
	  ChaoticDateGuesser
	* Add some french translation
	* Parse french date with DMY order by default

	Tools: virtkeyboard
	* Fix not logical arguments order
	* Dump of tiles: save full image too
	* Allow to receive a list in get_symbol_code() method
	* Support pollution in coords attributes

	Contrib
	* Add a gtk appindicator for boobank
	* Remove bashisms in report_accounts.sh
	* weboob-generic: fix object listing when tomonitore is not set

	Contrib: downloadboob
	* Print link message only when needed
	* Fix new file detection
	* Support download of m3u8 files
	* Allow passing config and section filter on command line
	* Replace call to 'fill_video' by 'fillobj'

	Modules: 750g
	* 750g is now working using browser2 (#1706)
	* Fix: Only select the first thumbnail image
	* Fix: Site changed
	* Improve instructions parsing

	Modules: adecco
	* Bump to browser2

	Modules: agendadulibre
	* Add missing favicons
	* Adapt for timezone support
	* Do not crash when json included in webpage is not valid
	* Correctly retrieve start and end date

	Modules: allocine
	* Remove excessive quote_plus call on pattern to make multi-word search work again
	* Adapt for more informations in persons_in_common and movies_in_common
	* Fix: accents were causing problems in search
	* Handle videos from allocine
	* Handles showtimelist in allocine
	* Fix: bug while playing videos from external url
	* Fix: syntax error on allocine
	* Adapt for timezone support
	* Max rallocine rate is 5
	* Fix unicode warning

	Modules: allrecipes
	* Adapt to new version of website
	* bump to browser2

	Modules: amazon
	* Skip "In transit" orders. (#1684)
	* New discount: "Lightning Deal" (#1684)
	* Generate payment transaction if there aren't any (#1684)
	* Order charges xpath fix (#1684)
	* Amazon module: skip 'Not yet shipped' orders (#1699)
	* Amazon module is updated according to the website change (#1715)
	* Skip "On the way" orders at Amazon (#1716)
	* Support new version of Amazon order details header (#1721)
	* Retry Amazon requests after ReadTimeout exception
	* handle Timeout exception as ReadTimeout has been introduced in recent versions of requests
	* Add French Support and Shopoob compatibilities
	* Add french translations
	* Retry ConnectionError as well (#1742)
	* pep8 fixes
	* Support for a new payment layout and priceless items (#1764)
	* Scrape the updated website (#1808)
	* Update after site changes
	* New status to ignore
	* More shippings and discounts (#1853)
	* Retry getting an order page (#1876)
	* amazon bills
	* Fix: work with iter_resource, and use ISO currency codes instead of symbols

	Modules: ameli
	* Update after sites changes, and upgrade to new browser
	* Handle authentication errors
	* PaymentDetailsPage: use a simpler URL
	* Site was updated
	* details isn't implemented: remove dummy code
	* ameli: prevents crashes when no bills are available

	Modules: amelipro
	* Update after sites changes, and upgrade to new browser
	* Fix decimal bug

	Modules: americanexpress
	* Handling no amount on account
	* Add default date to beginning_debit_date
	* Handle new americanexpress site but only if there is only one card
	* Increase timedelta to guess real date
	* Handle US account
	* Amex is dumber and dumber ( increase time delta because amex have hard time to put the date in a good interval)
	* Fix parsing of rdate
	* Fixing card type
	* Removing useless id

	Modules: apec
	* Use https instead of http
	* Adapt to the new version of the website and use browser2

	Modules: arretsurimages
	* Fix: get videos titles in h1 (#1447)
	* Fix: correctly implement search and add a test (#1691)

	Modules: arte
	* Fix bug id was not well filled in info command and title was not filled
	* Adapt to browser2
	* Fix display bug during newly install
	* Default value must be key, not label
	* Fix bug when urls are not found
	* Fix bug when date is not available
	* Handle special characters in search
	* Fix arte concert (a fields has been removed fron json)
	* Handle special cases in json parsing
	* Do not raise 404 error while searching a video using an other site url
	* Fix program menu management
	* Fill id using a better value for arte cinema

	Modules: audioaddict
	* Fix description data removal from audioaddict API
	* Rename SKY FM to Radio Tunes
	* Add Fresca Radio

	Modules: aum
	* Search query string: replace %(lat)s and %(lng)s with position in my profile
	* Fix parsing of geo position

	Modules: axabanque
	* New login pages on axabanques (#1709, #1711)
	* account.id is now only paramNumCompte if there is not paramNumContrat
	* Handle expired password
	* Handling banned account
	* Do not try to recover transaction from DAT account
	* axabanque fix duplicate accounts id
	* Handling duplicate id for account using Jsp Id
	* Stop parsing history of investment accounts
	* Fixing random number formating
	* Add error page

	Modules: banqueaccord
	* Fix inconsistent history on loan accounts if there is no init date
	* Labels of login fields changed

	Modules: banquepopulaire
	* Support new authentication on some region websites
	* Fix login on new website (needs upper case login)
	* Fix crash for new cards with no debited history
	* Break the new protection
	* Support full list of accounts (#1360)
	* Fix crash in a particular case of navigation
	* Supporting new account page
	* Parsing last connection date correctly
	* Fix navigation when passable unavailable page is displayed before login
	* Support case where user may accept TERMS_OF_USE
	* No history if account has no prev_balance
	* Apply alsace and lorrainechampagne fusion in bpalc in banquepopulaire module
	* Add Investment accounts
	* Correctly return an iterator even if this isn't an investment account
	* Fix crash on empty field banquepopulaire investment
	* Add life insurance investment
	* Skip message pages to get_investment on banquepopulaire
	* Fix a crash on iter_accounts after an investment on banquepopulaire
	* Remove stored 'token' attribute from browser and fix navigation on banquepopulaire website
	* Correctly get token only when available
	* Handle error page to avoid global crashes
	* Fix to get token
	* Adding support for IBAN
	* Fix getting tokens on some pages
	* Attempt to fix cgu validation
	* Adding loan
	* Add unavailable page
	* Fixing useless id
	* Ignore \0 bytes in documents

	Modules: barclays
	* Add AssurancePage on which we don't support get_history
	* Fix barclays navigation
	* Handle suspended accounts
	* Fix bug when card is first account
	* Support more account types
	* Sorting transaction before returning
	* Fixing page payement to foreign currency
	* Remove print
	* Remove bad transactions ids

	Modules: biplan
	* Site changed
	* Detect invalid events
	* Do not crash when no time can be found
	* Add timezone / fix encoding and hours detection
	* Fix parsing error on start date

	Modules: bnporc
	* Fix to get transactions when they are ordered by type
	* Get IBAN of accounts
	* Do not try to get IBAN for delegated accounts
	* Add investments to bnporc module
	* Handle corner case
	* Move old code for old site in a new folder
	* Add support for new bnp site
	* Move new browser into pp/
	* Parse transaction labels, and fix account's coming
	* bnp history not supported on life insurance
	* Investment not implemented for entreprise browser
	* bnp investment fix
	* Handle error message after login
	* bnp type life insurance on capitalisation accounts
	* Do not get investments from PEA EspÃ¨ces
	* Handling account without history
	* bnp history always return an iterator
	* New bnp entreprise certhash
	* Switch to new website and several fixes
	* Correctly set IDs
	* Raise BrowserIncorrectPassword when user should use hellobank instead
	* Raise IncorrectPassword after 100 connections
	* WIP on new company bnp website
	* Adapt module to use Browser2
	* Add company browser
	* Fall back on old website for pro accounts
	* Add iban field for company accounts
	* New certificate
	* Fix compatibility with python2.6
	* Fix concerning banqueprivee subdomain
	* Handle website unavailable for history
	* Better handle of expired password
	* rename pp folder to ppold
	* Fix PEP8 E713
	* Support lifeinsurances on new website
	* Add authentification error code
	* Skip transaction without date
	* Adding support iban for some pro account
	* Automatically update password to the same one when the 100 connections threshold is reached
	* Type more accounts to get history and transactions investments on those
	* Revert fall back on oldwebsite for pro accounts
	* Add a page to renew password
	* Support checking type
	* Adding loan for crédit immobilier
	* Calculate IBAN key if messing
	* Add Hellobank support
	* Use shorter id
	* Revert "[bnporc] use shorter id"
	* Handle investment and history on market accounts
	* Fix crash if bnp throws 500 HTTP status code
	* New connection threshold page url for hellobank
	* Valution_diff on market accounts
	* Add number to iter_accounts
	* Fixing bad id for coming transaction
	* Prevent us from crashing when bnp crashes

	Modules: boursorama
	* Add investment
	* Support market investments
	* Fix duplicate entry on card account
	* Cleaner way to iterate
	* Better explanation for Investment class
	* Fix website changes (virtual keyboard, accounts list) (#1696)
	* Ignore moneycenter accounts
	* Minor fix
	* Introduce new type Account.TYPE_LIKE_INSURANCE
	* Use two_authentication with BrowserToBeContinued instead of raw_input
	* Use StateBrowser, s/BrowserToBeContinued/BrowserQuestion/ and coding style fixes
	* Remove text after card number if any
	* Raising incorrecte password when profil is incomplete
	* Fix CC history for boursorama
	* Update hash of boursorama's certificate
	* Fix duplicate accounts
	* bourso new investment page and fix parsing
	* Fix crash when there is more data in the cell
	* Fix PEP8 E713
	* Fix parsing of unit price
	* Fix investment link parsing
	* Ignore immediate debit cards
	* Investments on lifeinsurance transactions
	* Fix pagination of lifeinsurance history
	* Ignore promotional fake accounts
	* Fix parsing some special market accounts
	* Valuation diff on lifeinsurance accounts
	* Fixing bad id transactions
	* Do not use useless id
	* Fixing false id in transactions
	* Fix parsing of investment label
	* Fall back on old website if we are on the new one

	Modules: bouygues
	* Rewrite backend using browser2 (#1970 and #1978)
	* Add support for bill on bouygues
	* Avoid useless login
	* Handle website modifications
	* Home page uses https (#2510)

	Modules: bp
	* Support professional accounts
	* Update upstream certificate hash (#1702)
	* Handling when website have an error
	* Fix parsing of virtual keyboard url
	* Add a page to pro website
	* Catch a no online banking service at login
	* Set type of accounts on professional accounts
	* Identify credit card for each transaction
	* Update to new certificate
	* Adding IBAN support for banque postal pro
	* Add a regexp on withdrawal labels
	* Parse IBAN for personal accounts
	* Do not crash if there is no IBAN for an account
	* Iban in unicode
	* Fix for newer pdfminer versions
	* Fixing bad account type on pro  website
	* Sorting transactions before returning them
	* Fix for new API
	* Only call initialize if needed
	* Fix get_pages usage for new API
	* Fix newapi import
	* Fixing fake id for transactions
	* Fixing pdf parse with new api
	* Fixing no RIB

	Modules: bred
	* Support new website of bred
	* Fix compatibility with Decimal of python2.6 (#1685)
	* The 'categorie' key isn't always in json
	* Detection of disabled accounts
	* Correctly strip currency code
	* Correctly deal with cookies storage
	* Add type Account.TYPE_DEPOSIT
	* Catch technical error at login
	* Fix duplicates accounts
	* Fix PEP8 E713
	* Get IBAN on accounts
	* Dd certash
	* Handle multiple universes
	* Oops fix mistake

	Modules: caissedepargne
	* Fix getting card accounts on old website
	* Set type on card transactions
	* Support Banque BCP which uses same website than caissedepargne
	* Do not force TLSv1 anymore as in some cases it doesn't work
	* Investment on lifeinsurance and market account
	* Add balance on NUANCE
	* Fix IndexError related to investment feature
	* Handling website error for market place
	* Fixing index error when checking if we are on error page
	* Fix BrowserUnavailable when browser is on market pages
	* Iban on cassedepargne accounts
	* Add new certhash
	* Ignoring CB transaction aggregation
	* Try to type more accounts
	* Adding support for saving type
	* Prevent crash on market
	* Get more investments
	* Valuation_diff on market accounts
	* Fix crash if there are several market accounts
	* Fix not authorized to read market accounts
	* Fix accounts parsing on banquedelareunion
	* Adding compte titre type
	* Fixing leaving investment space

	Modules: canalplus
	* Correctly fix the problem with streamed calls on requests (#1683)

	Modules: carrefourbanque
	* Fix accounts parsing
	* Fix 404 on history and now support "compte livret"
	* Fix when account balance is negative

	Modules: cci
	* Update for Join filter changes
	* Site changes

	Modules: chronopost
	* Status guessing

	Modules: cic
	* Handle new certificate
	* Supporting mouvements.html and situation_financiere.html
	* Fix list index out of range on iter_accounts
	* Rewrite module to browser2 (based on creditmutuel)
	* Cic can have letter in login
	* Add IBAN on cic
	* Fixing cic account with "Contre-valeur"

	Modules: citelis
	* Certificate hash change

	Modules: citibank
	* Do not wait for transactions if there's none. (#1661)
	* Credit limit, payment due date and amount for Citibank. (#1719)
	* Use V8 for login (#1743)
	* Relogin when the website returns garbage instead of a PDF. (#1820)
	* Site was updated. Closes (#1820)
	* Parse thousands correctly in the statements. (#1984)
	* Backport check_output for 2.6

	Modules: cmb
	* Fix detection of authentication fail
	* Add deposit type in CMB module
	* Fixing when login is obsolete
	* Fixing cmb with some pro module
	* Quick fix for multiple space.

	Modules: cmso
	* Add pro browser to cmso bank module
	* Correctly raise instance of BrowserIncorrectPassword
	* Correctly handle 500 error during login
	* Fix parsing of market accounts and factorization of the Transaction class
	* Fix website changes on auth page
	* Go to subscription page before get accounts for some users
	* Use a local instance of LinearDateGuesser instead of global one
	* Support pagination of transactions
	* Fix: coma are used as decimal separators
	* Correctly handle expired sessions
	* Fixing duplicate entry
	* Handle double site type on the pro side
	* Clean + blackbox compatibility on cmso pro

	Modules: colisprive
	* Rewrite for browser2
	* Fix history parsing

	Modules: cragr
	* Fix parsing of labels with new crÃ©dit agricole website
	* Fix parsing of raw transaction text
	* Handle useless pages to prevent being redirected to mobile version
	* Get IBAN on accounts
	* Detect connection errors
	* Add new labels to market type
	* Fix account list parsing, skip irrelevant account
	* Fix getting history for card accounts
	* Fix import of Account
	* Add tdbgestion page
	* The type of PEL accounts is now SAVINGS instead of MARKET.
	* Refactor
	* Support life insurance accounts
	* Handle sessionSAG parameter
	* Support market accounts
	* Handling bad investement parsing
	* Handling bad value for investement
	* Fix parsing on cragr investment
	* Fix av investment parsing
	* Do not return NotAvailable if value == 0.0
	* Support loan accounts
	* Fix double clean of investment amounts
	* Add account types
	* DAV PEA is a checking account
	* Handle new login navigation on some sub websites
	* Fix incorrect password on new login
	* Add page to fix login access
	* Fixing categorization
	* Cragr perimeters
	* Adding new saving account name
	* Fix infinite loop when a crash occurs on perimters
	* Fix when some perimeters are crashing
	* Fix broken perimeters
	* Fix in case of CGU poping when changing perimeters
	* Fix card accounts balance parsing
	* Fix mistake

	Modules: creditcooperatif
	* Update regexp to support SEPA transfers
	* Fix exception in some cases
	* Fix regexp for external transfer
	* Handle investment
	* Correctly return an iterator even if this isn't an investment account
	* Add attribute _inv to pro accounts

	Modules: creditdunord
	* Handle the case when the creditdunord CB label is "OPERATION SUR CARTE" (#1712)
	* Remove spaces from IDs
	* Handling account with no history
	* Handling no details for this account
	* Fix crash on accounts which doesn't support history
	* Handle duplicate accounts
	* courtois: we now skip transactions without date even on pro accounts
	* Fixing wrong id when no details for an account
	* Trying to avoid duplicate accounts
	* Fix courtois we now always return iter for investment
	* Handle IBAN
	* Fix auth fail url
	* Add VirtualKeybord auth
	* Change lifeinsurance accounts type
	* Removing false id for transactions
	* Fix life insurance accounts and add valuation_diff
	* Raise BrowserIncorrectPassword is password isn't digits
	* Fixing history for account
	* Fixing pro account
	* Fix assert for password
	* Avoids infinite loop in case of fail login

	Modules: creditmutuel
	* Handle new useless pages
	* Updat transfer method
	* Save and load state of browser into storage
	* Handle refresh on empty page
	* Handling already logged
	* Handling html page
	* /cmmabn/fr/ is a valid login page
	* If do_login() is called, force go on the login page
	* Handle refresh on LoginPage too
	* Handle disconnection
	* Fix accounts parsing
	* Fix parsing of 'soft' parts of account names
	* Fix parsing of balances if accounts page has been configured by user to display balance in several currencies
	* Clear cookies before to login
	* Better form detection
	* Increase timeout
	* Clean transactions label
	* Parse contactless payments ("PSC") transactions
	* Handling orignal currency
	* Using TableCell to handle dynamic transaction list
	* Ignore ELEVE CARTE line
	* Add account types patterns
	* Add type pattern for young accounts
	* Investment for market accounts
	* Fix crash when trying to find reale amount of market accounts
	* Fix portefeuille account parsing
	* Add IBAN on creditmutuel accounts
	* Fix parsing market accounts
	* Fix parsing of unitprice
	* Fix skipping market summary fake account
	* Fix parsing valuation of a market account
	* get more iban
	* Fix parsing isin codes in special cases
	* Handle new website
	* Redirect page added
	* Fix label
	* Fix parsing label of accounts on old websites
	* Fix wrong valuation on market accounts if several are present
	* Valuation_diff on market accounts and new balance for PEA
	* Account typing
	* Fix blackbox compatibility
	* Fetch more transactions
	* Fix detection if transactions are coming or not
	* Fix when last_debit is None
	* New accounts type
	* Life insurance on old website
	* Fill the rdate field on life insurances history

	Modules: cuisineaz
	* Site changed / rewritten using browser 2

	Modules: dailymotion
	* Fix dailymotion "search" return bug message
	* Fix to get video url

	Modules: delubac
	* Rewrite module with browser2 on new website
	* Handle accounts and transactions
	* Website require a digit password

	Modules: ovh
	* Adding bill for ovh

	Modules: edf
	* Correctly set amount and currency on bills

	Modules: ehentai
	* original_title does not exist anymore
	* There is no more description available
	* Update cardinality field name
	* Use Thumbnail object

	Modules: feedly
	* Favicon transparency and remove JPEG artifacts
	* Use new DictElement object
	* Improve tests
	* Iimprove login management
	* Fix login
	* Do not crash when there is no title in article

	Modules: fortuneo
	* Detection of accounts type
	* Support investments detail
	* Add page to browser: pea account type
	* Introduce new type Account.TYPE_LIKE_INSURANCE
	* Update changed certificate
	* Fix fortuneo module now support "compte especes"
	* Fix support of PEA accounts
	* Fixing empty performance
	* Fixing 2nd detail line who was considered like investment
	* Fixing bad int values on investment
	* Fetch history of life insurances
	* compte-espaces is a AccountHistory page
	* Correctly set type of market accounts
	* Fix savings account type
	* Fixing closed life insurance account on fortuneo
	* Raise IncorrectPassword when there is new id
	* Throwing error when an sms is required to access information
	* Switching error to browser incorrect password
	* Fixing listing account
	* Fix crash when parsing accounts without balance
	* Fix navigation
	* Support deferred debit cards
	* Set type of card transactions
	* Fix new pass required detection

	Modules: francetelevisions
	* Fix "search" always return empty list
	* Correctly fix the problem with streamed calls on requests (#1683)
	* Remove "latest" feature
	* Fix pluzz's search (1700)
	* Add option to get video from an url
	* Handle lastest replay videos
	* Fix bug search date in bad balise
	* Fix bug: we can only search one time
	* Use new DictElement object
	* Fix: site changed (#1855)
	* Fix: site changed again (#1868)
	* Update tests
	* Fix bug while getting video from some url
	* Fix error when video url is none
	* Handle url from francetvinfo website

	Modules: freemobile
	* Correctly handle wrong credentials
	* Fix parsing of bills urls
	* Force UTF-8 encoding with the standard mechanism
	* Enable bills filtering for multi-account
	* Fix subscription date parsing for multi-account
	* Fix forfait name parsing for multi-account

	Modules: ganassurances
	* Rewrite ganassurance with browser2 and fix auth and history
	* Add missing date column title for cards history
	* Fixing statefull website with account's link changing
	* Fixing coming date with an other label
	* Change AccountsPage xpath to only get personal finances accounts
	* SSL is not supported anymore
	* Add changing pass/id page

	Modules: googletranslate
	* Fix code used by Google Translate for Greek

	Modules: groupamaes
	* Use a local instance of LinearDateGuesser instead of global one
	* Should now always find accounts
	* Fix : site changed

	Modules: hellobank
	* Fix permissions, encoding and copyrights
	* Do not try to get IBAN from life insurance accounts
	* Do not try to get history of life insurance accounts
	* Allow transaction parsing across multiple pages
	* remove module, use bnporc instead

	Modules: hsbc
	* Handling when website is gone away
	* Fixing shared accounts_list
	* Fix new list of accounts and new URLs
	* No history on loan accounts
	* Handling duplicate account id (#2114)
	* Submit two useless form to mimic browser
	* Fix date parsing
	* Add coming for cards
	* Do not use fake id for transactions from hsbc
	* Allow hsbc user to have more than 8 length password
	* Fixing credit is positive on some account

	Modules: hybride
	* Fix: site changed
	* Fix: Date parsing
	* Fix: site changed again
	* Fix bug when there is no end date
	* Iimprove end_date management
	* Update to support timezone
	* Use Decode filter to get the good id
	* Simplify id

	Modules: imdb
	* Fix: python datetime is locale-dependent
	* Fix: 'N/A' value in movie release date

	Modules: imgur
	* Port to browser2
	* Implement CapGallery

	Modules: ina
	* Bump to browser2
	* Handle CapAudio
	* Find video from url

	Modules: ing
	* Coding style
	* Change selection of keyboard (more generic)
	* Fix navigation after a transfer
	* Remove hack to convert decimal to int
	* Fix crash if there is no ':' in IDs
	* Update regexp
	* Allow birthday to be entered with separators
	* Support of ASV accounts
	* Fix switch between market and checking websites
	* ASV accounts don't have history
	* Fix detection of errors in page
	* Get valuation information in several locations
	* NotImplemented exception for history on asv and clean code
	* As ING website sucks, re-login to retry getting investments list
	* Introduce new type Account.TYPE_LIKE_INSURANCE
	* Fix website change
	* Be sure we are logout before login
	* Store "where" in ing browser
	* Fix bad login with cookie cache
	* Fix parsing of euro founds
	* Add a kind of life insurance account name
	* Fix parsing of ISIN code for market accounts
	* Fix switches between market and bank websites
	* Euro funds have diff equal to 0
	* Fixing not avalaible value
	* Handling netissima page
	* Fix set of Investment.unitprice for market accounts
	* Correctly get subscriptions even if previous page was on market
	* Fix finding jid on some pages
	* Load ISIN code from details page if not available in the list
	* Fixing empty page in some case in investment without pl in URL
	* Prevent useless request since there is no history on asv accounts
	* Handling +infinity (best investment ever)
	* Fix ISIN code on asv
	* Do not slugify investments without ISIN codes
	* Fix ing bills
	* Parse bills dates
	* Skip summary bills
	* Fix isin on US investment
	* Fix when valuation is not available

	Modules: inrocks
	* Url changed
	* Fix url matching
	* Do not try to parse premium news pages

	Modules: kickass
	* New domain name
	* Adaptation to new browser, iter_torrents mysteriously not working
	* kickass now works with new browser

	Modules: lcl
	* Website change, rewrite with browser2
	* Ignore summary lines in history tables
	* Fix stop parsing not transactions lines
	* Certificate updated
	* Fetch detail of transactions and use it in Transaction.raw
	* Change timeout to 30 seconds
	* Call default Browser.deinit()
	* Do not change Transaction.raw if there is no detail
	* Adding pagination support for lcl
	* Fix async bug with cards
	* Fixing RC4 and cert for pp browser
	* New certificate for LCL Espace Pro
	* Browser doesn't inherit 'object', so 'super' doesn't work
	* Handling account can't use online service when login
	* Fixing bad login when session expire
	* New transaction detail page
	* New certificate for lcl entreprise
	* Fix date parsing bug on transaction label 0/07/2015
	* Wrongpass instead of BrowserUnavailable
	* Fix PEP8 E713
	* Fix contracts selection routing
	* Remove validate method
	* Handle one case of bad login/pass
	* Handle investment
	* Fix for clients with no market investment accounts
	* Fix crash on asv accounts
	* Fix parsing of life insurance accounts with special chars in owner name
	* Fixing when we have some additional information
	* Disconnecting from bourse portal before returning the account list
	* Fix bugs on av accounts, double ids and disc from detail
	* Fix mistake in disc page
	* Fix life insurance accounts ids
	* Fix parsing of market accounts
	* Fix crash on enterprise websites
	* Adding iban info when available
	* Fix pro accounts iban
	* No permission page to fix crash
	* Fix crash in case life insurances are unavailables
	* Support a new account type
	* Fix parsing of some transactions on pro accounts
	* Adding saving account
	* Handling IBAN single account
	* Adding checking account
	* Fixing payement wording
	* Adding SAVING type for account
	* Handle home page so the module is blackbox compatible
	* Adding account type
	* Change page to handle specific behavior

	Modules: leboncoin
	* Add missing favicons
	* Fix bug while parsing date
	* Fix bug when area is unknown
	* Add regions support
	* Fix error when there is no price and improve description display
	* Improve cities display in search
	* Fix search city using zipcode
	* Fix bug when user do not choose any city
	* Do not crash if a select does not exist in the form
	* Fix title parsing in search result
	* Get main photo when there is no carousel
	* Fix bug in costs retricton for rent type
	* Fix bug due to other backends cities
	* Fix site changed
	* Fix regex in id detection

	Modules: lutim
	* Upgrade to Browser2

	Modules: mailinator
	* Fix module as the api changed

	Modules: mareeinfo
	* Add missing favicons

	Modules: marmiton
	* marmiton is now working using browser2 (#1706)
	* Fix bugs in marmiton
	* xpath change (#2117)

	Modules: mediawiki
	* Update tests to use "Project:Sandbox" page
	* Port to browser2
	* Remove useless stuff

	Modules: meteofrance
	* Adapt to browser2
	* Use new DictElement object
	* Allow to iter forecasts using town name in addition to city id
	* Site changed

	Modules: monster
	* Fix and adapt to browser2
	* Improve page parsing
	* Adapt for new Join filter
	* Handle adverts coming from partner websites

	Modules: okc
	* Correctly detect when login fails
	* Handle logged page
	* Make all attributes of optim start with an underscore
	* Fix parsing of profiles
	* Way used to vote has changed
	* Fix encoding of urls
	* Fix parsing of thread title
	* Rewrite okc module with browser2 and less ugly code
	* Skip empty essay fields
	* Add status and orientation fields
	* Do not remove old threads anymore
	* Iter_unread_messages: do not visite read threads

	Modules: oney
	* Add new hashes for virtkeyboard
	* Change get_balance xpath
	* Adding hash for virtkeyboard
	* Handle multiple cards

	Modules: orange
	* Adapt to website changes (#1828)
	* Add https urls
	* Update maintainer
	* Supporting bill capability for orange

	Modules: pap
	* Adapt to new DictElement object
	* Fix bug in parsing date
	* Fix : site changed

	Modules: pastealacon
	* Fix: url changed
	* Works with other pastebin sites
	* Revert "pastealacon: work with other pastebin sites"

	Modules: paypal
	* Handling when user can't acces account balance on main account
	* Supporting new paypal website
	* Fixing using new account page version when we are already on old account page
	* Handling when currency is not in right place
	* Fixing primary account display twice
	* Fixing wrong id on account
	* Checking website version after login
	* Fix crash on new accounts list (#1654)
	* Fix selection of table containing last file requests to be less ambiguous
	* When balance is zero, paypal add a class to the div
	* Handling new website account for individual
	* Paypal fix for KeyError: 'counterparty'
	* We now ignore transactions with no 'displayAmount'
	* Fix name of paypal accounts (display currency instead of balance)
	* Take care of transaction's net amounts (#1694)
	* Fix warning with adding a new home page
	* Handling home page on new private website
	* Fix paypal new activity URL
	* Fix paypal
	* Use locale.format to format amount
	* Do not use locale.setlocale to parse amount
	* Fix history on paypal, stop parsing suspended recurring payment
	* Get converted amount for foreign currencies
	* Fix crash IndexError: list index out of range (#1747)
	* Remove unused code, fix timeout of history fetch
	* We don't try to parse transactions without currencyCode anymore
	* New cert + fix conversion warning
	* Handling useless captcha page
	* New paypal certificate
	* Execute javascript convert() function on token
	* Paypal handle bad login/password
	* Add paypal new page to fix crash on history of some accounts
	* Fix crash on old website and inform users
	* Change detection of pro or perso account_type
	* Increase DEFAULT_TIMEOUT for accounts with a lot of transactions with foreign currency
	* Fix call of ads_token convert function
	* Fix timeout on accounts with huge transactions number
	* Fixing timeout for some accounts
	* Handling timeout when fetching old history
	* Fix transactions parsing
	* Get real amount accounting paypal's commissions
	* Fixing captcha
	* Handling promo page for new paypal application
	* Rewrite paypal with browser2 and fix login
	* Add a way to detect login errors
	* Pro accounts transactions amount is now returned without commission
	* Ignoring refound offer for paypal
	* Fixing paypal auth challenge
	* Do not supply floats to Decimal constructor
	* Fix login
	* Detect a login error
	* Fix parsing accounts without available balance
	* All personal accounts seems to be on new api.
	* Parse more transactions not in account currency
	* Try to get the activity 3 times
	* Discard another transaction type
	* Fix regexp parsing converted amount of transactions
	* Fix mistake of converted amount parsing
	* Handling payement from another bank
	* Fix parse_transaction return
	* Using original wording for payement from another bank and setting type
	* Check if there is a associated transaction for "Achat de"
	* Fixing bad return
	* Include archived transactions
	* Fix pro accounts transactions amounts not in account currency
	* Fix parsing converted amount from other currency
	* Fixing paypal using different token for conversion
	* Removing commande à from transaction list
	* English key word to skip transactions
	* Fcking paypal

	Modules: piratebay
	* Use new domain names

	Modules: playme
	* Add a profile walker to automatically send won challenges
	* Implement get_account_status()
	* Fix warnings
	* Answer only to 5 questions
	* Fix challenges with users who have already challenged you
	* Fix crash when there is no contact
	* Use Module.create_browser to correctly give all standard arguments (proxy, logger, etc.)

	Modules: poivy
	* Fix low balance listing

	Modules: popolemploi
	* Fix search and  upgrade to browser2
	* Website uses https
	* Site changed

	Modules: presseurop
	* Fix body selectors

	Modules: radiofrance
	* Site changed / backend rewritten using browser2
	* Manage selection podcasts / improve testing
	* Handle podcasts
	* Fix indentation typo
	* Minor fixes
	* Cleanly display live in repl
	* Handle new francebleu website, retrieve the good player url when default player is the video player
	* Fix 404 errors in selection

	Modules: razibus
	* Increase timeout
	* Support timezone

	Modules: redmine
	* Fix crash when parsing custom fields

	Modules: regionsjob
	* Fix: site changed
	* Fix parsing when advert is a picture
	* Update to new Join filter
	* Do not crash while parsing an external advert

	Modules: sachsen
	* Fix parsing of flow level
	* Improve test for sachsen module
	* Partial fix of new website
	* Fix history with new website

	Modules: seloger
	* Remove useless condition
	* Fix bug on pagination
	* Use new DictElement object
	* Handle special characters (#1883)
	* Fix json parsing

	Modules: senscritique
	* Skip test when StopIteration is raised
	* Improve module code
	* Fix date parsing
	* Add Mangas missing channel
	* Fix bug when end_date is asked and not found
	* Use set_profile(Firefox()) instead of _setup_session(Firefox())
	* Remove id lists
	* Fix channels selection
	* Site changed (we cannot choose channels packages anymore)

	Modules: societegenerale
	* Correctly detect when the website is unavailable
	* Page parsing for saving accounts
	* Update upstream certificate hash
	* Update certificate hashes
	* Credit card is no longer in coming
	* Switch rdate/date and little fixes
	* Update hash of soge enterprise certificate
	* Fix duplicate accounts on cards accounts
	* Adding IBAN support for pro and entreprise accounts
	* Setting new certificat hash
	* Fix greediness of a transaction pattern to avoid crash
	* Update certificate
	* Testing account true id for card
	* Check ssl certificate after browser construction
	* Support market account
	* Support life insurance account (Investment)
	* Refactor
	* Support life insurance account (Transaction)
	* Fix type of 'PEA Espèces' account
	* Detect and log unknown type account
	* Do not iterate over all available transaction
	* Move set_date into LifeInsuranceHistory, and do not return to transactions list
	* Do not store NotAvailable amounts
	* Do not crash on pro account
	* Fix investment valuation
	* Fixing unsuported link account
	* Adding PEA Especes to unsuported link
	* Dd an url to the crashing ones
	* New ssl certificate
	* Add reinitpassword page to prevent crash.
	* Fix parsing and pagination of market investments
	* Try to type more accounts
	* Adding iban number
	* Try to fix weird crash
	* Fix navigation without id transactions
	* Fixing fake id for investment
	* Fixing account type

	Modules: tinder
	* Fix warnings
	* Fix crash when a contact has been removed
	* Use APIBrowser
	* Do not crash when the limitation rate is reached
	* fix login on tinder: need to find the cookie in js
	* Avoid aborting profiles walker when queue is empty
	* Fix PEP8 E713
	* use Module.create_browser to correctly give all standard arguments (proxy, logger, etc.)

	Modules: transilien
	* Fix _regexp name in RoadMapDuration filter
	* Fix ambiguous departure/arrival in roadmap
	* Use new DictElement object
	* Fix incorrect roadmap duration parsing (#2089)

	Modules: twitter
	* Fix: site changed
	* Exclude non-tweets
	* Fix: trendy tweets (site changed)
	* Fix search pagination
	* Fix comments parsing
	* Fix condition to correctly check if user is logged

	Modules: vimeo
	* There is no latest category on vimeo (#1692)
	* Allow to browse categories and channels
	* Bump to https and handle site changes
	* isSafeForFamily field is not always filled + correctly handle its value

	Modules: vlille
	* Fix encoding error

	Modules: wellsfargo
	* Force TLS v1.0 for Wells Fargo module. (#1647)
	* Credit limit, payment due date and amount for Wells Fargo bank (#1720)
	* Scrape minimum credit card payment and due date (#1809)
	* Update to new login security checks (#1999)
	* backport check_output for 2.6

	Modules: wordreference
	* [wordreference] Adapt to browser2

	Modules: youjizz
	* Min pattern size for search is 3 characters
	* Use UserError instead of ValueError
	* Videos are now hosted on another domain

	Modules: youporn
	* 'a' and 'i' pattern are not supported (404 error)
	* Rewrite with Browser 2
	* Use UserError instead of ValueError
	* get_video fill the id

	Modules: youtube
	* Fix parsing of js signature (#1695)
	* Backported changes from youtube-dl
	* Fix call to _extract_signature_function()

Weboob 1.0 (2014-10-17)

	General
	* New agendadulibre module http://www.agendadulibre.org/ (CapCalendarEvent)
	* New Citibank module https://online.citibank.com (CapBank) (#1642)
	* New leboncoin module http://www.leboncoin.fr/ (CapHousing)
	* New mareeinfo module http://maree.info/ (CapGauge)
	* New playme module http://goplayme.com/ (CapMessages, CapMessagesPost, CapDating)
	* New razibus module http://razibus.net/ (CapCalendarEvent)

	API Big-Bang
	* Rename BaseBackend to Module
	* Rename BACKEND to MODULE
	* Rename backend.py to module.py
	* Rename BaseApplication to Application
	* Rename CapBase to Capability
	* Rename BasePage to Page
	* Rename BaseBrowser to Browser
	* Move CleanHTML to html filters
	* Remove * imports in filters
	* Move weboob.tools.browser2 to weboob.browser
	* Move weboob.tools.exceptions to weboob.exceptions
	* Move weboob.tools.browser to weboob.deprecated.browser
	* Move weboob.tools.parsers to weboob.deprecated.browser.parsers
	* Move weboob.tools.mech to weboob.deprecated.mech
	* Remove the "backend" result in do() calls

	Core
	* Catch the proper exception for missing icon
	* Replace usage of os.mknod() by os.open(O_CREAT)
	* Use the print() function everywhere
	* WebNip.iter_backends takes a new optional parameter 'module'
	* Add __getitem__ on WebNip to get a loaded backend by name
	* Create PrintProgress class instead of using IProgress as default one
	* Allow to load a module with config=None
	* A lot of pep8 fixes

	Capabilities
	* Let get_currency guess US$ means USD
	* Prevent mess when copying BaseObject instances

	Capabilities: bank
	* Add Investment.description field
	* Add Emirati Dirham AEB currency

	Capabilities: calendar
	* Add Conference event category

	Capabilities: parcel
	* Add parcelnotfound exception

	Capabilities: housing
	* Add and handle in flatboob house_types field
	* Add and handle in leboncoin a new house type: UNKNOWN
	* Adding a url field in housing capability and management of it in
	  flatboob

	Applications
	* Add a new debug level (-dd option)
	* Add a " LIMIT " keyword in conditions
	* Centralize encoding guesses, default to UTF-8 (#1352)
	* Use class attributes as much as possible for application output
	* Define std* in the proper class
	* Handle datetime in condition argument
	* os.isatty is now forbidden (as stream.fileno() is not implemented by
	  StringIO)
	* logging: Output to stderr, not stdout
	* logging: better colors

	Applications: repl
	* When getting an object, if at least one is found, display errors but
	  correctly return the found object

	Applications: boobmsg
	* Fix "show" for threads

	Applications: flatboob
	* Ask for query.type in flatboob
	* Add load command
	* Fix bug type_of_good does not exist anymore

	Applications: Qflatboob
	* Manage count to avoid problems during pagination

	Applications: pastoob
	* Add an option to set a custom file encoding

	Applications: parceloob
	* Catch parcelnotfound by untracking

	Applicatitons: traveloob
	* Fix: crash if departure time is not available

	Applications: videoob
	* Set non verbose mode for wget  when downloading m3u8 (fix #1643)

	Applications: weboobcfg
	* Return correct exit status code for enable and disable commands

	Applications: webcontentedit
	* Better checks for vim usage

	Browser
	* Add a way to asynchronously handle requests and pages
	* Backporting mergin_hook to support hook's requests in wheezy
	* HTMLPage checks the inner charset and parse again document if it is not
	  the same than Content-Type HTTP header
	* Add a trivial android profile
	* Add has-class xpath function

	Browser: filters
	* Add debug informations
	* Raise ParseError only with None/NotAvailable/NotLoaded values, not with
	  empty strings
	* Add a way to customize sign handling for CleanDecimal
	* Regexp: let template be a callable
	* Add some javascript dedicated filters
	* Add an nth parameter to Regexp filter
	* Add __str__ to _Filters

	Browser: elements
	* handle_loaders into AbstractElement
	* Ability to select an ItemElement

	DeprecatedBrowser
	* Fix: certificate check on servers which don't allow SSLv3

	Documentation
	* Update to the new API
	* Show base classes in documentation

	Tools
	* American amount to decimal conversion (ref #1641)
	* PDF decompression function (ref #1641)
	* Regexp-based tokenizer (ref #1641)

	Tools: html2text
	* Use the class if possible

	Tools: make_man
	* Copyright on top of file

	Tools: newsfeed
	* No need for workaround with feedparser>=5.1

	Tools: tests
	* Allow changing modules path and adding to PYTHONPATH

	Tools: pyflakes
	* Add test to prevent usage of prints in modules
	* Detect deprecated has_key function

	Tools: values
	* Ability to set value to an empty string if it is available in choices

	Packaging: setup
	* Add futures, avoid Py2-only libs under Py3
	* Use Python3-compatible syntax in debpydep
	* Add ignore dirs for flake8

	Contrib: boobot
	* Add a check_twitter method

	Contrib: videoobmc
	* Force relative imports

	Contrib: weboob-generic (munin script)
	* Add category option

	Modules: alloresto
	* Fix: website changes (enable https and fix the form xpath)

	Modules: arretsurimages
	* Fix: site changed

	Modules: aum
	* Remove useless features of module that don't work anymore
	* Enable https
	* Import exceptions from core

	Modules: banqueaccord
	* Support canceled transactions
	* Increase timeout because of slow website

	Modules: biplan
	* Use the Python SkipTest if possible

	Modules: boursorama
	* Remove prints

	Modules: bred
	* Limit length of password
	* Remove lot of old code and keep card transactions in separate card accounts
	* Translating accnum description

	Modules: carrefourbanque
	* Do not try to parse useless accounts (closes #1432)
	* Fix: login form is now the second form on the page

	Modules: cic
	* Fix: new certificate hash
	* Set an unique id

	Modules: cmso
	* Fix: parsing of transaction amounts (strip nbsp)
	* Fix: parsing of huge account balances

	Modules: colissimo
	* Fix: return the real error message, not "label"
	* Raise ParcelNotFound in colissimo
	* Return the fullid of not found parcel
	* Upgrade to browser2

	Modules: cragr
	* Remove prints
	* Add a regexp for checking password

	Modules: creditcooperatif
	* Add unique id to creditcooperatif (perso)
	* Update regexps
	* Use find object
	* Upgrade to browser2 (perso)

	Modules: creditmutuel
	* Fix: do not lock browser2 anymore (#1635)

	Modules: dresdenwetter
	* Add the debug decorator to dresdenwetter filter

	Modules: europarl
	* Remove prints

	Modules: feedly
	* Use the Python SkipTest if possible
	* Fix: unicode warning

	Modules: fortuneo
	* Do exactly the same thing than js to always get accounts list

	Modules: gazelle
	* Fix: infinite loop on fail login, and fix error message lookup

	Modules: gdcvault
	* Remove prints

	Modules: grooveshark
	* Fix: bug when Year field is empty in grooveshark json
	* Use the Python SkipTest if possible

	Modules: hds
	* Convert to browser2 and fix it

	Modules: hellobank
	* Remove prints

	Modules: hybride
	* Use the Python SkipTest if possible

	Modules: imgur
	* Restrict URL to imgur domains

	Modules: ing
	* Fix: add an Index for some accounts...
	* Add a test to detect loops in the history
	* Fix: testing of saving accounts
	* Fix: crash on coming operations
	* Add loggedPage on bourse.ingdirect.fr
	* Add a @ckeck_bourse decorator for a clean redirect

	Modules: kickass
	* Fix: parsing of torrent titles

	Modules: lacentrale
	* Fix: deprecated has_key

	Modules: lcl
	* Always raise instances of NotImplementedError

	Modules: minutes20
	* Fix: parsing insolite pages

	Modules: nettokom
	* Add tests

	Modules: okc
	* Remove prints

	Modules: oney
	* Add a favicon
	* Add missing symbols for the virtual keyboard
	* Fix: do not crash on months with no transactions

	Modules: ouifm
	* Fix: new radio names

	Modules: ovs
	* Force relative import

	Modules: pap
	* Adapt to browser2
	* Exclude adverts from other websites
	* Fix: image retrieving

	Modules: pastebin
	* Fix: crash on spam page

	Modules: paypal
	* Use AmericanTransaction.decimal_amount in PayPal module. Part of #1641

	Modules: quvi
	* Force relative import

	Modules: seloger
	* Adapt to browser2
	* Fix: pagination
	* Fix: obj filling

	Modules: societegenerale
	* Remove prints
	* PIL is a global requirement, remove the check

	Modules: tinder
	* Fix: auth on tinder by correctly set the User-Agent header

	Modules: transilien
	* Fix: crash on late departures

	Modules: twitter
	* Fix storage system
	* Fix purge system
	* Do not import Browser1 exception

	Modules: unsee
	* Restrict URL to unsee domains

	Modules: vlille
	* Better description

	Modules: wellsfargo
	* Fix: compatibility with old versions of mechanize
	* Add a favicon
	* Rewrite Wells Fargo with browser2 (closes #1624)
	* Improved Wells Fargo module stability.
	* Use AmericanTransaction.decimal_amount, closest_date, decompress_pdf and ReTokenizer in WellsFargo module.
	  Part of #1641

	Modules: youjizz
	* Fix: fillobj on video thumbnail

	Modules: youtube
	* Update part of the js interpreter


Weboob 0.j (2014-09-03)

	General:
	* New module: feedly (CapMessages)
	* New module: oney (CapBank)
	* New module: twitter (CapMessages)
	* New module: wellsfargo (CapBank) (#1430)

	Core
	* Rename CapBaseObject to BaseObject (#1424)
	* Rename ICap to Cap (#1424)
	* Ability to use weboob.function as alias to weboob.do('function') (#1425)

	Core: repositories
	* Fix HTTP error handling for browser2
	* Use ConfigParser in priority with python2 (#1393)
	* Load browser only when needed

	Capabilities
	* Move DateField/TimeField/Delta out of BaseObject
	* Add LBP to currencies
	* Add documentation on object constants

	Capabilities: audio
	* Add Playlist and Album classes

	Capabilities: audiostream
	* Fix: get_audiostream does not have pattern name (#1626)

	Capabilities: dating
	* Add iter_new_contacts method

	Capabilities: files
	* Fix repr() and str() on File-based objects

	Capabilities: image
	* Remove data field in to_dict method to avoid json crash during
	conversion

	Capabilities: messages
	* Remove required items in Message constructor

	Capabilities: travel
	* Do not require in id in constructor

	Applications
	* Remove default import of browser1
	* Import debug modules only when needed

	Applications: console
	* Remove the import of SSL exceptions
	* Add the default value displayed "upper" in aliases (#1319)
	* Allows shortcuts for modules (#881)
	* Use shortcut of id in interactive mode (#881)

	Applications: REPL
	* Allow to browse subfolders with ls
	* Change formatter when it cannot handle all selected fields
	* Introduce the DISPLAYED_FIELDS in formatter
	* Set fields in a consistant way with do()
	* Introduce parse_fields function
	* Use fullid parameter for CapObjects
	* Correct multiple language error
	* Move format_collection from repl to ifromatter
	* Remove the 'inspect' command

	Applications: formatters
	* Remove the '*' special fields in formatter
	* Table and Json formatters can write output to a file now (#1412)
	* Handle format_collection with JSON formatter

	Applications: boobank
	* Do not crash if the account type isn't in list (#1542)
	* Write the account currency in ofx output

	Applications: radioob
	* Manage Albums and Playlists
	* Fix: bug when a radio id contains a dot

	Applications: QHaveDate
	* Add tab to send queries

	Applications: videoob
	* Improve m3u8 management in download

	Browser1
	* Introduce local exception for SSL errors
	* Only load FirefoxCookies as needed
	* Update Firefox versions to latest ESR

	Browser2
	* Add more specialized exceptions
	* Allow setting query string params on build_url
	* Matching content with url using is_here
	* Ability to override the flush() method
	* Allow for a custom element finder
	* Add CSV pages
	* Do not crash if total_seconds() is not implemented
	* Fix documentation of nr parameter
	* Update Firefox versions to latest ESR
	* Add support for forms with multiple "submit" elements
	* Allow more flexibility for the submit button parameter

	Browser2: ListElement
	* Move ItemListTable-Element outside of page.py

	Browser2: filters
	* Overload & and | operators to chain filters (#1426)
	* Split filters in several files
	* Fix filters doctest
	* Force unicode
	* New RawText filter
	* New Base filter
	* New Type filter
	* Date: use default value for empty input
	* Date: properly handle defaults that are not datetimes
	* MultiFilter: allow for a default argument
	* Dict: manage default
	* Dict: ability to use Dict['a']['b']['c'] instead of Dict('a/b/c') (#1426)
	* CleanHTML: manage basestring
	* CleanDecimal: possibility to set custom separators
	* CleanDecimal: set replace_dots default value to False
	* CleanDecimal: do not crash with inputs like NotAvailable
	* CleanText: handle the non-breaking space thanks to the re.UNICODE flag
	* CleanText: add an option to keep (but normalize) newlines
	* CleanText: \t is always in \s so no need to add it
	* CleanText: add tests
	* CleanText: fix re flags usage for Python 2.6 (#1444)
	* Env: add support for a default

	Documentation
	* New Home Page
	* Add a "How to contribute" page
	* Add logo/favicon
	* Set more customizations
	* Add instruction for developers missing the first steps (#868)
	* Define backends/modules
	* Add local_run in documentation for developers
	* Fix many docstring issues
	* Change module documentation to learn browser2 (#1451)
	* Add __repr__ on NotAvailable, NotLoaded and _NO_DEFAULT constants to be
	more readable on doc
	* Import several pages from the wiki
	* Add documentation to report a bug (#873)

	Tools: AmericanTransaction
	* Add a transaction amounts cleaner helper for american banks

	Tools: captcha
	* Refactor VirtKeyboard class
	* Add a margin attribut
	* Add a grid based virtual keyboard

	Tools: date
	* Add more french dates translations
	* Class methods to convert date[time] objects

	Tools: genericArticle
	* Fix unicode warning

	Tools: make_man
	* Tell that it was generated automatically

	Tools: pyflakes
	* Fix: call of pyflakes on Archlinux (#1404)

	Tools: test
	* Fix: call of test.py (#1403)

	Tools: yaml
	* Represent weboob date[time] objects as timestamps

	Misc: local_run script
	* Allow customizing where the modules are

	Misc: setup
	* Support python3 (#1417 #1418 #1419)
	* Add prettytable in dependencies (#929)
	* Configure isort and flake8

	Misc: Windows Installer
	* Remove some files
	* Fix bugs in windows installer scripts

	Contrib: munin
	* Rename generic-munin to weboob-munin
	* Move all scripts in the same folder
	* Encode and decode ID's in weboob-munin

	Contrib: boobot
	* Add command %delquote
	* Fix: %searchquote on unicode strings

	Contrib: XBMC/Kodi
	* Add a xbmc/Kodi plugin that interracts with videoob

	Modules: arte
	* Fix: Do not crash if 'VDA' fields is missing in json
	* Use M3U8 format instead of HBBTV
	* Fill video.url with NotAvailable if url is not found
	* Improve tests
	* Improve video quality choice
	* Handle arte podcasts
	* Add tests for program categories

	Modules: aum
	* Implement iter_new_contacts

	Modules: banquepopulaire
	* Strip displayed balance at end of transaction labels
	* Display check number in label (#1027)
	* Fix: remove spaces in IDs (#1368)
	* Support loan payment type

	Modules: biplan
	* Handle summer holiday in tests

	Modules: bnporc
	* Update order regexp
	* Fix: transfer regexp
	* Remove space in ids

	Modules: boursorama
	* Some English fixes in comments
	* Add new certificat hash

	Modules: bp
	* Fix: new login image for virtkeyboard

	Modules: bred
	* Handle space in account number
	* Switch configuration description strings to unicode

	Modules: caissedepargne
	* Force use of TLSv1 on lowsslcheck as the web server support of SSLv3 is broken

	Modules: colissimo
	* Fix: New API key for collisimo (#1617)

	Modules: cragr
	* Order transactions by date to prevent LinearDateGuesser to be duped by the f*cking website

	Modules: creditmutuel
	* Fix: set of debit date for card transactions

	Modules: dailymotion
	* Fix: dailymotion mplayer error "No stream found to handle url"
	* Fix: use https for test

	Modules: francetelevisions
	* Use filters as classes in chain (refs #1426)

	Modules: freemobile
	* Some English fixes in comments
	* Fix date of subscriptions when next month as less days than excepted
	(#1347)

	Modules: gdcvault
	* Remove unused import of ControlNotFoundError

	Modules: grooveshark
	* Update to match Album and Playlist management in radioob
	* Display users playlists only when split_path length is 0
	* Fix: catch exception when id is not an integer

	Modules: hellobank
	* Get default account name if the custom name is empty

	Modules: hybride
	* Fix: handle summer holiday in tests

	Modules: imdb
	* Some English fixes in comments
	* Use omdbapi instead of imdbapi
	* Fix: site changed

	Modules: ina
	* Fix: bad characters in titles (double encoded unicode)

	Modules: ing
	* Some English fixes in comments
	* Remove the index on ing for pagination
	* Support coming operations
	* Fix: parsing of 'tomorrow' transaction dates

	Modules: izneo
	* Fix: bug in page list

	Modules: lcl
	* Handle lcl pro https://professionnels.secure.lcl.fr
	* New certificate
	* Add transaction patterns

	Modules: leclercmobile
	* Fix: do not crash if balance is not available

	Modules: lefigaro
	* Remove dead code

	Modules: meteofrance
	* Fix: site changed (#1390)
	* Fix: call the url that retrieve all the search results (#1431)
	* Raise an exception if forecast param is not a city id (#1433)

	Modules: opensubtitles
	* Some English fixes in comments
	* Fix: site changed (#1295)

	Modules: pastealacon
	* Convert to Browser2 (#674)
	* Use specialized Browser exception

	Modules: pastebin
	* Convert to browser2
	* overload & and | operators to chain filters (refs #1426)
	* Handle limit exceeded warning
	* Fix: crash with Base() and filter chaining

	Modules: paypal
	* Get more transactions on paypal (#1405)
	* Retrieve all transactions from the history, merchant and regular account support (#1406)
	* Paypal transactions history fetching with adaptive steps (#1406)
	* Checking if tr contains text
	* Make Paypal module use AmericanTransaction helper.
	* Fix: empty amount. (#1415)
	* Support french dates for last CSV request
	* Ignore canceled transactions

	Modules: popolemploi
	* Fix: site is now only availbe using https

	Modules: presseurop
	* Presseurop is back! (named now voxeurop)

	Modules: radiofrance
	* Fix: FIP radio does not work (#1449)

	Modules: sachsen
	* Set the datetime to NotAvailable by default

	Modules: senscritique
	* Fix: bug in network selection
	* Fix: set channels and programs parameters in get_event

	Modules: societegenerale
	* Fix: certificate changed
	* Fix: certificate updated (#1414)

	Modules: sueurdemetal
	* Fix: broken module due to departments containing letters

	Modules: tinder
	* Update recs only when needed
	* Fix attribute type

	Modules: transilien
	* Adapt to browser2
	* Fix: site changed (#938)

	Modules: vimeo
	* Fix: site changed
	* Adapt to browser2
	* Enable search and tests (#1082)
	* Catch HttpNotFound errors

	Modules: youjizz
	* Overload & and | operators to chain filters (refs #1426)
	* Use filters as classes in chain (refs #1426)

	Modules: youtube
	* Fix: Youtube mplayer error "No stream found to handle url"
	* Fix: is_logged function does not work (#1423)
	* Backport some youtube-dl changes (#1422)


Weboob 0.i (2014-05-19)

	General
	* New Browser: browser2 is here! See below
	* First steps in python3 support
	* New GPG key for laurentb (see
	  https://laurent.bachelier.name/gpgtransition.txt)
	* New module: btdigg (CapTorrent)
	* New module: Mailinator (CapMessage)
	* New module: guerrillamail (CapMessage)
	* New module: SensCritique (CapCalendar)
	* New module: imgur (CapPaste)
	* New module: unsee (CapPaste)
	* New module: lut.im (CapPaste)
	* New module: pixtoilelibre (CapPaste)
	* New module: ColisPrive (CapParcel)
	* New module: AlloResto (CapBank)
	* New module: LaCentrale (CapPriceComparison)
	* New module: Groupamaes (CapBank)
	* New module: Tinder (CapDating)

	Core
	* Import pkg_resources only when needed, to prevent a hard useless
	  dependency

	Core: browser2
	* Add a new browser based on python-requests
	* Full support of SSL
	* Add the option _proxy_ssl for backends
	* New management of Html FORMs
	* New URL class
	* Better debugging (save HTTP requests/responses)
	* Simple support of pagination (@pagination decorator)
	* Introduce ListElement and ItemElement (parser helper)
	* Add a lot of Filters for ItemElement
	* Add TableElement, to help the parsing of a table
	* 24 modules are already using browser2!
	* And a lot more...

	Core: browser1
	* Unify no_login and nologin
	* Fix call of logger (can be unset)
	* Move exceptions in weboob.tools.exceptions (compatibility with browser2)

	Core: BackendCalls
	* Rewrite BackendCalls with queues

	Core: repositories
	* Make GPG ignore local settings

	Core: configuration
	* Support for password retrieval from any cli tools
	* Prompt user during configuration of a backend

	Core: ManPages
	* Escape more '-'

	Core: Parsers
	* Add a xml parser
	* Remove unused/obsolete parsers

	Core: DateTools
	* Add ChaoticDateGuesser

	Applications: base
	* Add version information in Debug
	* catch ^C on global bcall errors handler
	* Allow to use condition on the fullid
	* Do not display warning message if -n or count is set

	Applications: console
	* Fix: masked parameter wasn't considered
	* Fix: password encoding issues
	* Display backend@issues.weboob.org and not backend.EMAIL

	Applications: media_player
	* Add a play_proxy option

	Applications: Qt
	* Add keywords in .desktop files (#1356)

	Applications: REPL
	* Exclude backends that do not implement the required method (#1325)
	* New obj_to_filename() method (from videoob)
	* Do not fetch the collections when not needed
	* Fix selecting a field in non-interactive mode
	* Use a fast path for ls if -U is set
	* Add documentation of the "ls -d" option
	* Gather collections having the same path
	* Override comp_obj from repl in order to sort by start_date

	Applications: formatters
	* Add a json formatter that works on a line level (json_line)

	Applications: yamlconfig
	* Allow a default equal to None

	Application: boobcoming
	* Add documentation
	* Add icon
	* Use ls/cd commands to navigate into categories
	* Improve collection management

	Application: boobsize
	* Add icon
	* Display null values
	* Fix hints in not found error

	Application: boobtracker
	* Support colors for issues
	* Create/edit tickets in a text editor
	* Fix email address regexp
	* Fix crash in interactive mode
	* New options --tracker, --priority, --start, --due

	Application: parceloob
	* Remove trailing \n
	* Ignore status of not loaded backends
	* Always untrack if the id is in the storage

	Application: pastoob
	* Paste binary files with "post_bin FILENAME" and "get_bin ID"
	* Add 'info' command

	Application: Qhavedate
	* Ignore error when notes are not implemented on contacts

	Application: radioob
	* Fix audio objects search
	* Pick up first available stream when radio provides a playlist (#1345)

	Application: translaboob
	* Fix a typo in the documentation

	Application: videoob
	* Braces-enclosed tags are replaced with data
	* Play/info: ability to give several videos
	* Add command 'videoob playlist download'
	* Add command 'videoob playlist play'
	* Move obj_to_filename() into ReplApplication
	* Use wget to download m3u8 videos

	Application: webcontentedit
	* add a -r parameter to get command to precise revision id

	Application: wetboobs
	* Remove ICapGauge

	Capabilities: Base
	* Change currencies integer constants to ISO code strings
	* Do not require an id,  because of ItemElement which constructs objects
	  without arguments
	* Introduce find_object

	Capabilities: CapWeather
	* Fix: zero temperature can not be displayed (#1333)
	* Accept date objects for the forecast

	Capabilities: CapCalendar
	* Raise NotImplementedError on "attends" method
	* Add TELE category

	Capabilities: CapBugTracker
	* Fix some conversion warnings

	Capabilities: CapBank
	* Add Account.TYPE_CARD
	* Add TransactionsElement and TransactionElement (helpers with browser2)

	Capabilities: CapContact
	* Factorize aum's Contact.get_text() and boobmsg formatter

	Capabilities: CapGeoloc
	* Remove unused ipaddr field

	Capabilities: CapMessage
	* Avoid warnings in GenericNewspaperBackend and GenericNewsPage

	Capabilities: CapPast
	* Show a user-friendly error message for CapNotFound

	Capabilities: CapTracker
	* Add trackers and priorities fields to Project
	* Add start, due, tracker and priority fields to Issue

	Modules: banquepopulaire, bnporc, bp, cic, cragr, creditdunord,
	creditmutuel, ing, lcl, societegenerale
	* Improvements on transaction and account types detection

	Module: AmericanExpress
	* Fix wrong date guessing
	* Increase timedelta to 90
	* Check if a card is valid
	* Set card balance to Account.balance instead of Account.coming

	Module: Apec
	* Updates reflecting site changes

	Module: Apivie
	* Fix getting an account from list
	* Fix parsing of negative transactions

	Module: Arte
	* Encode UTF-8 strings in search
	* Fix naming of collections
	* ArteLive: new website
	* Improve the parsing of dates
	* Fix bug when VDA field not found in json file
	* Fix problem on extension

	Module: AxaBanque
	* Adding support for sub accounts
	* Fix parsing of accounts without amount

	Module: Banque Accord
	* Add icon
	* Fix parsing of negative amount
	* Fix detection of card pages
	* Fix virtual keyboard
	* Add a hash for symbol 5 on virtkeymap
	* Adding support for Leroy Merlin
	* Support LOAN accounts
	* Upgrade to browser2

	Module: Banque Populaire
	* Fix: parsing of accounts (site changed)
	* Fix: parsing of accounts on specific regions
	* If an account type is not supported, raise NotImplementedError

	Module: Biplan
	* Fix bug while parsing start/end time
	* Updates reflecting site changes
	* Upgrade to browser2

	Module: Bnporc
	* New certificate
	* Fix encoding issues
	* Disable unused parameter rotating_password
	* Change the domain to entreprises.bnpparibas.net for BNPEnterprise

	Module: Boursorama
	* Fix crash when there is no ID on transaction
	* Handle card history

	Module: BP
	* New certificate
	* List market account (#1298)
	* An account type must not be None

	Module: Bred
	* Support dispobank
	* New certificate

	Module: CanalPlus
	* Fix browsing categories (site changed)

	Module: Carrefour Banque
	* Upgrade to browser2
	* Fix: Site changed

	Module: CCI
	* Upgrade to browser2

	Module: Citelis
	* New icon
	* Fix: detection of login errors

	Module: cmb
	* Change a function call to avoid useless None
	* Upgrade to browser2

	Module: cmso
	* Setting encoding to iso

	Module: Colissimo
	* Add icon
	* Fix license

	Module: Cragr
	* Fix parsing dates in labels (compatibility with Perigord)

	Module: Credit Du Nord
	* If type is not found, set TYPE_UNKNOWN instead of None
	* Add "Banque Rhône-Alpes"

	Module: Credit Mutuel
	* New icon
	* Upgrade to browser2
	* Fix parsing of user private accounts
	* Fix crash on unknown accounts types

	Module: cuisineaz
	* Fix cuisineaz preparation and cooking time (site changed)

	Module: Dailymotion
	* Fix empty fields in dailymotion plugin
	* Change extension from flv to mp4
	* New icon
	* Add support for videos available at kids.dailymotion.com
	* Fix the search (site changed)

	Module: Delubac
	* Support LCR
	* Fix navigation

	Module: DLFP
	* Fix logout (site changed)

	Module: DresdenWetter
	* Upgrade to browser2

	Module: Fortuneo
	* New certificate
	* Do not override rdate with operation date

	Module: France Televisions
	* Upgrade to browser2

	Module: Freemobile
	* Fix date of subscriptions when next month has less days than expected
	(#1347)
	* Upgrade to browser2

	Module: googletranslate
	* Fix : site is now only available using https

	Module: grooveshark
	* Fix: no more field AvgRate (site changed)

	Module: HSBC
	* Fix: support of the SecureKey
	* Upgrade to browser2

	Module: hybride
	* Upgrade to browser2

	Module: INA
	* Site changed

	Module: indeed
	* Upgrade to browser2

	Module: ING
	* Update regexps used to detect categories (site changed)
	* Upgrade to browser2
	* Support pagination in iter_bills
	* Do not crash on invest objects when quantities are >999

	Module: Kickass
	* Fix title getter (site changed)

	Module: LeclercMobile
	* Do not crash if the subscription is closed

	Module: LeFigaro
	* Fix: site changed
	* Fix the tests

	Module: LCL
	* New maintener
	* Support changes in login screens
	* Get more history
	* Remove logging checking on the contract page

	Module: Liberation
	* Add icon

	Module: lolix
	* Fix the size of the icon

	Module: mediawiki
	* Fix encoding error

	Module: MeteoFrance
	* Strip the text before to return it

	Module: OKC
	* Add the visit to a profile
	* Add a profile walker
	* First sent message is configurable
	* Do not crash on removed contacts
	* Do not crash on 'like' messages

	Module: pastealacon
	* Upgrade to browser2

	Module: Paypal
	* Certificate changed (three times)

	Module: piratebay
	* New domain (thepiratebay.se)

	Module: Pole Emploi
	* Updates reflecting site changes
	* Fix parsing of dates
	* Fix bug in url encoding
	* Fix place selection

	Module: Poivy
	* Upgrade to browser2
	* Support pagination for the history

	Module: Redmine
	* Add Issue.fields attribute to support custom fields
	* Support new versions of redmine
	* Use the right method to get project
	* If a category does not exist, try to create it
	* Fix compatibility with redmine 2.4
	* Support start/end/tracker/priority
	* Fix finding the control to add a note

	Module: RegionsJob
	* Add icon
	* Upgrade to browser2

	Module: sachsen
	* Upgrade to browser2

	Module: Société Générale
	* Display card as accounts (#1362)

	Module: Sueurdemetal
	* Add date_end parameter in get_concerts_date call
	* Fix date and category filters

	Module: voyagessncf
	* If station ID is not found, try to look for it as a name
	* Forge a random IP source address to avoid redirection to other website
	(#1327)

	Module: vlille
	* Upgrade to browser2

	Module: Weather
	* Fix: there are not always ten days of forecast (#1343)

	Module: youjizz
	* Handle videos longer than 59 minutes
	* Support pagination
	* Upgrade to browser2

	Module: youtube
	* Fix: site changed
	* Fix: unexpected argument to BrokenPageError

	Tools: boilerplate
	* Add 'cap' recipe to prepare methods
	* Upgrade to browser2

	Tools: local_install
	* Run tools/stale_pyc.py before local installation

	Tools: pyflakes
	* Ignore 'except' in a comment

	Misc: boobot
	* Add quoting commands
	* Fix unicode issues

	Misc: Windows Installer
	* Better script to generate the .exe
	* Better management for 64 bits systems


Weboob 0.h (2014-01-08)

	General
	* New application: boobcoming
	* New application: boobsize
	* New capability: CapCalendarEvent
	* New capability: CapFile
	* New capability: CapAudio
	* New capability: CapAudioStream
	* New capability: CapImage
	* New module: Apivie (CapBank)
	* New module: Audioaddict (CapRadio)
	* New module: Banqueaccord (CapBank)
	* New module: Biplan (CapCalendarEvent)
	* New module: CCI (CapJob)
	* New module: Collisimo (CapParcel)
	* New module: EDF (CapBill) (#1296)
	* New module: GitHub (CapBugTracker)
	* New module: Indeed (CapJob)
	* New module: Jacquieetmichel (CapVideo)
	* New module: jcvelaux (CapGauge) (#376)
	* New module: JVMalin.fr (CapTravel)
	* New module: Liberation (CapMessage)
	* New module: lhybride.org (CapCalendarEvent)
	* New module: Monster (CapJob)
	* New module: Nectarine Demoscene Music (CapRadio)
	* New module: Nihon no Oto (CapRadio)
	* New module: OVS (CapMessage, CapContact)
	* New module: Pariskiwi (CapCalendarEvent)
	* New module: Poivy (CapBill)
	* New module: Quvi (CapVideo)
	* New module: RegionsJob (CapJob)
	* New module: Somafm (CapRadio)
	* New module: Sueurdemetal (CapCalendarEvent)
	* New module: VoyagesSNCF (CapTravel)
